 2016-03-11 15:11  alexpeshkoff 
   M examples/dbcrypt/CryptApplication.cpp
   M examples/dbcrypt/CryptKeyHolder.cpp
   M examples/dbcrypt/DbCrypt.cpp
   M examples/interfaces/05.user_metadata.cpp
   M examples/interfaces/ifaceExamples.h
Backported fix for CORE-5134: Samples of dbcrypt-related plugins contain references to internal files

 2016-03-11 08:52  dimitr 
   M src/dsql/ExprNodes.h
Fixed CORE-5149: LEFT JOIN incorrectly pushes COALESCE into the inner stream causing wrong results.

 2016-03-10 17:23  alexpeshkoff 
   M doc/Using_OO_API.html
Work in progress

 2016-03-09 18:45  asfernandes 
   M src/dsql/BoolNodes.cpp
   M src/dsql/DdlNodes.epp
   M src/dsql/DsqlCompilerScratch.h
   M src/dsql/ExprNodes.cpp
Fixed CORE-5130 - Compiler issues message about "invalid request BLR" when attempt to compile wrong DDL of view with both subquery and "WITH CHECK OPTION" in its DDL.

 2016-03-09 14:58  alexpeshkoff 
   M src/jrd/CryptoManager.cpp
   M src/jrd/CryptoManager.h
Backported fix for CORE-5144: Deadlock when database is encrypted or decrypted under high parallel load

 2016-03-08 18:08  dimitr 
   M src/dsql/DdlNodes.epp
Fixed CORE-5133: "Alter sequence restart with" does not change the initial value.

 2016-03-08 17:15  hvlad 
   M src/jrd/jrd.cpp
Backport fix for bug CORE-5140 : Wrong error message when user tries to set number of page buffers into not supported value

 2016-03-04 08:54  paul_reeves 
   M builds/install/arch-specific/win32/BuildExecutableInstall.bat
   M builds/install/arch-specific/win32/FirebirdInstallEnvironmentChecks.inc
   M builds/install/arch-specific/win32/FirebirdInstallSupportFunctions.inc
   M builds/install/arch-specific/win32/FirebirdInstall_30.iss
   M builds/install/arch-specific/win32/ba/Instalacija_ProcitajMe.txt
   M builds/install/arch-specific/win32/fr/installation_lisezmoi.txt
   M builds/install/arch-specific/win32/installation_readme.txt
   M builds/install/arch-specific/win32/ru/installation_readme.txt
   A builds/win32/msvc10/VCCRT_Shared_Body.wxi
   A builds/win32/msvc10/VCCRT_Shared_Header.wxi
   A builds/win32/msvc10/VCCRT_Win32.wxi
   A builds/win32/msvc10/VCCRT_Win32.wxs
   A builds/win32/msvc10/VCCRT_x64.wxi
   A builds/win32/msvc10/VCCRT_x64.wxs
Sync B3_0_Release branch with recent windows installer changes for RC2

 2016-03-03 22:53  asfernandes 
   M examples/dbcrypt/CryptKeyHolder.cpp
   M src/common/call_service.cpp
Warnings.

 2016-03-03 15:02  paulbeach 
   M src/jrd/recsrc/HashJoin.cpp
Fix qsort_r for Darwin

 2016-03-03 11:56  paulbeach 
   M extern/cloop/src/tests/test1/CTest.c
Reverse Cloop change (LibreeOffice), until it can be examined properly.

 2016-03-02 15:23  paulbeach 
   M extern/cloop/src/tests/test1/CTest.c
malloc.h is no longer needed (LibreOffice)

 2016-03-01 08:38  firebirds 
   M mkChangeLog.sh
Fixed changelog/buildno generating script for branch

 2016-02-29 20:12  dimitr 
   M src/dsql/ExprNodes.cpp
Fixed CORE-5122: Expression index may not be used by the optimizer if created and used in different connection charsets.

 2016-02-28 11:15  dimitr 
   M builds/install/arch-specific/win32/fr/installation_lisezmoi.txt
Fixed mistake in the French translation.

 2016-02-28 08:46  dimitr 
   M src/jrd/recsrc/NestedLoopJoin.cpp
Misc: remove the redundant space in the explained plan output.

 2016-02-28 06:03  dimitr 
   A /firebird/branches/B3_0_Release (from /firebird/trunk:63032)
Created the v3.0 branch.

 2016-02-27 07:15  dimitr 
   M doc/WhatsNew
Updated the docs for RC2.

 2016-02-26 17:19  dimitr 
   M src/jrd/dfw.epp
   M src/jrd/irq.h
Split a 5-way join into two smaller joins to help the optimizer in cases when statistics is outdated (index creation time suffers when there are many tables/indices). While being there, cache requests that weren't cached yet.

 2016-02-26 16:10  alexpeshkoff 
   M doc/Using_OO_API.html
WIP on docs

 2016-02-26 12:55  alexpeshkoff 
   M src/jrd/CryptoManager.cpp
   M src/jrd/CryptoManager.h
   M src/jrd/jrd.cpp
   M src/jrd/nbak.cpp
   M src/lock/lock.cpp
   M src/remote/remote.h
   M src/remote/server/server.cpp
Fixed some asserts and segfaults in crypto manager
Disable simultaneous nbackup & encrypt/decrypt operation

 2016-02-25 09:20  hvlad 
   M src/dsql/BoolNodes.cpp
   M src/dsql/ExprNodes.cpp
   M src/dsql/StmtNodes.cpp
   M src/jrd/exe.h
This should fix known issues with MERGE and stable cursor (see CORE-3362).
Thanks to Dmitry for idea

 2016-02-25 02:11  asfernandes 
   M src/gpre/gpre.cpp
Convert the file to UTF-8 as grep thinks it's a binary file.

 2016-02-25 01:50  asfernandes 
   M src/dsql/dsql.cpp
   M src/jrd/tpc.cpp
Misc.

 2016-02-25 01:07  asfernandes 
   M doc/Using_OO_API.html
Typos.

 2016-02-24 20:11  dimitr 
   M src/dsql/ExprNodes.cpp
   M src/dsql/ExprNodes.h
   M src/jrd/Optimizer.cpp
Checking the datatype at compile time is unreliable: some nodes return one type at compile time and another type at runtime, thus causing unexpectedly missing casts. I'm moving the check to runtime, this should fix the remaining regressions (fingers crossed).

 2016-02-24 15:32  alexpeshkoff 
   A doc/Using_OO_API.html
Started work on new API docs

 2016-02-23 20:49  aafemt 
   M src/dsql/dsql.cpp
Get secondary error code isc_dsql_sqlda_err back, thanks to Dmitry Yemanov

 2016-02-23 16:54  alexpeshkoff 
   A examples/dbcrypt/cryptDb.pas
Sample of writing plugin using pascal

 2016-02-23 16:53  alexpeshkoff 
   M examples/interfaces/01.create.pas
Misc changes in example

 2016-02-23 16:18  aafemt 
   M lang_helpers/gds_codes.ftn
   M lang_helpers/gds_codes.pas
   M src/dsql/dsql.cpp
   M src/include/gen/codetext.h
   M src/include/gen/iberror.h
   M src/include/gen/msgs.h
   M src/include/gen/sql_code.h
   M src/include/gen/sql_state.h
   M src/msgs/facilities2.sql
   M src/msgs/messages2.sql
   M src/msgs/system_errors2.sql
Some more cases of CORE-5112 as pointed by Dmitry Yemanov

 2016-02-23 09:52  dimitr 
   M src/dsql/ExprNodes.cpp
Removed "cast no-op" extensions as they break many tests, e.g. CAST('A' as CHAR(10)) remains CHAR(1) instead of being padded up to CHAR(10). Let's no-op only really equal descriptors for the time being.

 2016-02-23 09:10  dimitr 
   M src/dsql/ExprNodes.cpp
And another postfix for CORE-5097, it resolves regression for core_3545.fbt.
Adriano, please review.

 2016-02-23 08:20  dimitr 
   M src/jrd/Optimizer.cpp
Yet another postfix for CORE-5097, it resolves regressions for core_1173.fbt and core_1525.fbt.

 2016-02-22 16:20  paul_reeves 
   M builds/install/arch-specific/win32/ba/Instalacija_ProcitajMe.txt
   M builds/install/arch-specific/win32/ba/ProcitajMe.txt
   M builds/install/arch-specific/win32/ba/custom_messages_ba.inc
Add Bosnian i18n files for the Windows binary installer. 
With thanks to Fikret Hasovic

 2016-02-22 08:27  dimitr 
   M builds/install/arch-specific/win32/installation_readme.txt
Misc adjustments.

 2016-02-22 08:19  dimitr 
   M builds/install/arch-specific/win32/ru/Readme.txt
   M builds/install/arch-specific/win32/ru/custom_messages_ru.inc
   M builds/install/arch-specific/win32/ru/installation_readme.txt
Russian translation for the Windows installer.

 2016-02-21 09:02  dimitr 
   M src/jrd/Optimizer.cpp
Fixed the comment.

 2016-02-21 08:54  dimitr 
   M src/jrd/Optimizer.cpp
Corrected my old commit re. optimization of the system requests.

 2016-02-20 15:34  aafemt 
   M builds/win32/clean_all.bat
   M builds/win32/make_boot.bat
   M src/gpre/languages/fbrmclib.cpp
   M src/include/firebird.h
Use autoconfig_msvc.h from where it is

 2016-02-19 10:39  alexpeshkoff 
   M examples/dbcrypt/CryptKeyHolder.cpp
Fixed bug in a sample - thanks to Adriano

 2016-02-18 14:52  asfernandes 
   M src/dsql/ExprNodes.cpp
   M src/dsql/ExprNodes.h
Fixed regression with CORE-1839 after fix for CORE-5097.

 2016-02-17 09:21  hvlad 
   M src/jrd/jrd.cpp
   M src/jrd/tpc.cpp
   M src/jrd/tpc_proto.h
   M src/jrd/tra.cpp
   M src/jrd/tra_proto.h
Front ported for CORE-5067 : Blocking new connections as a consequence of the too long sweep security2.fdb

 2016-02-17 01:36  asfernandes 
   M src/isql/show.epp
Fixed the problem I inserted in a review.

 2016-02-17 01:36  asfernandes 
   M src/isql/show.epp
Fixed output of SHOW PROCEDURES/FUNCTIONS.

 2016-02-16 13:47  makowski 
   M builds/install/arch-specific/win32/fr/custom_messages_fr.inc
   M builds/install/arch-specific/win32/fr/installation_lisezmoi.txt
   M builds/install/arch-specific/win32/fr/lisezmoi.txt
update French files for Windows install

 2016-02-15 02:53  asfernandes 
   M builds/install/arch-specific/win32/installation_readme.txt
   M examples/dbcrypt/CryptKeyHolder.cpp
   M examples/dbcrypt/DbCrypt.cpp
   M src/dsql/parse.y
   M src/jrd/CryptoManager.cpp
   M src/jrd/cch.cpp
   M src/jrd/extds/InternalDS.cpp
   M src/jrd/extds/IscDS.cpp
   M src/jrd/nbak.cpp
   M src/jrd/sdw.cpp
   M src/jrd/vio.cpp
Misc.

 2016-02-15 02:53  asfernandes 
   M src/msgs/facilities2.sql
Correction.

 2016-02-14 13:10  aafemt 
   M builds/win32/create_msgs.bat
   M lang_helpers/gds_codes.ftn
   M lang_helpers/gds_codes.pas
   M src/include/gen/codetext.h
   M src/include/gen/iberror.h
   M src/include/gen/msgs.h
   M src/include/gen/sql_code.h
   M src/include/gen/sql_state.h
   M src/msgs/facilities2.sql
   M src/msgs/messages2.sql
   M src/msgs/system_errors2.sql
   M src/yvalve/why.cpp
Messages for CORE-5112

 2016-02-12 13:13  hvlad 
   M src/jrd/vio.cpp
Simplest fix for bug CORE-5110 : False PK\FK violation could be reported when attachment used isc_dpb_no_garbage_collect flag

 2016-02-11 18:10  asfernandes 
   M src/dsql/DdlNodes.epp
Fixed CORE-2923 - Problem with dependencies with views.

 2016-02-10 17:53  asfernandes 
   M src/jrd/dfw.epp
Fixed CORE-5107 - set autoddl off and sequence of: ( create view V as select * from T; alter view V as select 1 x from rdb$database; drop view V; ) leads to server crash.

 2016-02-10 14:25  paul_reeves 
   M builds/install/arch-specific/win32/FirebirdInstall_30.iss
   M builds/install/arch-specific/win32/Readme.txt
   M builds/install/arch-specific/win32/custom_messages.inc
   M builds/install/arch-specific/win32/i18n_readme.txt
   M builds/install/arch-specific/win32/installation_readme.txt
Miscellaneous changes to prepare windows installer for RC2

 2016-02-07 07:44  alexpeshkoff 
   M src/jrd/CryptoManager.cpp
Postfix for CORE-5100, thanks to Dmitry Sibiryakov

 2016-02-06 07:37  dimitr 
   M doc/WhatsNew
Updated the docs for RC2.

 2016-02-05 15:21  alexpeshkoff 
   M src/jrd/CryptoManager.cpp
   M src/jrd/CryptoManager.h
   M src/jrd/Database.h
   M src/jrd/jrd.cpp
Fixed CORE-5105: Deadlocks when database is initially encrypted

 2016-02-05 15:13  alexpeshkoff 
   M src/jrd/cch.cpp
   M src/jrd/cch_proto.h
   M src/jrd/sdw.cpp
Postfix for CORE-5100: avoid races caused by temporary changed bdb_buffer

 2016-02-05 15:09  hvlad 
   M src/jrd/extds/InternalDS.cpp
   M src/jrd/extds/IscDS.cpp
Missed piece for CORE-5104, thanks to Alex again

 2016-02-05 15:05  hvlad 
   M src/jrd/extds/InternalDS.cpp
   M src/jrd/extds/IscDS.cpp
Fixed bug CORE-5104 : External data source selects became slow
Thanks to Alex

 2016-02-05 11:00  dimitr 
   M src/dsql/ExprNodes.cpp
Postfix to address the regression found in the recent commit for CORE-5097.

 2016-02-04 14:28  asfernandes 
   M src/dsql/ExprNodes.cpp
   M src/jrd/met.epp
Move the code and add the CAST only when required, per Dmitry comment.

 2016-02-04 10:33  hvlad 
   M src/jrd/cch.cpp
Fixed bug CORE-5101 : Backup restore is slow in FB3 when the database contains many small tables with indices

 2016-02-04 09:22  alexpeshkoff 
   M examples/dbcrypt/DbCrypt.cpp
   M src/include/firebird/FirebirdInterface.idl
   M src/include/firebird/IdlFbInterfaces.h
   M src/jrd/CryptoManager.cpp
Postfix for CORE-5100: restored binary compatibility with crypt plugins for RC1

 2016-02-03 19:41  hvlad 
   M src/common/classes/FpeControl.h
Frontport code from v2.5. It should fix CORE-5102 : FB3.0 RC1 Fbclient.dll function calls modify FPU control word

 2016-02-03 15:22  asfernandes 
   M src/jrd/met.epp
Fixed CORE-5097 - COMPUTED-BY expressions are not converted to their field type inside the engine.

 2016-02-03 15:02  paul_reeves 
   M builds/install/arch-specific/win32/FirebirdInstall_30.iss
Convert install script to UTF-8
Do not assign name of chosen installation language to BelevedLabel as, at least for the moment non-ascii characters get mangled.
Disable support for Bosnian at install time (temporarily, I hope.)

 2016-02-03 14:59  paul_reeves 
   M builds/install/arch-specific/win32/custom_messages.inc
   M builds/install/arch-specific/win32/i18n_readme.txt
Convert i18n files to UTF-8 with BOM

 2016-02-03 14:57  paul_reeves 
   M builds/install/arch-specific/win32/ba/Instalacija_ProcitajMe.txt
   M builds/install/arch-specific/win32/ba/ProcitajMe.txt
   M builds/install/arch-specific/win32/ba/custom_messages_ba.inc
   M builds/install/arch-specific/win32/cz/ctime.txt
   M builds/install/arch-specific/win32/cz/custom_messages_cz.inc
   M builds/install/arch-specific/win32/cz/instalace_ctime.txt
   M builds/install/arch-specific/win32/de/custom_messages_de.inc
   M builds/install/arch-specific/win32/de/installation_liesmich.txt
   M builds/install/arch-specific/win32/de/liesmich.txt
   M builds/install/arch-specific/win32/es/custom_messages_es.inc
   M builds/install/arch-specific/win32/es/leame.txt
   M builds/install/arch-specific/win32/es/leame_instalacion.txt
   M builds/install/arch-specific/win32/fr/custom_messages_fr.inc
   M builds/install/arch-specific/win32/fr/documents-en-francais.txt
   M builds/install/arch-specific/win32/fr/installation_lisezmoi.txt
   M builds/install/arch-specific/win32/fr/lisezmoi.txt
   M builds/install/arch-specific/win32/hu/custom_messages_hu.inc
   M builds/install/arch-specific/win32/hu/olvass_el.txt
   M builds/install/arch-specific/win32/hu/telepitesi_segedlet.txt
   M builds/install/arch-specific/win32/it/custom_messages_it.inc
   M builds/install/arch-specific/win32/it/leggimi.txt
   M builds/install/arch-specific/win32/it/leggimi_installazione.txt
   M builds/install/arch-specific/win32/pl/custom_messages_pl.inc
   M builds/install/arch-specific/win32/pl/czytajto.txt
   M builds/install/arch-specific/win32/pl/instalacja_czytajto.txt
   M builds/install/arch-specific/win32/pt/custom_messages_pt.inc
   M builds/install/arch-specific/win32/pt/instalacao_leia-me.txt
   M builds/install/arch-specific/win32/pt/leia-me.txt
   M builds/install/arch-specific/win32/ru/Readme.txt
   M builds/install/arch-specific/win32/ru/installation_readme.txt
   M builds/install/arch-specific/win32/si/custom_messages_si.inc
   M builds/install/arch-specific/win32/si/instalacija_precitajMe.txt
Convert i18n files to UTF-8 with BOM

 2016-02-03 14:15  alexpeshkoff 
   M doc/sql.extensions/README.ddl.txt
Documented CORE-5100

 2016-02-03 13:20  alexpeshkoff 
   M examples/dbcrypt/CryptKeyHolder.cpp
   M examples/dbcrypt/DbCrypt.cpp
   M lang_helpers/gds_codes.ftn
   M lang_helpers/gds_codes.pas
   M src/common/classes/ClumpletReader.cpp
   M src/common/classes/ClumpletReader.h
   M src/common/classes/ClumpletWriter.cpp
   M src/common/classes/ClumpletWriter.h
   M src/dsql/DdlNodes.epp
   M src/dsql/DdlNodes.h
   M src/dsql/parse.y
   M src/include/firebird/FirebirdInterface.idl
   M src/include/firebird/IdlFbInterfaces.h
   M src/include/gen/codetext.h
   M src/include/gen/iberror.h
   M src/include/gen/msgs.h
   M src/include/gen/sql_code.h
   M src/include/gen/sql_state.h
   M src/jrd/CryptoManager.cpp
   M src/jrd/CryptoManager.h
   M src/jrd/ods.h
   M src/msgs/facilities2.sql
   M src/msgs/messages2.sql
   M src/msgs/system_errors2.sql
   M src/utilities/gstat/ppg.cpp
Implemented CORE-5100: Improve control over database crypt keys

 2016-02-02 22:26  hvlad 
   M src/dsql/StmtNodes.cpp
It should fix bug CORE-5087 : Database shutdown can cause server crash if multiple attachments run EXECUTE STATEMENT

 2016-02-02 14:46  asfernandes 
   M src/isql/extract.epp
Fixed CORE-5089 - Metadata extration (ISQL -X): "CREATE PROCEDURE/FUNCTION" statement contains reference to column of table(s) that not yet exists if this procedure had parameter of such type when it was created.

 2016-02-01 16:51  asfernandes 
   M src/dsql/DdlNodes.epp
   M src/dsql/parse.y
Fixed CORE-5093 - Alter computed field type does not work.

 2016-02-01 16:16  alexpeshkoff 
   M src/jrd/CryptoManager.cpp
   M src/jrd/CryptoManager.h
   M src/jrd/cch.cpp
   M src/jrd/nbak.cpp
   M src/jrd/sdw.cpp
Fixed CORE-5044: Pages are encrypted for each shadow separately

 2016-02-01 16:13  alexpeshkoff 
   M examples/interfaces/05.user_metadata.cpp
comment

 2016-02-01 15:05  dimitr 
   M src/jrd/jrd.cpp
Fixed (or worked around, if you wish) redundant UTF8->system conversions happening if isc_dpb_utf8_filename tag is located in the middle of DPB.

 2016-02-01 14:54  dimitr 
   M src/auth/trusted/AuthSspi.cpp
Fixed (on behalf of Alex) CORE-4885: Error retrieving current user name when using Windows trusted authentication and OS user name contains non-ASCII characters.

 2016-01-31 23:57  asfernandes 
   M src/isql/extract.epp
Fixed CORE-5092 - ISQL extract command lose COMPUTED BY field types.

 2016-01-31 23:56  asfernandes 
   M src/isql/extract.epp
Revert this solution for CORE-5089 as it doesn't work for packages.

 2016-01-31 10:45  dimitr 
   M src/common/isc_file.cpp
Fix for semicolons embedded into the []-styled IPv6 address.

 2016-01-31 00:09  asfernandes 
   M src/common/security.cpp
Avoid constant duplication.

 2016-01-31 00:06  asfernandes 
   M src/common/security.cpp
   M src/isql/show.epp
   M src/jrd/CryptoManager.cpp
   M src/jrd/blb.cpp
   M src/jrd/btr.cpp
   M src/jrd/extds/ValidatePassword.cpp
   M src/jrd/jrd.cpp
   M src/jrd/ods.h
Misc.

 2016-01-30 23:40  asfernandes 
   M examples/interfaces/05.user_metadata.cpp
Correction.

 2016-01-29 15:46  alexpeshkoff 
   M src/jrd/CryptoManager.cpp
   M src/jrd/CryptoManager.h
Simplified code - thanks to Vlad

 2016-01-29 14:51  asfernandes 
   M src/isql/extract.epp
Fixed CORE-5089 - Metadata extration (ISQL -X): "CREATE PROCEDURE/FUNCTION"  statement contains reference to column of table(s) that not yet exists if this procedure had parameter of such type when it was created.

 2016-01-29 14:12  alexpeshkoff 
   M src/jrd/CryptoManager.cpp
   M src/jrd/CryptoManager.h
Fixed regression in CryptoManager added after RC1 - avoid reading incorrect header when database is locked by nbackup

 2016-01-28 17:00  alexpeshkoff 
   M src/yvalve/MasterImplementation.cpp
Fixed CORE-5088: Segfault when 'gstat -h' is closing

 2016-01-28 11:40  paul_reeves 
   M builds/install/arch-specific/win32/ru/custom_messages_ru.inc
Add BOM to file. Hopefully this finally fixes CORE-5002

 2016-01-27 11:11  hvlad 
   M src/jrd/btr.cpp
   M src/jrd/btr.h
   M src/jrd/idx.cpp
   M src/jrd/lck.cpp
   M src/jrd/lck.h
   M src/jrd/ods.h
   M src/jrd/validation.cpp
   M src/utilities/gstat/dba.epp
Remove LCK_idx_reserve introduced with 64-bit transaction ID. 
Restore original logic in BTR_next_index (wait for tx lock when index build is in progress). 
Use irt_repeat::irt_root to store high 32 bit of tra_num. 
It also fixed deadlock related with LCK_idx_reserve lock (reported privately).

 2016-01-25 18:34  alexpeshkoff 
   A examples/interfaces/05.user_metadata.cpp
   M src/include/firebird/FirebirdInterface.idl
   M src/include/firebird/IdlFbInterfaces.h
   M src/yvalve/YObjects.h
   M src/yvalve/utl.cpp
Implemented CORE-5083: Provide method to correcty set offsets in implemented by user IMessageMetadata

 2016-01-25 14:17  hvlad 
   M src/jrd/extds/ExtDS.cpp
   M src/jrd/extds/ExtDS.h
   M src/jrd/extds/ValidatePassword.cpp
   M src/jrd/extds/ValidatePassword.h
Cleanup

 2016-01-25 14:03  hvlad 
   M builds/win32/msvc10/engine.vcxproj
   M builds/win32/msvc10/engine.vcxproj.filters
   M builds/win32/msvc12/engine.vcxproj
   M builds/win32/msvc12/engine.vcxproj.filters
Update VC10 and VC12 builds

 2016-01-25 13:52  alexpeshkoff 
   M src/jrd/extds/ExtDS.cpp
   M src/jrd/extds/ExtDS.h
   M src/jrd/extds/InternalDS.cpp
   M src/jrd/extds/IscDS.cpp
   A src/jrd/extds/ValidatePassword.cpp
   A src/jrd/extds/ValidatePassword.h
Postfix for CORE-5082: reorganized sources according to Vlad request

 2016-01-25 07:17  dimitr 
   M doc/WhatsNew
Updated the docs for RC2.

 2016-01-24 21:14  dimitr 
   M src/jrd/Attachment.cpp
   M src/jrd/Attachment.h
   M src/jrd/Database.h
   M src/jrd/JrdStatement.cpp
   M src/jrd/Monitoring.cpp
   M src/jrd/Monitoring.h
   M src/jrd/RuntimeStatistics.h
   M src/jrd/cch.cpp
   M src/jrd/exe.cpp
   M src/jrd/jrd.cpp
   M src/jrd/jrd.h
   M src/jrd/sort.cpp
This should fix the races while accessing the relation statistics inside dbb_stats. Reads/writes/fetches/marks are incremented (CCH) and read (INF) unprotected, as it's crash safe and read skews are acceptable. Other counters (both global and relation wise) are protected with a mutex. They're incremented on demand based on the attachment counters (via diffs). While being there, cleaned up the currently unused performance counters.

 2016-01-24 21:02  dimitr 
   M src/lock/lock.cpp
Reverted back to the single-pass algorithm used in v2.x. This should work around the issue with non-zero-timeout shutdown in SC.

 2016-01-24 17:58  alexpeshkoff 
   M src/common/classes/GetPlugins.h
   M src/common/security.cpp
   M src/common/security.h
   M src/jrd/extds/ExtDS.cpp
   M src/jrd/extds/ExtDS.h
   M src/jrd/extds/InternalDS.cpp
   M src/jrd/extds/InternalDS.h
   M src/jrd/extds/IscDS.cpp
   M src/jrd/extds/IscDS.h
   M src/remote/remot_proto.h
   M src/remote/remote.cpp
Fixed CORE-5082: Server does not validate correctness of user/password pair provided in EXECUTE STATEMENT operator

 2016-01-24 17:53  alexpeshkoff 
   M src/remote/client/interface.cpp
Use correct error code

 2016-01-24 17:51  alexpeshkoff 
   M src/include/firebird/FirebirdInterface.idl
Drop old wrong comment

 2016-01-21 11:00  hvlad 
   M src/jrd/blb.cpp
Fixed bug CORE-5078 : "Invalid BLOB ID" error

 2016-01-21 00:25  robocop 
   M src/jrd/CryptoManager.h
Misc.

 2016-01-21 00:25  robocop 
   M src/isql/show.epp
   M src/jrd/CryptoManager.cpp
   M src/jrd/inf_pub.h
Typo.

 2016-01-20 10:05  hvlad 
   M src/jrd/Attachment.h
   M src/jrd/jrd.cpp
Fixed bug CORE-5075 : Triger on DISCONNECT with dynamic SQL (ES 'insert into ...'): 1) does not work in 3.0
Also, log exception happens in ON DISCONNECT trigger.

 2016-01-18 17:30  alexpeshkoff 
   M src/isql/isql.h
   M src/isql/show.epp
   M src/jrd/CryptoManager.cpp
   M src/jrd/CryptoManager.h
   M src/jrd/inf.cpp
   M src/jrd/inf_pub.h
   M src/msgs/facilities2.sql
   M src/msgs/messages2.sql
Fixed CORE-5077: ISQL does not show encryption status of database

 2016-01-17 01:46  asfernandes 
   M src/jrd/CryptoManager.cpp
   M src/jrd/os/posix/unix.cpp
   M src/jrd/pag.cpp
   M src/misc/pascal/Pascal.implementation.pas
   M src/misc/pascal/Pascal.interface.pas
   M src/remote/inet.cpp
   M src/remote/server/os/posix/inet_server.cpp
   M src/yvalve/why.cpp
Misc.

 2016-01-17 01:14  asfernandes 
   M examples/interfaces/01.create.pas
Missing dispose.

 2016-01-17 01:10  asfernandes 
   M src/yvalve/utl.cpp
Misc.

 2016-01-14 23:09  hvlad 
   M src/jrd/jrd.cpp
Fixed crash reason (see CORE-5075).
Error on disconnect requires more analyzing.

 2016-01-13 13:53  asfernandes 
   M extern/icu/Readme.txt
   M extern/icu/icu.exe
Add missing (GBK, for example) character sets to our ICU data file.

 2016-01-13 10:08  dimitr 
   M src/jrd/recsrc/HashJoin.cpp
Minor correction.

 2016-01-13 09:35  hvlad 
   M src/remote/inet.cpp
IPv6 address could contain percent sign inside, therefore make sure error string not used as vfprintf format string by gds__log().
See also comments at CORE-2493.

 2016-01-11 14:23  alexpeshkoff 
   M builds/install/arch-specific/linux/makeInstallImage.sh.in
   M src/misc/upgrade/v3.0/security_database.txt
Fixed CORE-4996: Need some SECURITY2.FDB --> SECURITY3.FDB upgrade feature, placed new files into linux package

 2016-01-11 13:46  hvlad 
   M src/remote/inet.cpp
Addition to the patch for CORE-2493.
Always ask for numeric form of service name

 2016-01-11 13:38  alexpeshkoff 
   A src/misc/upgrade/v3.0
   A src/misc/upgrade/v3.0/security_database.sql
   A src/misc/upgrade/v3.0/security_database.txt
Fixed CORE-4996: Need some SECURITY2.FDB --> SECURITY3.FDB upgrade feature

 2016-01-10 14:20  hvlad 
   M src/remote/inet.cpp
Improvement CORE-2493 : Append the IP address of the remote host to error messages in firebird.log for TCP connections

 2016-01-06 18:20  asfernandes 
   M src/dsql/dsql.cpp
   M src/jrd/SysFunction.cpp
Revert to the bad (that works) commit for CORE-5062. It's difficult to work when both the original architects and the users do bad things in relation to CHAR and MBCS.

 2016-01-06 18:20  asfernandes 
   M src/include/firebird/Message.h
Fix for messages with FB_INTL_CHAR and FB_INTL_VARCHAR macros.

 2016-01-03 20:20  dimitr 
   M src/isql/isql.epp
Fixed (hopefully) my last commit re. plan output.

 2016-01-03 15:50  asfernandes 
   M src/dsql/dsql.cpp
Fixed CORE-5062 - CHAR_TO_UUID on column with index throws expression evaluation not supported Human readable UUID argument for CHAR_TO_UUID must be of exact length 36.

 2016-01-02 14:41  alexpeshkoff 
   M src/jrd/scl.epp
Fixed CORE-5060: Cannot CREATE VIEW that selects from a system table, despite having all grants

 2016-01-02 12:08  dimitr 
   M src/dsql/dsql.cpp
   M src/isql/isql.epp
   M src/isql/isql.h
Fixed CORE-5061: ISQL plan output is unexpectedly truncated after a query is simplified to become shorter.

 2016-01-02 11:41  alexpeshkoff 
   M src/jrd/os/posix/unix.cpp
Postfix for CORE-5056: better error reporting, thanks to Claudio

 2016-01-02 11:37  hvlad 
   M src/isql/isql.h
   M src/isql/show.epp
   M src/msgs/facilities2.sql
   M src/msgs/messages2.sql
Improvement CORE-5063 : Make "show database" command to show numbers of used and free pages in database

 2016-01-02 11:28  hvlad 
   M src/jrd/inf.cpp
   M src/jrd/inf_pub.h
   M src/jrd/pag.cpp
   M src/jrd/pag.h
New feature CORE-1538 :  Add an option to isc_database_info to return the number of free pages in a database

 2016-01-02 01:45  asfernandes 
   M src/jrd/SysFunction.cpp
Revert fix for CORE-5062 for better investigation.

 2016-01-02 01:04  asfernandes 
   M src/jrd/SysFunction.cpp
Fixed CORE-5062 - CHAR_TO_UUID on column with index throws expression evaluation not supported Human readable UUID argument for CHAR_TO_UUID must be of exact length 36.

 2015-12-30 15:16  alexpeshkoff 
   M lang_helpers/gds_codes.ftn
   M lang_helpers/gds_codes.pas
   M src/include/gen/codetext.h
   M src/include/gen/iberror.h
   M src/include/gen/msgs.h
   M src/include/gen/sql_code.h
   M src/include/gen/sql_state.h
   M src/jrd/os/posix/unix.cpp
   M src/msgs/facilities2.sql
   M src/msgs/messages2.sql
   M src/msgs/system_errors2.sql
Fixed CORE-5056: Write-lock of database file is cleared ("W" disappears from output of lsof <db_name>) when remote machine obtains DB header running "fbsvcmgr <remote_host>/port:service_mgr action_db_stats <remote_dbname>"

 2015-12-29 19:00  dimitr 
   M src/jrd/Monitoring.cpp
   M src/jrd/Monitoring.h
Fixed CORE-4708: Content of MON$EXPLAINED_PLAN in MON$STATEMENTS is truncated if exceeds the 32KB limit.

 2015-12-29 15:17  dimitr 
   M src/jrd/DbCreators.cpp
   M src/jrd/Mapping.cpp
   M src/jrd/Monitoring.cpp
   M src/jrd/Monitoring.h
   M src/jrd/UserManagement.cpp
Tag the shmem session clumplets with username. This allows much faster lookups for non-locksmith users. Also, it allows to simplify some code. While being there, cleaned up some unused logic.

 2015-12-29 14:39  alexpeshkoff 
   M src/jrd/Mapping.cpp
   M src/remote/client/interface.cpp
   M src/remote/remote.cpp
   M src/remote/remote.h
Fixed CORE-5047: mapUser() routine establish secondary attach using wrong provider

 2015-12-28 14:10  alexpeshkoff 
   M builds/install/arch-specific/linux/firebird.init.d.debian.in
   M builds/install/arch-specific/linux/firebird.init.d.generic.in
   M builds/install/arch-specific/linux/linuxLibrary.sh.in
   M builds/install/posix-common/changeServerMode.sh.in
   M builds/install/posix-common/posixLibrary.sh.in
Fixed CORE-5053: changeServerMode.sh can mess with configuration

 2015-12-28 06:22  dimitr 
   M src/jrd/jrd.cpp
Unwind the cache before throwing. This prevents lock-ups during database shutdown.

 2015-12-25 18:19  alexpeshkoff 
   M builds/install/arch-specific/linux/linuxLibrary.sh.in
   M builds/install/posix-common/posixLibrary.sh.in
   M builds/install/posix-common/preinstall.sh.in
Fixed CORE-4842: Installer script fails in some linux environments

 2015-12-25 01:08  robocop 
   M src/jrd/CryptoManager.cpp
   M src/remote/os/win32/xnet.cpp
   M src/remote/os/win32/xnet.h
   M src/remote/server/os/posix/inet_server.cpp
Misc.

 2015-12-24 11:17  alexpeshkoff 
   M src/misc/src_bundle.sh
Fixed CORE-5008: add missing cmake files to fb3 linux tarball

 2015-12-23 19:42  hvlad 
   M builds/win32/make_examples.bat
Build and copy udrcpp_example.dll

 2015-12-23 19:10  hvlad 
   M builds/install/misc/plugins.conf
   M builds/win32/msvc10/udr_engine.vcxproj.filters
   M builds/win32/msvc10/udrcpp_example.vcxproj
   M builds/win32/msvc10/udrcpp_example.vcxproj.filters
Fixed MSVC10 build of UDR examples

 2015-12-22 17:53  alexpeshkoff 
   M lang_helpers/gds_codes.ftn
   M lang_helpers/gds_codes.pas
   M src/auth/SecureRemotePassword/server/SrpServer.cpp
   M src/auth/SecurityDatabase/LegacyServer.cpp
   M src/include/gen/codetext.h
   M src/include/gen/iberror.h
   M src/include/gen/msgs.h
   M src/include/gen/sql_code.h
   M src/include/gen/sql_state.h
   M src/msgs/facilities2.sql
   M src/msgs/messages2.sql
   M src/msgs/system_errors2.sql
   M src/remote/server/server.cpp
Fixed CORE-4964: Real errors during connect to security database are hidden by Srp user manager. Errors should be logged no matter what AuthServer is used. (taking into an account Sean's request re. special error for system-related problems)

 2015-12-21 17:01  alexpeshkoff 
   M builds/install/arch-specific/linux/makeInstallImage.sh.in
   M builds/posix/Makefile.in
   A examples/interfaces/01.create.pas
   M extern/cloop/Makefile
   M extern/cloop/src/cloop/Generator.cpp
   M extern/cloop/src/cloop/Generator.h
   M extern/cloop/src/cloop/Main.cpp
   M lang_helpers/gds_codes.ftn
   M lang_helpers/gds_codes.pas
   M src/include/gen/codetext.h
   M src/include/gen/iberror.h
   M src/include/gen/msg_facs.h
   M src/include/gen/msgs.h
   M src/include/gen/sql_code.h
   M src/include/gen/sql_state.h
   M src/misc/codes.epp
   A src/misc/pascal
   A src/misc/pascal/Pascal.Constants.awk
   A src/misc/pascal/Pascal.implementation.pas
   A src/misc/pascal/Pascal.interface.pas
   A src/misc/pascal/fb_get_master_interface.pas
Added support for using pascal to access OO API

 2015-12-21 13:34  egorpugin 
   M .travis.yml
[ci] Switch to Ubuntu 14.04.

 2015-12-21 11:16  alexpeshkoff 
   M src/msgs/messages2.sql
   M src/msgs/system_errors2.sql
Fixed strange mistype in error code. This error code is never used in sources, i.e. nothing to fix due to this change.

 2015-12-21 09:48  dimitr 
   M src/jrd/scl.epp
Cleaned up the unused routine.

 2015-12-19 10:43  dimitr 
   M src/jrd/jrd.cpp
Fixed CORE-4840: Transactions with isc_tpb_autocommit can hang the server.

 2015-12-19 05:55  dimitr 
   M src/dsql/DdlNodes.epp
Remove the redundant (no-op) line.

 2015-12-18 16:57  dimitr 
   M src/dsql/DdlNodes.epp
Constness.

 2015-12-18 16:34  asfernandes 
   M src/dsql/Nodes.h
   M src/include/fb_blk.h
   M src/jrd/JrdStatement.cpp
   M src/jrd/sdw.cpp
Avoid warnings with clang.

 2015-12-18 16:34  asfernandes 
   M src/dsql/DdlNodes.epp
Fixed CORE-5049 - Regression: incorrect calculation of byte-length for view columns.

 2015-12-18 13:53  alexpeshkoff 
   M src/common/call_service.cpp
Fixed gsec with SS

 2015-12-18 13:45  asfernandes 
   M src/common/classes/alloc.h
   M src/include/fb_blk.h
Avoid warnings with clang.

 2015-12-18 12:28  dimitr 
   M builds/install/arch-specific/win32/BuildExecutableInstall.bat
This should fix CORE-4862: ibase.h from x64 package includes non-existing file.

 2015-12-17 15:14  alexpeshkoff 
   M src/remote/server/os/posix/inet_server.cpp
Postfix for CORE-5032: error handling was broken, therefore checked for invalid error code

 2015-12-17 13:44  aafemt 
   M src/jrd/jrd.cpp
   M src/yvalve/YObjects.h
   M src/yvalve/why.cpp
Rollback

 2015-12-17 12:43  alexpeshkoff 
   M src/yvalve/why.cpp
Fixed CORE-5039: Connecting to service with invalid servicename yields incorrect error message

 2015-12-17 11:28  hvlad 
   M src/remote/os/win32/xnet.cpp
Let XNET client returns correct isc_network_error in case of not running XNET server.
Before it returns isc_unavailable and fools y-valve.

 2015-12-17 09:56  hvlad 
   M src/yvalve/preparse.cpp
Fixed warning

 2015-12-17 09:56  hvlad 
   M src/yvalve/YObjects.h
   M src/yvalve/why.cpp
Make names less dumb. Formatting a bit.

 2015-12-16 17:23  aafemt 
   M src/yvalve/why.cpp
Restore raising of error from last tried provider as pointed by Alex

 2015-12-16 17:17  alexpeshkoff 
   M src/yvalve/why.cpp
Totally misc - formatting

 2015-12-16 17:16  alexpeshkoff 
   M src/yvalve/YObjects.h
Cleanup

 2015-12-16 17:12  alexpeshkoff 
   M src/remote/server/os/posix/inet_server.cpp
Fixed CORE-5032: Cannot connect to a database which have own security database without security3.fdb

 2015-12-16 16:43  dimitr 
   M src/jrd/jrd.cpp
This should fix the minor error reporting regression noticed for bugs.core_3323.

 2015-12-15 16:54  alexpeshkoff 
   M src/jrd/CryptoManager.cpp
   M src/jrd/CryptoManager.h
Mostly comments needed after fix for CORE-5041, also added some checks to be safer with repeated I/O

 2015-12-14 14:07  aafemt 
   M src/jrd/jrd.cpp
   M src/yvalve/YObjects.h
   M src/yvalve/why.cpp
Allow key holders to be called on client side (CORE-5043)

 2015-12-14 12:57  alexpeshkoff 
   M builds/install/misc/firebird.conf.in
comments

 2015-12-13 01:02  asfernandes 
   M src/dsql/DdlNodes.epp
   M src/dsql/Parser.h
   M src/jrd/CryptoManager.cpp
   M src/jrd/CryptoManager.h
   M src/yvalve/preparse.cpp
Misc.

 2015-12-11 19:46  aafemt 
   M src/jrd/CryptoManager.cpp
Allow only one ALTER DATABASE ENCRYPT query in transaction

 2015-12-11 16:06  paul_reeves 
   M builds/install/arch-specific/win32/FirebirdInstallEnvironmentChecks.inc
   M builds/install/arch-specific/win32/FirebirdInstall_30.iss
Include zlib1.dll in the binary kits

 2015-12-11 13:44  alexpeshkoff 
   M src/jrd/CryptoManager.cpp
Postfix for CORE-5041: try to leave slow I/O mode as soon as possible

 2015-12-11 13:27  alexpeshkoff 
   M src/yvalve/preparse.cpp
Fixed CORE-5042: FB3 client cannot create database on FB2.5 server

 2015-12-11 06:52  dimitr 
   M src/jrd/jrd.cpp
Fixed possible problems with asynchronous query cancellation (recent regression).

 2015-12-10 16:58  alexpeshkoff 
   M src/jrd/CryptoManager.cpp
   M src/jrd/CryptoManager.h
   M src/jrd/cch.cpp
   M src/jrd/jrd.cpp
   M src/jrd/nbak.cpp
   M src/jrd/sdw.cpp
Fixed CORE-5041: Database may get corrupted after ALTER DATABASE ENCRYPT/DECRYPT issued multiple times per database open time

 2015-12-10 15:30  alexpeshkoff 
   M src/common/classes/condition.h
Misc - fixed system call name in exception

 2015-12-09 14:22  aafemt 
   M src/dsql/DdlNodes.epp
   M src/jrd/CryptoManager.cpp
   M src/jrd/CryptoManager.h
Perform db encryption checks at ddl time to avoid corrupting database by wrong plugin name in header

 2015-12-09 13:47  aafemt 
   M src/dsql/DdlNodes.epp
   M src/dsql/DdlNodes.h
   M src/dsql/Parser.h
   M src/dsql/parse.y
Prevent using DECRYPT and ENCRYPT clauses in one query

 2015-12-09 10:25  paul_reeves 
   M builds/install/arch-specific/win32/ru/custom_messages_ru.inc
Change file format of custom messages to UTF-8
This ought to fix CORE-5002 but needs further testing

 2015-12-06 22:49  asfernandes 
   M src/common/isc_sync.cpp
   M src/jrd/validation.cpp
   M src/remote/os/win32/xnet.cpp
Misc.

 2015-12-04 13:07  aafemt 
   M src/yvalve/DistributedTransaction.cpp
   M src/yvalve/why.cpp
Move call addRef() out of constructor

 2015-12-03 22:17  hvlad 
   M src/common/isc_sync.cpp
Correction

 2015-12-03 16:17  hvlad 
   M src/common/isc_sync.cpp
Fixed the race condition on Windows when shared memory is initialized. 
It could raise errors like:
MonitoringData: Cannot initialize the shared memory region
sh_mem_length_mapped is 0 
LockManager::LockManager()
Database is probably already opened by another engine instance in another Windows session
MonitoringData: Cannot initialize the shared memory region
operating system directive CreateFile failed
Access is denied.
Test case is at CORE-4680, see comments by Pavel Zotov at 18 Nov 2015.

 2015-12-01 21:12  hvlad 
   M src/jrd/jrd.h
Fixed AV in CS introduced recently. Dmitry, please review.

 2015-12-01 12:24  dimitr 
   M src/lock/print.cpp
Misc.

 2015-12-01 12:23  dimitr 
   M src/jrd/jrd.cpp
   M src/jrd/jrd.h
   M src/lock/lock.cpp
Second round of my checkout/rescheduling changes.

 2015-11-29 23:02  egorpugin 
   M .travis.yml
[ci] Fix wget sertificate error.

 2015-11-29 15:12  dimitr 
   M src/jrd/Attachment.cpp
   M src/jrd/Attachment.h
   M src/jrd/ExtEngineManager.cpp
   M src/jrd/GlobalRWLock.cpp
   M src/jrd/Relation.cpp
   M src/jrd/Routine.cpp
   M src/jrd/cch.cpp
   M src/jrd/dfw.epp
   M src/jrd/fun.epp
   M src/jrd/inf.cpp
   M src/jrd/intl.cpp
   M src/jrd/jrd.cpp
   M src/jrd/jrd.h
   M src/jrd/jrd_proto.h
   M src/jrd/lck.cpp
   M src/jrd/met.epp
   M src/jrd/nbak.cpp
   M src/jrd/nbak.h
   M src/jrd/os/pio_proto.h
   M src/jrd/os/posix/unix.cpp
   M src/jrd/os/win32/winnt.cpp
   M src/jrd/pag.cpp
   M src/jrd/pag_proto.h
   M src/jrd/sdw.cpp
   M src/jrd/tra.cpp
   M src/jrd/vio.cpp
   M src/lock/lock.cpp
   M src/lock/lock_proto.h
1) Slightly refactored recheduling and checkout logic.
2) Re-enabled checkouts in PIO routines, this resolves CORE-4179. Windows build may be broken, please validate.
3) Implemented faster reaction on asynchronous cancellation/shutdown requests.
4) Avoided locking dbb_sync in AST. This change also solves races during massive attachment shutdown.

 2015-11-27 18:37  asfernandes 
   M src/common/MsgMetadata.cpp
   M src/common/MsgMetadata.h
   M src/common/classes/objects_array.h
Allow to call IMetadataBuilder::getMetadata more than one time.

 2015-11-26 09:28  roman-simakov 
   M src/jrd/cch.cpp
   M src/jrd/validation.cpp
   M src/jrd/validation.h
Fixed CORE-4978: Improved validation and fix of lost data pages. Thanks to Vlad for help.

 2015-11-24 23:33  hvlad 
   M src/jrd/event.cpp
Fixed bug CORE-5034 : At least 5 seconds delay on disconnect could happen if disconnect happens close after Event Manager initialization

 2015-11-24 23:17  hvlad 
   M src/jrd/Mapping.cpp
Fixed bug CORE-5033 : File fb_user_mapping could be left in Firebird lock directory after correct shutdown of all Firebird worker processes

 2015-11-23 16:08  hvlad 
   M src/remote/server/server.cpp
Avoid reporting of "SERVER/process_packet: broken port, server exiting" message for already detached port (affects CS only)

 2015-11-23 16:06  hvlad 
   M src/remote/os/win32/xnet.cpp
   M src/remote/os/win32/xnet.h
Refactor xnet module to separate client and server parts (endpoints).
It fixed bug CORE-5029 : AV in fbclient when multi-threaded application uses XNET protocol
and allows in the future to implement client ability to specify target server endpoint name 
at connection level (currently it is set in firebird.conf).

 2015-11-23 09:57  alexpeshkoff 
   M src/auth/SecureRemotePassword/server/SrpServer.cpp
   M src/auth/SecurityDatabase/LegacyServer.cpp
Fixed CORE-5026: Firebird authentication gives up after first common plugin

 2015-11-20 10:17  hvlad 
   M src/jrd/cch.cpp
   M src/jrd/jrd.cpp
Fix one of the reason for AV in the engine (see CORE-4680, test by Pavel Zotov at 18 Nov 2015).
The race when gone attachment released database object while another attachment is initialized and uses same database object.
Could happens with shared cache (former SS) only.

 2015-11-20 08:47  dimitr 
   M src/jrd/opt.cpp
Misc.

 2015-11-20 00:33  asfernandes 
   M src/remote/client/interface.cpp
   M src/utilities/fbsvcmgr/fbsvcmgr.cpp
   M src/utilities/ntrace/TracePluginImpl.cpp
   M src/yvalve/MasterImplementation.cpp
   M src/yvalve/PluginManager.cpp
Misc.

 2015-11-20 00:25  asfernandes 
   M src/remote/server/server.cpp
Fix bad indentation.

 2015-11-19 01:12  asfernandes 
   M src/jrd/dpm.epp
Misc.

 2015-11-18 15:57  alexpeshkoff 
   M builds/posix/Makefile.in.plugins_examples
Added build of crypt application sample to posix build at least in order to keep it compilable

 2015-11-18 01:10  asfernandes 
   M builds/install/arch-specific/win32/installation_readme.txt
   M src/common/classes/alloc.cpp
   M src/common/os/os_utils.h
   M src/dsql/ExprNodes.cpp
   M src/dsql/parse.y
   M src/jrd/trace/TraceConfigStorage.cpp
   M src/jrd/trace/TraceManager.cpp
   M src/jrd/trace/TraceObjects.h
   M src/remote/inet.cpp
   M src/yvalve/MasterImplementation.cpp
Misc.

 2015-11-18 00:42  asfernandes 
   M src/burp/restore.epp
Fixed bad indentation.

 2015-11-17 17:01  asfernandes 
   M src/dsql/Nodes.h
Try to fix the performance problem noted by Arno.

 2015-11-17 16:24  aafemt 
   M extern/cloop/src/cloop/Generator.cpp
MSVC2010 has no inttypes.h, may be stdint.h or cstdint was supposed?..

 2015-11-17 12:19  dimitr 
   M src/misc/writeBuildNum.sh
Updated the version string.

 2015-11-17 11:46  dimitr 
   M src/dsql/dsql.cpp
FB3 seems to be properly protected from CORE-4983 at the y-valve level, but I'm adding an additional protection for the engine anyway (call me paranoid).

 2015-11-17 10:47  dimitr 
   M src/jrd/Optimizer.cpp
Fixed CORE-5220: Regression: ORDER BY clause on compound index may disable usage of other indices.

 2015-11-16 20:33  dimitr 
   M src/jrd/opt.cpp
Reverted back my change from Jan-2014. I cannot reproduce the original problem anymore. Also, this resolves regression CORE-5018: Non-indexed predicates may not be applied immediately after retrieval when tables are being joined.

 2015-11-16 16:13  alexpeshkoff 
   M examples/dbcrypt/CryptApplication.cpp
Fixed crypt application

 2015-11-16 12:09  dimitr 
   M src/jrd/evl.cpp
This should fix CORE-5016: Server crashes during GC when DELETE is executed after adding new referencing column.

 2015-11-16 10:25  alexpeshkoff 
   M src/jrd/CryptoManager.cpp
Partially rolled back changes in my last commit in order to restore CS support

 2015-11-16 09:48  alexpeshkoff 
   M src/jrd/CryptoManager.cpp
Slightly optimize loading of disk crypt plugin, thanks to Dmitry Sibiryakov

 2015-11-15 11:57  alexpeshkoff 
   M src/remote/inet.cpp
   M src/remote/os/win32/wnet.cpp
   M src/remote/os/win32/xnet.cpp
   M src/remote/server/server.cpp
Fixed CORE-5017: Interrupt of aux connection during TCP setup phase causes server exit due to unhandled exception

 2015-11-13 12:45  alexpeshkoff 
   M src/remote/server/server.cpp
Postfix for CORE-5014: not good to disconnject same port twice, looks like I and Vlad tried to fix same bug simultaneously

 2015-11-12 14:13  hvlad 
   M src/remote/server/server.cpp
Fixed bug CORE-5015 :  AV in engine could happen when ON DISCONNECT trigger posted event

 2015-11-12 13:43  alexpeshkoff 
   M src/remote/inet.cpp
   M src/remote/server/server.cpp
Fixed CORE-5014: Interrupt of aux connection during TCP setup phase causes unclear error messages in firebird.log

 2015-11-12 07:23  paul_reeves 
   M builds/install/arch-specific/win32/installation_readme.txt
Misc

 2015-11-12 07:19  paul_reeves 
   M builds/install/arch-specific/win32/install_service.bat
Remove comments left in by error while testing.

 2015-11-11 16:14  aafemt 
   M src/jrd/CryptoManager.cpp
   M src/jrd/ods.h
A little comment

 2015-11-11 15:16  alexpeshkoff 
   D doc/README.UserSql
Fixed CORE-5009: remove obsolete readme on user management

 2015-11-11 13:53  alexpeshkoff 
   M src/jrd/jrd.cpp
Fixed CORE-4991: Key holder plugin is loaded on connect to database but not on create

 2015-11-10 17:04  paul_reeves 
   M builds/install/arch-specific/win32/FirebirdInstallEnvironmentChecks.inc
Fix dumb error which has been lurking in the windows packaging code for a while.

 2015-11-10 15:54  alexpeshkoff 
   M src/jrd/CryptoManager.cpp
Fixed CORE-4990: Database is not decrypted completely

 2015-11-10 14:47  asfernandes 
   M src/jrd/Routine.cpp
Pass MessageMetadata with offsets to external routines make* methods.

 2015-11-10 09:08  paul_reeves 
   D builds/install/arch-specific/win32/install_classic.bat
   A builds/install/arch-specific/win32/install_service.bat
   D builds/install/arch-specific/win32/install_super.bat
   D builds/install/arch-specific/win32/uninstall.bat
   A builds/install/arch-specific/win32/uninstall_service.bat
Sync RC1 windows installer changes to trunk.
Remove old manual install/uninstall scripts
Add new ones

 2015-11-10 09:01  paul_reeves 
   M builds/install/arch-specific/win32/FirebirdInstallEnvironmentChecks.inc
   M builds/install/arch-specific/win32/FirebirdInstallGUIFunctions.inc
   M builds/install/arch-specific/win32/FirebirdInstallSupportFunctions.inc
   M builds/install/arch-specific/win32/FirebirdInstall_30.iss
Sync RC1 windows installer changes to trunk.

 2015-11-10 08:52  paul_reeves 
   M builds/install/arch-specific/win32/Readme.txt
   M builds/install/arch-specific/win32/custom_messages.inc
   M builds/install/arch-specific/win32/installation_readme.txt
   M builds/install/arch-specific/win32/installation_scripted.txt
Sync RC1 windows installer changes to trunk.
Misc changes

 2015-11-10 08:50  paul_reeves 
   M builds/install/arch-specific/win32/BuildExecutableInstall.bat
Sync RC1 windows installer changes to trunk.
Remove references to embedded kits
Include all relevant pdb files in the pdb kits
Bring the contents of the zip kits up-to-date

 2015-11-10 08:44  paul_reeves 
   M builds/win32/make_all.bat
Sync RC1 windows installer changes to trunk.
Make sure that renamed batch files to aid manual deployment get copied across at end of build.

 2015-11-09 21:39  hvlad 
   M src/jrd/btr.cpp
Correct check for maximum index depth 

 2015-11-09 15:10  alexpeshkoff 
   M src/jrd/sdw.cpp
Fixed CORE-4999: Deadlock when trying to access database with invalid crypt key

 2015-11-09 13:26  hvlad 
   M src/remote/client/interface.cpp
   M src/remote/server/server.cpp
Fixed bug CORE-4998 : Both client and server could not close connection after failed authentification

 2015-11-09 09:52  alexpeshkoff 
   M src/common/classes/init.h
Fixed CORE-4997: Races when 2 threads try to establish first enbedded connections to engine simultaneously

 2015-11-08 17:01  aafemt 
   M src/include/firebird/FirebirdInterface.idl
A little more decription of key holder interface

 2015-11-06 17:10  alexpeshkoff 
   M src/common/security.cpp
   M src/common/security.h
   M src/jrd/UserManagement.cpp
   M src/jrd/UserManagement.h
   M src/utilities/gsec/gsec.cpp
Fixed CORE-4969: SEC$USERS table is unavailable in case of any error in any configured user manager plugin

 2015-11-06 16:58  aafemt 
   M builds/win32/setenvvar.bat
Allow build in path containing spaces (CORE-4910)

 2015-11-06 16:43  aafemt 
   M examples/dbcrypt/CryptKeyHolder.cpp
   M examples/dbcrypt/DbCrypt.cpp
Missing export direcrive

 2015-11-05 17:15  alexpeshkoff 
   M examples/interfaces/01.create.cpp
   M examples/interfaces/02.update.cpp
   M examples/interfaces/03.select.cpp
   M examples/interfaces/04.print_table.cpp
Update samples - use IUtil and IXpbBuilder
Avoid plain isc_ calls

 2015-11-05 16:06  alexpeshkoff 
   M src/yvalve/utl.cpp
Make returned string C-style (with 0 terminator byte) when possible

 2015-11-05 09:57  alexpeshkoff 
   M src/common/os/posix/os_utils.cpp
Fixed build error, reported by Pavel Zotov

 2015-11-04 07:23  hvlad 
   M src/jrd/lck.cpp
Removed unneeded assert, correct code a bit as Dmitry suggested

 2015-11-04 06:06  dimitr 
   M src/jrd/Relation.cpp
   M src/jrd/cch.cpp
   M src/jrd/shut.cpp
   M src/jrd/shut_proto.h
Fixed attachment lock usage. Minimized chances for races during database shutdown.

 2015-11-03 11:01  hvlad 
   M src/common/os/os_utils.h
   M src/common/os/posix/os_utils.cpp
   M src/common/os/win32/os_utils.cpp
   M src/utilities/fbsvcmgr/fbsvcmgr.cpp
   M src/utilities/fbtracemgr/traceMgrMain.cpp
Improved reaction on Ctrl+C\Ctrl+Break\console close request in Trace Manager and Services Manager console utilities on Windows.

 2015-11-03 10:37  dimitr 
   M src/dsql/ExprNodes.cpp
Remove the code no longer neccessary.

 2015-11-03 09:36  hvlad 
   M src/utilities/ntrace/fbtrace.conf
Correction

 2015-11-03 09:12  hvlad 
   M src/common/ThreadStart.cpp
   M src/common/dllinst.cpp
   M src/common/dllinst.h
   M src/common/os/win32/mod_loader.cpp
   M src/jrd/CryptoManager.cpp
   M src/jrd/os/win32/ibinitdll.cpp
   M src/jrd/svc.cpp
   M src/jrd/trace/TraceConfigStorage.cpp
   M src/jrd/trace/TraceConfigStorage.h
   M src/jrd/trace/TraceManager.cpp
   M src/yvalve/MasterImplementation.cpp
   M src/yvalve/PluginManager.cpp
Additional means to avoid crash\hangup when application unload fbclient.dll not calling fb_shutdown.
Fixed reason of 500 ms delay experienced by such applications (described by Arno in fb-devel).
Fixed missing assignment of thread priorities.

 2015-11-02 11:48  dimitr 
   M src/jrd/exe.cpp
Fixed the assertion inside the looper (req_caller was not cleared for procedure requests terminated due to exception).

 2015-11-02 11:46  dimitr 
   M src/jrd/dpm.epp
   M src/jrd/req.h
   M src/jrd/vio.cpp
Simplified the locking logic and fixed races during record backout.

 2015-11-01 06:27  dimitr 
   M doc/WhatsNew
Updated the docs.

 2015-10-30 06:08  dimitr 
   M src/jrd/Optimizer.cpp
Fixed CORE-4984: Ordering by compound index together with a range condition gives wrong results.

 2015-10-29 15:17  alexpeshkoff 
   M src/jrd/ini.epp
Fixed regression cause by fix for CORE-4980: restore creation of generators before privileges - one generator is required to create privileges correctly

 2015-10-29 11:18  dimitr 
   M src/dsql/Nodes.h
   M src/jrd/exe.cpp
Generic solution for CORE-4982: Server crashes during "select from procedure" if exception is thrown while backing out the current savepoint.

 2015-10-27 16:57  alexpeshkoff 
   M src/burp/backup.epp
Postfix for CORE-4980: no use to backup rights granted to system tables

 2015-10-27 16:48  alexpeshkoff 
   M src/burp/burp.h
   M src/burp/restore.epp
   M src/dsql/DdlNodes.epp
   M src/dsql/PackageNodes.epp
   M src/isql/show.epp
   M src/jrd/ini.epp
Fixed CORE-4980: Operator REVOKE can modify rights granted to system tables at DB creation time

 2015-10-27 12:19  dimitr 
   M src/dsql/parse.y
Disabled GRANT/REVOKE for privileges not currently enforced: USAGE/DOMAIN, USAGE/CHARSET, USAGE/COLLATION.

 2015-10-26 21:22  dimitr 
   M src/yvalve/why.cpp
Fixed CORE-4972: Invalid statement handle.

 2015-10-26 16:55  alexpeshkoff 
   M src/utilities/fbsvcmgr/fbsvcmgr.cpp
Do not type "invalid service handle" error message after pressing ctrl-C (as Vlad requested)

 2015-10-26 15:07  alexpeshkoff 
   M src/yvalve/why.cpp
Fixed a case when second copy of fb_shutdown() is called in another thread while first copy of it is still running (restored old code)

 2015-10-26 15:04  alexpeshkoff 
   M src/common/IntlParametersBlock.cpp
   M src/common/IntlParametersBlock.h
   M src/remote/client/interface.cpp
   M src/yvalve/why.cpp
Fixed bug related with IntlParametersBlock noticed by Mark Rotteveel

 2015-10-26 10:28  dimitr 
   M src/jrd/pag.cpp
   M src/utilities/gstat/ppg.cpp
Misc.

 2015-10-26 10:17  dimitr 
   M src/utilities/gstat/ppg.cpp
Fixed gstat output.

 2015-10-25 13:54  hvlad 
   M src/utilities/ntrace/fbtrace.conf
Fixed bug CORE-4968 : fbtrace.conf in FB30-HOME: missing equality sign ('=') between parameter  "log_errors" and its default values ("false")

 2015-10-25 13:48  hvlad 
   M src/remote/server/server.cpp
Avoid send over closing socket (it put errors 10058 (WSAESHUTDOWN) in firebird.log)

 2015-10-25 13:45  hvlad 
   M src/remote/inet.cpp
Revert some of my recent changes in socket closing sequence as it causes delays client side on Linux.
It also should fix CORE-4977 : Detach of 3.x database from 3.x Linux client takes much longer than from 3.x Windows client

 2015-10-23 13:09  alexpeshkoff 
   M src/jrd/IntlManager.cpp
Avoid loading same international module many times

 2015-10-23 05:27  robocop 
   M src/jrd/validation.cpp
   M src/jrd/validation.h
I prefer explicit conversions instead of guessing what the compiler did.

 2015-10-23 03:09  robocop 
   M src/common/classes/alloc.cpp
Misc.

 2015-10-23 03:08  robocop 
   M src/jrd/btr.cpp
Misc.

 2015-10-23 03:08  robocop 
   M src/jrd/Relation.h
Misc.

 2015-10-23 03:07  robocop 
   M src/jrd/tra.h
Misc.

 2015-10-23 02:50  robocop 
   M src/remote/inet.cpp
Misc.

 2015-10-23 02:48  robocop 
   M src/jrd/svc.cpp
I suppose putSInt64 author meant 9 not 5.

 2015-10-22 17:43  dimitr 
   M src/alice/tdr.cpp
Fixed gfix -commit / -rollback on big-endian platforms. Seems to be a very old bug.

 2015-10-22 17:40  dimitr 
   M src/jrd/tra.cpp
Fixed regression for bugs.core_2268.

 2015-10-22 17:15  dimitr 
   M src/jrd/Monitoring.cpp
Fixed regression in the monitoring code.

 2015-10-22 13:40  hvlad 
   M src/yvalve/why.cpp
Fixed AV on client : when disconnect happens while event callback run

 2015-10-22 10:15  hvlad 
   M src/remote/server/server.cpp
It should fix TCS issue with events reported privately by Alex

 2015-10-21 16:51  alexpeshkoff 
   M src/common/classes/alloc.cpp
   M src/common/classes/alloc.h
   M src/common/classes/misc/class_test.cpp
   M src/common/classes/tree.h
   M src/common/classes/vector.h
Make memory consumption smaller using redirection to parent pool for small extents and medium blocks. This makes simple requests to compile without requesting memory from OS.

 2015-10-20 13:07  dimitr 
   M src/jrd/tra.cpp
   M src/utilities/ntrace/TracePluginImpl.cpp
Misc.

 2015-10-20 13:06  dimitr 
   M src/dsql/ExprNodes.cpp
Fixed CORE-4970: Table trigger does not see its mode: inserting or updating or deleting.

 2015-10-19 14:55  hvlad 
   M src/remote/inet.cpp
Fixed logging WSAEINTR error on shutdown of Classic listener process (Windows-specific).
Error looks like
	INET_connect
	Unable to complete network request to host ...
	Failed to establish a connection.
	A blocking operation was interrupted by a call to WSACancelBlockingCall.

 2015-10-19 14:51  hvlad 
   M src/jrd/Mapping.cpp
Fixed delays on disconnect (Classic mode only, seems Windows-specific)

 2015-10-19 14:15  dimitr 
   M doc/WhatsNew
Updated docs.

 2015-10-19 14:02  alexpeshkoff 
   M src/common/classes/alloc.cpp
   M src/common/classes/alloc.h
   M src/common/classes/misc/class_test.cpp
   M src/common/classes/misc/string_test.cpp
   M src/yvalve/gds.cpp
Fixed memory statistics collection

 2015-10-19 13:37  dimitr 
   M src/jrd/RecordNumber.h
Removed unused method (its calculations are outdated anyway).

 2015-10-19 13:32  dimitr 
   M src/alice/alice.cpp
   M src/alice/alice.h
   M src/alice/alice_meta.epp
   M src/alice/alice_meta.h
   M src/alice/tdr.cpp
   M src/alice/tdr_proto.h
   M src/common/UtilSvc.cpp
   M src/common/UtilSvc.h
   M src/dsql/ExprNodes.cpp
   M src/dsql/Nodes.h
   M src/dsql/StmtNodes.cpp
   M src/include/consts_pub.h
   M src/include/fb_types.h
   M src/include/firebird/FirebirdInterface.idl
   M src/include/firebird/IdlFbInterfaces.h
   M src/jrd/Attachment.cpp
   M src/jrd/Attachment.h
   M src/jrd/Database.cpp
   M src/jrd/Database.h
   M src/jrd/Monitoring.cpp
   M src/jrd/Monitoring.h
   M src/jrd/Relation.cpp
   M src/jrd/Relation.h
   M src/jrd/RuntimeStatistics.cpp
   M src/jrd/SysFunction.cpp
   M src/jrd/VirtualTable.cpp
   M src/jrd/btr.cpp
   M src/jrd/btr.h
   M src/jrd/btr_proto.h
   M src/jrd/cch.cpp
   M src/jrd/constants.h
   M src/jrd/dpm.epp
   M src/jrd/fields.h
   M src/jrd/filters.cpp
   M src/jrd/idx.cpp
   M src/jrd/jrd.cpp
   M src/jrd/lck.cpp
   M src/jrd/lck.h
   M src/jrd/lck_proto.h
   M src/jrd/met.epp
   M src/jrd/ods.cpp
   M src/jrd/ods.h
   M src/jrd/ods_proto.h
   M src/jrd/opt.cpp
   M src/jrd/pag.cpp
   M src/jrd/pag_proto.h
   M src/jrd/recsrc/BufferedStream.cpp
   M src/jrd/recsrc/SortedStream.cpp
   M src/jrd/req.h
   M src/jrd/sbm.h
   M src/jrd/svc.cpp
   M src/jrd/svc.h
   M src/jrd/tpc.cpp
   M src/jrd/tra.cpp
   M src/jrd/tra.h
   M src/jrd/trace/TraceObjects.cpp
   M src/jrd/trace/TraceObjects.h
   M src/jrd/validation.cpp
   M src/jrd/vio.cpp
   M src/lock/lock.cpp
   M src/lock/lock_proto.h
   M src/lock/print.cpp
   M src/utilities/fbsvcmgr/fbsvcmgr.cpp
   M src/utilities/gstat/ppg.cpp
   M src/utilities/ntrace/TracePluginImpl.cpp
   M src/utilities/ntrace/TracePluginImpl.h
   M src/utilities/ntrace/traceplugin.cpp
CORE-4965: Extend the transaction ID space beyond 2^32 transactions. Initially developed in the v2.5 custom branch, then reworked and now merged into v3.0.

 2015-10-18 12:14  dimitr 
   M builds/install/misc/firebird.conf.in
Added version info to the conf file.

 2015-10-18 12:03  dimitr 
   M builds/install/misc/firebird.conf.in
Misc corrections by Helen.

 2015-10-18 11:59  dimitr 
   A doc/README.connection_strings
Some new docs.

 2015-10-18 01:30  asfernandes 
   M src/remote/inet.cpp
   M src/remote/server/server.cpp
Misc.

 2015-10-16 15:30  hvlad 
   M src/remote/client/interface.cpp
   M src/remote/remote.h
   M src/remote/server/server.cpp
   M src/yvalve/YObjects.h
   M src/yvalve/why.cpp
Fixed few issues in event's handling code which could lead to AV (CORE-4680).
Fixed few small memory leaks.

 2015-10-16 15:28  hvlad 
   M src/remote/inet.cpp
Implemented delayed closing of server sockets - it should fix server hang up (see CORE-4680).
Fixed socket disconnect handling to allow graceful shutdown of network connection and avoid a lot of network errors in firebird.log (mostly 10053\10054).
Misc changes.

 2015-10-15 13:22  paulbeach 
   M builds/posix/postfix.darwin
More changes to support the new pkgbuild installer for El Capitan

 2015-10-15 12:32  paulbeach 
   M builds/install/arch-specific/darwin/install-script
   M builds/install/arch-specific/darwin/preupgrade-script
More changes to support the new pkgbuild installer for El Capitan

 2015-10-15 07:29  dimitr 
   M src/utilities/fbcpl/fbpanel.cpp
This should fix the Windows build.

 2015-10-14 08:31  hvlad 
   M src/jrd/event.cpp
Fixed race condition when many attachments creates event session at the same moment

 2015-10-13 12:10  paulbeach 
   A builds/install/arch-specific/darwin/DistributionCS.xml
   A builds/install/arch-specific/darwin/DistributionSS.xml
   M builds/install/arch-specific/darwin/Info.plist
   M builds/install/arch-specific/darwin/Makefile.in
   M builds/install/arch-specific/darwin/install-script
   M builds/install/arch-specific/darwin/preupgrade-script
   M builds/posix/postfix.darwin
   M builds/posix/prefix.darwin_i386
   M builds/posix/prefix.darwin_x86_64
New installer based on pkgbuild and productbuild to replace old deprecated installer on El Capitan

 2015-10-13 09:44  hvlad 
   M src/common/dllinst.cpp
   M src/common/isc.cpp
   M src/utilities/install/install.cpp
Corrections

 2015-10-13 02:22  asfernandes 
   M doc/sql.extensions/README.ddl.txt
   M src/common/classes/ImplementHelper.h
   M src/common/classes/fb_atomic.il
   M src/common/classes/misc/class_test.cpp
   M src/common/classes/misc/lowtab.c
   M src/common/classes/misc/miditab.c
   M src/dsql/StmtNodes.cpp
   M src/jrd/cmp.cpp
   M src/jrd/ext.cpp
   M src/jrd/vio.cpp
   M src/utilities/fbcpl/fbdialog.cpp
Misc.

 2015-10-13 01:49  asfernandes 
   M src/dsql/Parser.h
   M src/dsql/btyacc_fb.ske
Use pools in the btyacc skeleton file.

 2015-10-12 14:29  alexpeshkoff 
   M src/msgs/transmsgs.fr_FR2.sql
Rolled back accidentially committed file

 2015-10-12 14:26  alexpeshkoff 
   M src/alice/alice.cpp
   M src/alice/alice_meta.epp
   M src/auth/SecureRemotePassword/client/SrpClient.cpp
   M src/auth/SecureRemotePassword/manage/SrpManagement.cpp
   M src/auth/SecureRemotePassword/misc/test_srp.cpp
   M src/auth/SecureRemotePassword/server/SrpServer.cpp
   M src/auth/SecurityDatabase/LegacyServer.cpp
   M src/burp/burp.cpp
   M src/common/CharSet.cpp
   M src/common/DynamicStrings.cpp
   M src/common/IntlUtil.cpp
   M src/common/MsgMetadata.cpp
   M src/common/StatementMetadata.h
   M src/common/StatusArg.cpp
   M src/common/StatusHolder.h
   M src/common/ThreadStart.cpp
   M src/common/UtilSvc.cpp
   M src/common/classes/GenericMap.h
   M src/common/classes/GetPlugins.h
   M src/common/classes/ImplementHelper.cpp
   M src/common/classes/ImplementHelper.h
   M src/common/classes/InternalMessageBuffer.cpp
   M src/common/classes/Switches.cpp
   M src/common/classes/Synchronize.cpp
   M src/common/classes/VaryStr.h
   M src/common/classes/alloc.cpp
   M src/common/classes/alloc.h
   M src/common/classes/array.h
   M src/common/classes/fb_atomic.il
   M src/common/classes/fb_string.h
   M src/common/classes/fb_tls.h
   M src/common/classes/init.h
   M src/common/classes/misc/class_perf.cpp
   M src/common/classes/objects_array.h
   M src/common/classes/stack.h
   M src/common/classes/tree.h
   M src/common/config/ConfigCache.cpp
   M src/common/config/config.cpp
   M src/common/config/config_file.cpp
   M src/common/db_alias.cpp
   M src/common/fb_exception.cpp
   M src/common/isc.cpp
   M src/common/isc_sync.cpp
   M src/common/os/darwin/mod_loader.cpp
   M src/common/os/posix/mod_loader.cpp
   M src/common/os/posix/path_utils.cpp
   M src/common/os/win32/mod_loader.cpp
   M src/common/os/win32/path_utils.cpp
   M src/common/unicode_util.cpp
   M src/common/utils.cpp
   M src/dsql/AggNodes.cpp
   M src/dsql/BoolNodes.cpp
   M src/dsql/DdlNodes.epp
   M src/dsql/DsqlCompilerScratch.cpp
   M src/dsql/DsqlCompilerScratch.h
   M src/dsql/ExprNodes.cpp
   M src/dsql/Nodes.h
   M src/dsql/PackageNodes.epp
   M src/dsql/Parser.cpp
   M src/dsql/Parser.h
   M src/dsql/StmtNodes.cpp
   M src/dsql/StmtNodes.h
   M src/dsql/WinNodes.cpp
   M src/dsql/btyacc_fb.ske
   M src/dsql/dsql.cpp
   M src/dsql/make.cpp
   M src/dsql/metd.epp
   M src/dsql/parse.y
   M src/dsql/pass1.cpp
   M src/intl/cs_icu.cpp
   M src/intl/cv_icu.cpp
   M src/intl/cv_narrow.cpp
   M src/intl/lc_ascii.cpp
   M src/intl/lc_dos.cpp
   M src/intl/lc_icu.cpp
   M src/intl/lc_narrow.cpp
   M src/intl/utils/maptest2.c
   M src/isql/ColList.cpp
   M src/isql/Extender.cpp
   M src/isql/InputDevices.cpp
   M src/isql/isql.epp
   M src/jrd/Attachment.cpp
   M src/jrd/Collation.cpp
   M src/jrd/CryptoManager.cpp
   M src/jrd/Database.h
   M src/jrd/DebugInterface.cpp
   M src/jrd/EngineInterface.h
   M src/jrd/ExtEngineManager.cpp
   M src/jrd/Function.epp
   M src/jrd/GarbageCollector.cpp
   M src/jrd/JrdStatement.cpp
   M src/jrd/Mapping.cpp
   M src/jrd/Monitoring.cpp
   M src/jrd/Optimizer.cpp
   M src/jrd/PreparedStatement.cpp
   M src/jrd/RecordBuffer.cpp
   M src/jrd/RecordSourceNodes.cpp
   M src/jrd/RecordSourceNodes.h
   M src/jrd/Relation.cpp
   M src/jrd/Routine.cpp
   M src/jrd/SimilarToMatcher.h
   M src/jrd/TempSpace.cpp
   M src/jrd/blb.cpp
   M src/jrd/blob_filter.cpp
   M src/jrd/btr.cpp
   M src/jrd/btr.h
   M src/jrd/cch.cpp
   M src/jrd/cmp.cpp
   M src/jrd/dfw.epp
   M src/jrd/event.cpp
   M src/jrd/evl_string.h
   M src/jrd/exe.cpp
   M src/jrd/exe.h
   M src/jrd/ext.cpp
   M src/jrd/extds/ExtDS.cpp
   M src/jrd/extds/InternalDS.cpp
   M src/jrd/extds/IscDS.cpp
   M src/jrd/flu.cpp
   M src/jrd/fun.epp
   M src/jrd/idx.cpp
   M src/jrd/ini.epp
   M src/jrd/intl.cpp
   M src/jrd/intl_builtin.cpp
   M src/jrd/intl_classes.h
   M src/jrd/jrd.cpp
   M src/jrd/jrd.h
   M src/jrd/met.epp
   M src/jrd/nbak.cpp
   M src/jrd/opt.cpp
   M src/jrd/os/win32/win9x_nt.h
   M src/jrd/os/win32/winnt.cpp
   M src/jrd/pag.cpp
   M src/jrd/par.cpp
   M src/jrd/recsrc/AggregatedStream.cpp
   M src/jrd/recsrc/BufferedStream.cpp
   M src/jrd/recsrc/HashJoin.cpp
   M src/jrd/recsrc/MergeJoin.cpp
   M src/jrd/recsrc/ProcedureScan.cpp
   M src/jrd/recsrc/RecursiveStream.cpp
   M src/jrd/recsrc/SingularStream.cpp
   M src/jrd/recsrc/SortedStream.cpp
   M src/jrd/recsrc/WindowedStream.cpp
   M src/jrd/sbm.h
   M src/jrd/scl.epp
   M src/jrd/sdw.cpp
   M src/jrd/sort.cpp
   M src/jrd/svc.cpp
   M src/jrd/tra.cpp
   M src/jrd/tra.h
   M src/jrd/trace/TraceConfigStorage.cpp
   M src/jrd/trace/TraceConfigStorage.h
   M src/jrd/trace/TraceDSQLHelpers.h
   M src/jrd/trace/TraceJrdHelpers.h
   M src/jrd/trace/TraceLog.cpp
   M src/jrd/trace/TraceManager.cpp
   M src/jrd/trace/TraceObjects.cpp
   M src/jrd/trace/TraceService.cpp
   M src/jrd/val.h
   M src/jrd/validation.cpp
   M src/jrd/vio.cpp
   M src/lock/lock.cpp
   M src/lock/print.cpp
   M src/msgs/transmsgs.fr_FR2.sql
   M src/plugins/crypt/arc4/Arc4.cpp
   M src/plugins/udr_engine/UdrEngine.cpp
   M src/qli/dtr.cpp
   M src/remote/client/interface.cpp
   M src/remote/inet.cpp
   M src/remote/os/win32/wnet.cpp
   M src/remote/os/win32/xnet.cpp
   M src/remote/parser.cpp
   M src/remote/protocol.cpp
   M src/remote/remote.cpp
   M src/remote/remote.h
   M src/remote/server/os/posix/inet_server.cpp
   M src/remote/server/os/win32/srvr_w32.cpp
   M src/remote/server/server.cpp
   M src/utilities/fbcpl/fbcontrol.cpp
   M src/utilities/fbcpl/fbdialog.cpp
   M src/utilities/fbcpl/fbpanel.cpp
   M src/utilities/gsec/gsec.cpp
   M src/utilities/gstat/dba.epp
   M src/utilities/install/install.cpp
   M src/utilities/install/install_svc.cpp
   M src/utilities/nbackup/nbackup.cpp
   M src/utilities/ntrace/TracePluginImpl.cpp
   M src/utilities/ntrace/TraceUnicodeUtils.cpp
   M src/utilities/ntrace/traceplugin.cpp
   M src/yvalve/DistributedTransaction.cpp
   M src/yvalve/MasterImplementation.cpp
   M src/yvalve/PluginManager.cpp
   M src/yvalve/gds.cpp
   M src/yvalve/gds_proto.h
   M src/yvalve/preparse.cpp
   M src/yvalve/utl.cpp
   M src/yvalve/why.cpp
Enhanced memory leaks search - changed FB_NEW to FB_NEW_POOL,
plain new to FB_NEW, making allocated with it blocks tagged with file/line.
Make related code slightly better readable.

 2015-10-11 14:22  alexpeshkoff 
   M src/include/gen/msgs.h
   M src/msgs/messages2.sql
Changed message text

 2015-10-11 08:59  hvlad 
   M src/common/StatementMetadata.cpp
Avoid too frequent VirtualAlloc\VirtualFree calls

 2015-10-11 08:58  hvlad 
   M src/remote/remote.cpp
Fixed small memory leak (happens on every auth request)

 2015-10-09 14:47  asfernandes 
   M src/remote/server/server.cpp
Fix debug code.

 2015-10-09 13:57  alexpeshkoff 
   M doc/sql.extensions/README.ddl.txt
   M src/dsql/parse.y
Better syntax for CORE-4955 & docs

 2015-10-09 13:30  alexpeshkoff 
   M src/dsql/DdlNodes.epp
   M src/dsql/DdlNodes.h
   M src/dsql/parse.y
   M src/jrd/dfw.epp
   M src/jrd/flags.h
   M src/jrd/tra.h
   M src/jrd/vio.cpp
Implemented CORE-4955: Define a new option for DROP SHADOW command to leave the shadow file in the filesystem

 2015-10-09 11:58  alexpeshkoff 
   M src/common/classes/alloc.h
   M src/common/classes/misc/class_test.cpp
Spelling fixed - thanks to Adriano

 2015-10-09 11:45  alexpeshkoff 
   M src/common/classes/alloc.h
   M src/common/classes/misc/class_test.cpp
Added memory pool describing constant MAX_MEDUIM_BLOCK_SIZE

 2015-10-08 14:45  alexpeshkoff 
   M src/yvalve/DistributedTransaction.cpp
Fixed CORE-4951: Message "Incorrect parameters provided to internal function INF_transaction_info Invalid token" is reported when trying to commit 2PC transaction

 2015-10-08 13:24  dimitr 
   M src/dsql/BoolNodes.cpp
Misc.

 2015-10-08 12:07  hvlad 
   M src/gpre/boot/gpre_meta_boot.cpp
   M src/include/firebird/FirebirdInterface.idl
   M src/include/firebird/IdlFbInterfaces.h
   M src/yvalve/MasterImplementation.cpp
   M src/yvalve/MasterImplementation.h
Change type as Adriano suggests

 2015-10-08 08:52  alexpeshkoff 
   M src/common/classes/alloc.cpp
Fixed return type - thanks to Vlad

 2015-10-08 08:07  hvlad 
   M src/alice/main/aliceMain.cpp
   M src/burp/main/burpMain.cpp
   M src/gpre/gpre.cpp
   M src/isql/isql.epp
   M src/qli/dtr.cpp
   M src/utilities/fbsvcmgr/fbsvcmgr.cpp
   M src/utilities/fbtracemgr/traceMgrMain.cpp
   M src/utilities/gsec/main/gsecMain.cpp
   M src/utilities/gstat/main/gstatMain.cpp
   M src/utilities/nbackup/main/nbkMain.cpp
All utilities call fb_shutdown on exit

 2015-10-08 07:41  hvlad 
   M src/common/classes/ImplementHelper.h
   M src/common/classes/init.cpp
   M src/common/classes/init.h
   M src/common/dllinst.cpp
   M src/common/dllinst.h
   M src/gpre/boot/gpre_meta_boot.cpp
   M src/include/firebird/FirebirdInterface.idl
   M src/include/firebird/IdlFbInterfaces.h
   M src/jrd/os/win32/ibinitdll.cpp
   M src/yvalve/MasterImplementation.cpp
   M src/yvalve/MasterImplementation.h
   M src/yvalve/why.cpp
Detect case when DLL unloaded after ExitProcess was called. 
In such case all threads are killed by OS thus any synchronization is potentially dangerous and could lead to hung-up.
When this condition is detected all kind of cleanup (including engine shutdown) is skipped.
It fixed CORE-4938 and similar issues.

 2015-10-07 18:24  asfernandes 
   M lang_helpers/gds_codes.ftn
   M lang_helpers/gds_codes.pas
   M src/dsql/DdlNodes.epp
   M src/dsql/DdlNodes.h
   M src/dsql/PackageNodes.epp
   M src/include/gen/codetext.h
   M src/include/gen/iberror.h
   M src/include/gen/msgs.h
   M src/include/gen/sql_code.h
   M src/include/gen/sql_state.h
   M src/jrd/drq.h
   M src/msgs/facilities2.sql
   M src/msgs/messages2.sql
   M src/msgs/system_errors2.sql
Fixed CORE-4954 - The package procedure with value by default isn't called if this parameter isn't specified.

 2015-10-07 16:59  alexpeshkoff 
   M src/remote/client/interface.cpp
op_crypt is not used here - avoid never executed code

 2015-10-07 16:45  alexpeshkoff 
   M src/common/classes/alloc.cpp
   M src/common/classes/alloc.h
   M src/common/classes/array.h
   M src/common/classes/misc/class_test.cpp
   A src/common/classes/misc/lowtab.c
   A src/common/classes/misc/miditab.c
   M src/common/classes/misc/test.sh
   M src/common/classes/tree.h
   M src/include/fb_blk.h
Reworked memory pool:
1. Make free small blocks better reusable.
2. Avoid lists scan when working with medium blocks.
3. Allocate small hunks from parent pool when possible.

 2015-10-06 12:10  dimitr 
   M src/jrd/vio.cpp
Fixed setting RDB$PACKAGE_BODY_SOURCE to NULL.

 2015-10-06 10:58  dimitr 
   M src/dsql/StmtNodes.cpp
   M src/jrd/exe.cpp
   M src/jrd/tra.h
   M src/jrd/vio.cpp
Use simpler solution for CORE-4928. Let's not open new gates for direct table modifications.

 2015-10-06 10:27  hvlad 
   M src/jrd/EngineInterface.h
   M src/jrd/jrd.cpp
Removed unused mutex.
Fixed tiny memory leak.

 2015-10-05 12:59  hvlad 
   M src/remote/client/interface.cpp
It should fix deadlock in fbclient (see CORE-4680).
Thanks to Alex.

 2015-10-05 01:25  asfernandes 
   M src/jrd/btr.cpp
   M src/jrd/cch.cpp
   M src/jrd/license.h
Misc.

 2015-10-03 13:07  hvlad 
   M src/jrd/cch.cpp
Fixed bug CORE-4952 : SuperServer could hung on database shutdown

 2015-10-02 17:30  asfernandes 
   M src/dsql/DdlNodes.epp
   M src/jrd/ini.epp
   M src/jrd/scl.epp
   M src/jrd/scl_proto.h
   M src/jrd/vio.cpp
Fixed CORE-4950 - Statistics for any system index can not be updated/recalculated.

 2015-09-30 16:35  asfernandes 
   M src/dsql/pass1.cpp
Fixed CORE-4292 - Server ignores asynchronous (monitoring or cancellation) requests while preparing a query with lot of windowed functions.

 2015-09-29 16:45  asfernandes 
   M src/common/classes/objects_array.h
   M src/dsql/DdlNodes.epp
   M src/dsql/DdlNodes.h
Fixed CORE-4947 - Compound ALTER TABLE statement with ADD and DROP the same check constraint fails.

 2015-09-29 10:04  hvlad 
   M src/jrd/btr.cpp
   M src/jrd/btr.h
   M src/jrd/idx.cpp
   M src/jrd/validation.cpp
More checks for b-tree page overflow during inset of new node.
Special care is taken to generate split point so that both new pages do not exceed the page_size.
Handle case when index key is added and split is propagated up to top-level page and former top-level page is a split by concurrent thread meanwhile.
Bugcheck when b-tree level become greater than MAX_LEVEL (16 currently) is replaced by isc_imp_exc error.
Validation code (aka gfix) now check correctness of level assigned to b-tree page (all pages at level should have same value and value should be decremented by one at each level down).
It should fix bug CORE-4914 and related issues.

 2015-09-28 13:26  paulbeach 
   M src/jrd/license.h
Fix an irritating warning when building packages

 2015-09-28 13:25  paulbeach 
   M builds/install/arch-specific/darwin/Makefile.in
Apple in the last release of OSX have somehow managed to change the default behaviour of tail

 2015-09-28 12:15  paulbeach 
   M builds/posix/prefix.darwin_i386
Clang only supports TLS from MacOSX 10.7

 2015-09-27 20:02  asfernandes 
   M src/jrd/GarbageCollector.cpp
   M src/jrd/vio.cpp
Misc.

 2015-09-27 19:39  asfernandes 
   M src/dsql/StmtNodes.cpp
Fixed FETCH CURSOR <c> (without INTO) after changes for CORE-4929.

 2015-09-24 16:19  asfernandes 
   M src/jrd/evl.cpp
Fixed CORE-4943 - Dialect 1 casting date to string breaks when in the presence a domain with a check constraint.

 2015-09-22 15:45  asfernandes 
   M src/isql/extract.epp
   M src/isql/show.epp
Fixed CORE-4940 - Add label about deterministic flag for stored function in SHOW and extract commands.

 2015-09-22 10:17  hvlad 
   M src/jrd/Database.h
   M src/jrd/tpc.cpp
   M src/jrd/tra.cpp
Protect dbb_pc_transactions vector in concurrent environment.

 2015-09-22 06:00  robocop 
   M builds/install/arch-specific/win32/FirebirdInstall_30.iss
   M src/jrd/vio.cpp
Misc.

 2015-09-21 16:46  asfernandes 
   M src/isql/extract.epp
   M src/isql/show.epp
Fixed CORE-2883 - isql needs to extract security for new elements with ACLs.

 2015-09-20 23:47  asfernandes 
   M src/isql/extract.epp
   M src/isql/show.epp
Fixed CORE-2882 - isql needs to process new external routines.

 2015-09-20 12:42  hvlad 
   M src/utilities/nbackup/nbackup.cpp
Improvement CORE-4939 : Make IO operations with nbackup backup file aligned at page size boundary

 2015-09-18 14:58  paul_reeves 
   M builds/install/misc/firebird.conf.in
Roll back previous spelling correction and clarify the original meaning. (I hope.)
Document that WireCrypt on server should be set to enabled if legacy authentication is chosen.

 2015-09-18 13:32  paul_reeves 
   M builds/install/misc/firebird.conf.in
spelling

 2015-09-17 13:26  paul_reeves 
   M src/utilities/install/install_svc.cpp
Bring install_svc.cpp up-to-date after implementation of ServerMode.

 2015-09-17 09:59  paul_reeves 
   M builds/install/arch-specific/win32/FirebirdInstallEnvironmentChecks.inc
   M builds/install/arch-specific/win32/FirebirdInstall_30.iss
Bring trunk up to date with previously committed changes for Beta 2
Add correct support for configuring architecture at install time
Make sure that security3.fdb is installed.
Tidy up uninstall CLEAN option.

 2015-09-17 09:44  paul_reeves 
   M builds/win32/make_icu.bat
Include errors in log file.

 2015-09-16 21:16  hvlad 
   M src/jrd/GarbageCollector.cpp
   M src/jrd/GarbageCollector.h
   M src/jrd/dpm.epp
   M src/jrd/vio.cpp
Improvement CORE-4935 : Increase performance of backout of dead record version (or undo of just created primary record version) when backversions chain is too long
Improvement CORE-4936 : Reduce internal contention in background garbage collector
Other small improvements: 
- garbage collector\sweep now skip record header if transaction is below OIT - it allows to reduce number of page fetches
- missed points to gather RECORD_FRAGMENT_READS and RECORD_BACKVERSION_READS statistics 

 2015-09-16 16:11  asfernandes 
   M src/isql/show.epp
Sub-task CORE-2881 - isql should show packaged procedures and functions categorized per package.

 2015-09-16 14:51  mapopa 
   M src/gpre/lang_proto.h
Support for BASIC/PLI was removed before IB4

 2015-09-16 14:36  mapopa 
   M src/gpre/languages/pas.cpp
Cleanup

 2015-09-16 12:35  mapopa 
   M src/isql/extract.epp
Cleanup code was used with WAL

 2015-09-15 12:33  dimitr 
   M doc/WhatsNew
Updated docs.

 2015-09-15 12:02  mapopa 
   M src/alice/alice.cpp
Removed because tdgbl->ALICE_data.ua_db_SQL_dialect is an unsigned number.

 2015-09-11 09:57  dimitr 
   M src/jrd/opt.cpp
   M src/jrd/recsrc/MergeJoin.cpp
   M src/jrd/recsrc/RecordSource.h
   M src/jrd/recsrc/SortedStream.cpp
Fixed CORE-4909 re. sort/merge joins.

 2015-09-10 17:06  asfernandes 
   M src/dsql/StmtNodes.cpp
   M src/jrd/exe.cpp
   M src/jrd/tra.h
   M src/jrd/vio.cpp
Fixed CORE-4928 - It is not possible to save the connection information in the ON CONNECT trigger, if the connection is created by the gbak.

 2015-09-10 14:03  alexpeshkoff 
   M src/jrd/svc.cpp
Postfix for CORE-4897: avoid problems with clients not understanding "data not ready" state (like IBE)

 2015-09-09 21:38  dimitr 
   M src/dsql/StmtNodes.cpp
This should fix CORE-4929: Cannot compile source with ELSE IF () THEN and commands to manipulate explicit cursor.

 2015-09-06 19:00  asfernandes 
   M src/jrd/recsrc/Cursor.cpp
Avoid code duplication.

 2015-09-06 18:52  asfernandes 
   M src/common/Tokens.cpp
   M src/common/unicode_util.cpp
   M src/jrd/dpm.epp
Misc.

 2015-09-04 21:14  dimitr 
   M src/jrd/Record.h
Removed incorrect assertion (CORE-4902).

 2015-09-04 10:53  alexpeshkoff 
   M src/isql/isql.epp
Rollback frontend transaction after getting login and role names

 2015-09-03 21:14  hvlad 
   M src/jrd/btr.cpp
Postfix for CORE-4904

 2015-09-03 17:42  robocop 
   M src/yvalve/why.cpp
Misc.

 2015-09-03 16:30  asfernandes 
   M src/dsql/DdlNodes.epp
Fixed CORE-4585 - Can't create column check constraint when the column is domain based.

 2015-09-02 18:17  alexpeshkoff 
   M src/common/StatusArg.cpp
Fixed segfault, reported privately by Vlad

 2015-09-02 16:24  asfernandes 
   M doc/sql.extensions/README.ddl_triggers.txt
   M src/dsql/DdlNodes.epp
   M src/dsql/DdlNodes.h
   M src/dsql/Nodes.h
   M src/dsql/PackageNodes.epp
   M src/dsql/StmtNodes.cpp
   M src/jrd/Attachment.h
   M src/jrd/SysFunction.cpp
Improvement CORE-4923 - Add ability to track domains rename in DDL triggers.

 2015-09-01 20:51  dimitr 
   M src/jrd/RecordSourceNodes.cpp
Fixed CORE-4921: Predicate IS [NOT] DISTINCT FROM is not pushed into unions/aggregates thus causing sub-optimal plans.

 2015-09-01 15:55  asfernandes 
   M src/dsql/BoolNodes.cpp
   M src/dsql/ExprNodes.cpp
   M src/jrd/RecordSourceNodes.cpp
   M src/jrd/cmp.cpp
   M src/jrd/exe.h
Fixed possible similar problems to CORE-4497.

 2015-09-01 10:50  dimitr 
   M src/jrd/ods.h
Ugly fix for MS compilers.

 2015-09-01 07:42  dimitr 
   M src/utilities/gstat/dba.epp
Better correction.

 2015-09-01 07:39  dimitr 
   M src/utilities/gstat/dba.epp
Correction.

 2015-09-01 07:33  dimitr 
   M src/jrd/dpm.epp
   M src/jrd/dpm_proto.h
   M src/utilities/gstat/dba.epp
Core support for 32KB page size. Disabled so far.

 2015-09-01 07:24  dimitr 
   M src/burp/burp.cpp
   M src/jrd/CryptoManager.h
   M src/jrd/jrd.cpp
   M src/jrd/nbak.cpp
   M src/jrd/ods.h
   M src/jrd/os/posix/unix.cpp
   M src/jrd/pag.cpp
   M src/jrd/sdw.cpp
   M src/utilities/nbackup/nbackup.cpp
Put some order to the page size macros and their usage. Changed the default page size to 8KB.

 2015-08-31 15:26  asfernandes 
   M src/dsql/DdlNodes.epp
Fixed CORE-4917 - ALTER DOMAIN ... TO <new_name> allows to specify <new_name> matching to 'RDB$[[:DIGIT:]]*'.

 2015-08-31 15:11  dimitr 
   M src/dsql/BoolNodes.cpp
   M src/dsql/BoolNodes.h
   M src/dsql/ExprNodes.cpp
   M src/dsql/ExprNodes.h
   M src/dsql/NodePrinter.h
   M src/dsql/Nodes.h
   M src/jrd/recsrc/Cursor.cpp
   M src/jrd/recsrc/Cursor.h
Fixed invariants handling in independent subqueries (seems to be related to CORE-4497).

 2015-08-31 09:30  alexpeshkoff 
   M src/common/isc_sync.cpp
Frontported fix for CORE-4919: Classic server (all processes) hangs after death of one process on AIX

 2015-08-28 15:59  asfernandes 
   M src/jrd/blp.h
   M src/yvalve/gds.cpp
Fixed blr print for blr_pid2.

 2015-08-25 15:22  asfernandes 
   M src/dsql/StmtNodes.cpp
   M src/jrd/JrdStatement.cpp
Fixed CORE-4870 - SET COUNT ON: issuing UPDATE on view which was created WITH CHECK OPTION produces wrong number of affected rows (doubled ?).

 2015-08-21 15:23  alexpeshkoff 
   M src/common/Tokens.cpp
   M src/common/Tokens.h
Fixed CORE-4890: Placing comment (single-lined or multi-lined) between final `END` of creating SP code and terminal character (^) produces compiling error when tool uses old API

 2015-08-20 11:23  dimitr 
   M src/jrd/lck.cpp
Fixed the hash function (broken since the very beginning).

 2015-08-19 12:37  mapopa 
   M README.md
Use future date for sourceforge stats (forces current date)

 2015-08-19 02:06  asfernandes 
   M src/common/unicode_util.cpp
   M src/common/unicode_util.h
Fixed (again) CORE-3545 - Inconsistent domain's constraint validation in PSQL. Related to CORE-3947.

 2015-08-18 15:04  alexpeshkoff 
   M lang_helpers/gds_codes.ftn
   M lang_helpers/gds_codes.pas
   M src/include/gen/codetext.h
   M src/include/gen/iberror.h
   M src/include/gen/msgs.h
   M src/include/gen/sql_code.h
   M src/include/gen/sql_state.h
   M src/jrd/Mapping.cpp
   M src/jrd/Mapping.h
   M src/jrd/jrd.cpp
   M src/jrd/scl.h
   M src/jrd/shut.cpp
   M src/msgs/facilities2.sql
   M src/msgs/messages2.sql
   M src/msgs/system_errors2.sql
Fixed CORE-4899: GFIX -online: message "IProvider::attachDatabase failed when loading mapping cache" appears in Classic (only) if access uses remote protocol

 2015-08-18 14:57  alexpeshkoff 
   M src/yvalve/why.cpp
Fixed CORE-4911: Providers enumeration should not be continued on most of errors taking place in the provider

 2015-08-18 10:00  dimitr 
   M src/jrd/vio.cpp
Totally misc.

 2015-08-16 15:47  dimitr 
   M src/jrd/recsrc/HashJoin.cpp
Fixed the hash-join part of CORE-4909: MERGE / HASH JOINs produce incorrect results when VARCHAR join keys differ only by trailing spaces.

 2015-08-16 13:53  asfernandes 
   M src/jrd/btr.cpp
   M src/jrd/validation.cpp
   M src/utilities/ntrace/TracePluginImpl.cpp
   M src/utilities/ntrace/TracePluginImpl.h
Misc.

 2015-08-14 14:41  alexpeshkoff 
   M src/jrd/svc.cpp
Fixed CORE-4897: FBSVCMGR can produce broken log when restoring database

 2015-08-13 04:09  robocop 
   M src/jrd/btr.cpp
Misc.

 2015-08-12 13:38  hvlad 
   M src/utilities/ntrace/TracePluginImpl.cpp
   M src/utilities/ntrace/TracePluginImpl.h
   M src/utilities/ntrace/traceplugin.cpp
Fixed bug CORE-4906 : AV when server is shutted down with active trace session(s) 

 2015-08-12 08:58  hvlad 
   M src/jrd/trace/TraceManager.cpp
   M src/jrd/trace/TraceSession.h
Fixed bug CORE-4889 : FBSVCMGR with `action_trace_start` prevents in 3.0 SuperServer from connecting using local protocol

 2015-08-11 15:46  asfernandes 
   M src/include/gen/msgs.h
Misc.

 2015-08-11 15:46  asfernandes 
   M src/isql/isql.epp
Fixed two problem when a expression is described with a collation (i.e., when the expression charset matches the connection charset):
- Broken display of charset name with SQLDA_DISPLAY
- Broken UTF-8 alignment

 2015-08-09 20:57  hvlad 
   M src/jrd/btr.cpp
   M src/jrd/validation.cpp
Fixed bug CORE-4904 :  Index corruption when add data in long-key-indexed field

 2015-08-07 05:52  mapopa 
   M src/utilities/ibmgr/srvrmgr.cpp
server_is_ok not used or replaced 

 2015-08-06 11:49  hvlad 
   M src/jrd/validation.h
Misc

 2015-08-05 16:44  asfernandes 
   M lang_helpers/gds_codes.ftn
   M lang_helpers/gds_codes.pas
   M src/dsql/DsqlCompilerScratch.h
   M src/dsql/StmtNodes.cpp
   M src/include/gen/codetext.h
   M src/include/gen/iberror.h
   M src/include/gen/msgs.h
   M src/include/gen/sql_code.h
   M src/include/gen/sql_state.h
   M src/msgs/facilities2.sql
   M src/msgs/messages2.sql
   M src/msgs/system_errors2.sql
Fixed CORE-4884 - Crash on pasring of script containing `execute block` with lot of nested begin..end statements.

 2015-08-03 01:41  asfernandes 
   M src/jrd/idx.h
Improvement CORE-4898 - Speed up function creation and loading when there are many functions in the database.

 2015-08-03 01:27  asfernandes 
   M src/jrd/Function.epp
   M src/jrd/met.epp
Improvement CORE-4880 - Increase speed of creating package when number of its functions more than several hundreds.

 2015-08-02 19:00  hvlad 
   M src/jrd/validation.h
1. I see no reason to use explicit constructor in this case. More, it breaks build.
2. One more paranoid check by Claudio :)

 2015-08-02 15:51  asfernandes 
   M doc/README.trusted_authentication
   M src/burp/burp.cpp
   M src/common/classes/SyncObject.cpp
   M src/isql/isql.epp
   M src/jrd/validation.h
   M src/yvalve/utl.cpp
Misc.

 2015-08-02 03:10  robocop 
   M src/burp/burp.cpp
   M src/include/firebird/FirebirdInterface.idl
   M src/jrd/validation.h
Misc.

 2015-07-31 09:21  mapopa 
   M README.md
Add Downloads totals image https://img.shields.io/sourceforge/dt/firebird.png

 2015-07-30 09:50  dimitr 
   M src/jrd/build_no.h
   M src/misc/writeBuildNum.sh
Manual update: changelog + buildno.

 2015-07-30 09:50  dimitr 
   M ChangeLog
Manual update: changelog + buildno.

 2015-07-28 16:40  egorpugin 
   M CMakeLists.txt
   M builds/cmake/Configure.cmake
[build][cmake] Fix OS X build with brew.

 2015-07-28 15:56  asfernandes 
   M src/dsql/PackageNodes.epp
   M src/dsql/PackageNodes.h
Fixed CORE-4887 - AFTER CREATE/ALTER PACKAGE DDL triggers runs in incorrectly moment.

 2015-07-28 15:56  asfernandes 
   M src/dsql/PackageNodes.epp
Fixed weird indentation.

 2015-07-28 11:26  hvlad 
   M src/burp/backup.epp
   M src/burp/burp.cpp
   M src/burp/restore.epp
Make gbak output a bit more consistent look (see also CORE-1999)

 2015-07-27 01:06  asfernandes 
   M lang_helpers/gds_codes.ftn
   M lang_helpers/gds_codes.pas
   M src/dsql/ExprNodes.cpp
   M src/dsql/Parser.cpp
   M src/dsql/gen.cpp
   M src/include/gen/codetext.h
   M src/include/gen/iberror.h
   M src/include/gen/msgs.h
   M src/include/gen/sql_code.h
   M src/include/gen/sql_state.h
   M src/jrd/DataTypeUtil.cpp
   M src/jrd/SysFunction.cpp
   M src/jrd/blb.cpp
   M src/jrd/constants.h
   M src/msgs/messages2.sql
   M src/msgs/system_errors2.sql
   M src/yvalve/gds.cpp
Fixed CORE-4881 - Increase maximum string literal length to 64K (bytes) while setting a lower limit (of characters) for multibyte charsets based on their max char. length (UTF-8 literals will be limited to 16383 characters).

 2015-07-27 01:06  asfernandes 
   M src/isql/isql.epp
Fixed CORE-4882 - ISQL input command (or -i option) reads large (> 64K) lines incorrectly.

 2015-07-26 21:03  hvlad 
   M src/msgs/facilities2.sql
Reserve facility code 26 (name "JAYBIRD") for JayBird needs

 2015-07-26 20:49  hvlad 
   M src/burp/backup.epp
   M src/burp/burp.cpp
   M src/burp/burp.h
   M src/burp/burpswi.h
   M src/burp/restore.epp
   M src/common/classes/ClumpletReader.cpp
   M src/include/consts_pub.h
   M src/jrd/svc.cpp
   M src/jrd/svc.h
   M src/msgs/facilities2.sql
   M src/msgs/messages2.sql
   M src/utilities/fbsvcmgr/fbsvcmgr.cpp
Implement improvement CORE-1999 : TimeStamp in the every line output gbak.exe utility
Minor fixes in service manager.
Thanks to Alex for help.
Documentation will follow.

 2015-07-26 19:58  hvlad 
   M src/common/classes/SyncObject.cpp
Restore fair locking in SyncObject (it was disabled until validation code changed to avoid recursive latches).

 2015-07-26 19:56  hvlad 
   M src/jrd/validation.cpp
   M src/jrd/validation.h
Change validation code to avoid recursive latches (as it is not supported in fb3 cch).

 2015-07-26 18:25  alexpeshkoff 
   M src/include/firebird/FirebirdInterface.idl
   M src/include/firebird/IdlFbInterfaces.h
   M src/yvalve/YObjects.h
   M src/yvalve/utl.cpp
Added getClientVersion() method to Util interface and XpbBuilder interface to work with DPB/SPB/etc formats

 2015-07-26 18:23  alexpeshkoff 
   M src/common/classes/ClumpletReader.cpp
   M src/common/classes/ClumpletReader.h
   M src/jrd/Mapping.cpp
Fixed an issue with missing auth source info when using trusted auth

 2015-07-26 18:22  alexpeshkoff 
   M src/jrd/license.h
Minor enhancement - show that build is DEV in "show version"

 2015-07-26 18:13  alexpeshkoff 
   M src/jrd/svc.cpp
   M src/jrd/svc.h
Fixed CORE-4879: Minor inconvenience in user management via services API - fixed order of parameters in SPB required

 2015-07-26 18:09  alexpeshkoff 
   M src/remote/server/os/posix/inet_server.cpp
Better statrtup error diags

 2015-07-26 18:07  alexpeshkoff 
   M src/auth/SecureRemotePassword/manage/SrpManagement.cpp
Minor optimization - use on-stack allocation instead new/delete

 2015-07-26 18:06  alexpeshkoff 
   M doc/README.trusted_authentication
Fixed old text to make it match v.3 reality

 2015-07-26 18:04  alexpeshkoff 
   M builds/install/posix-common/changeServerMode.sh.in
Use new ServerMode parameter in the script

 2015-07-26 18:03  alexpeshkoff 
   M builds/install/arch-specific/linux/firebird.init.d.gentoo.in
Bring gentoo installation up-to-date

 2015-07-26 18:02  alexpeshkoff 
   M builds/install/arch-specific/linux/linuxLibrary.sh.in
This should fix issues with different systemd location in FS

 2015-07-26 15:38  asfernandes 
   M src/isql/isql.epp
On behalf of alexpeshkoff after sourceforge crash - Postfix for CORE-4811: Avoid use of monitoring tables in ISQL's frontend as suggested by Dmitry

 2015-07-26 15:38  asfernandes 
   M src/isql/isql.epp
On behalf of alexpeshkoff after sourceforge crash - Postfix for CORE-4811: display in ISQL database, user and role as server sees them

 2015-07-26 15:38  asfernandes 
   M src/common/utils.cpp
On behalf of alexpeshkoff after sourceforge crash - Postfix for CORE-4811: strip single quotes, not making them keep case of ascii string, when used in DPB (connect/create database)

 2015-07-26 15:37  asfernandes 
   M src/gpre/gpre.h
On behalf of mapopa after sourceforge crash - remove unused DBB_ flags from comments

 2015-07-26 15:37  asfernandes 
   M src/gpre/gpre.h
On behalf of mapopa after sourceforge crash - DBB_v3 was removed , remove from comments http://sourceforge.net/p/firebird/mailman/message/16823672/

 2015-07-26 15:37  asfernandes 
   M src/gpre/cmd.cpp
On behalf of mapopa after sourceforge crash - FLINT_CACHE was never used , dead leftover from ib 4.0 product years http://sourceforge.net/p/firebird/mailman/message/30668961/

 2015-07-26 15:37  asfernandes 
   M src/qli/show.epp
On behalf of mapopa after sourceforge crash - remove comment MET_exact_name() is no more replaced with fb_utils::exact_name

 2015-07-26 15:37  asfernandes 
   M src/isql/iutils.cpp
   M src/yvalve/array.epp
   M src/yvalve/blob.epp
On behalf of mapopa after sourceforge crash - MET_exact_name , DYN_terminate are no more

 2015-07-26 15:36  asfernandes 
   M src/isql/iutils.cpp
   M src/isql/iutils_proto.h
On behalf of mapopa after sourceforge crash - IUTILS_blankterm2 replaced with fb_utils::exact_name (NOT_USED_OR_REPLACED)

 2015-07-26 15:36  asfernandes 
   M src/gpre/gpre.h
   M src/gpre/par.cpp
On behalf of mapopa after sourceforge crash - unused enum member lang_epascal

 2015-07-26 15:36  asfernandes 
   M src/gpre/gpre.cpp
   M src/gpre/gpre_proto.h
On behalf of mapopa after sourceforge crash - Remove gpre BASIC function (NOT_USED_OR_REPLACED)

 2015-07-26 15:36  asfernandes 
   M src/common/StatusHolder.h
   M src/jrd/status.h
On behalf of robocop after sourceforge crash - Misc.

 2015-07-26 15:35  asfernandes 
   M src/jrd/jrd.cpp
On behalf of alexpeshkoff after sourceforge crash - Postfix for CORE-4811: fix handling case for OS names

 2015-07-26 07:50  dimitr 
   M src/common/isc_file.cpp
Fixed hostless INET/WNET connections on Linux.

 2015-07-15 14:14  hvlad 
   M src/utilities/fbsvcmgr/fbsvcmgr.cpp
Fixed bug CORE-4876
fbsvcmgr shows wrong options for some Trace API services in help screen

 2015-07-15 12:07  dimitr 
   M src/remote/client/BlrFromMessage.cpp
   M src/remote/client/BlrFromMessage.h
   M src/remote/client/interface.cpp
This should fix CORE-4872: v3 fbclient cannot work with servers older than v2.5 via the remote protocol.

 2015-07-15 11:10  hvlad 
   M src/jrd/dpm.epp
Correction

 2015-07-15 10:55  hvlad 
   M src/utilities/gsec/main/gsecMain.cpp
gsec also could hung on exit if worker database have non-zero LINGER set.
Seems we must add fb_shutdown to the every utility which could load embedded engine...

 2015-07-15 10:42  hvlad 
   M src/remote/server/os/win32/srvr_w32.cpp
Windows-specific part for CORE-4871

 2015-07-14 17:10  dimitr 
   M src/jrd/RecordSourceNodes.cpp
Fixed CORE-4710: invalid request BLR at offset 361 context already in use (BLR error).

 2015-07-14 16:00  asfernandes 
   M src/dsql/Parser.cpp
Rework on CORE-4781 - Maximum string length (32767 bytes) is not validated.

 2015-07-13 19:42  hvlad 
   M src/gpre/boot/gpre_meta_boot.cpp
Fixed gpre_boot compilation

 2015-07-13 19:30  hvlad 
   M src/gpre/gpre.cpp
This avoids gpre hung on exit if worker database have non-zero LINGER set.

 2015-07-13 15:55  alexpeshkoff 
   M src/alice/exe.cpp
Fixed CORE-3548: GFIX returns an error after correctly shutting down a database

 2015-07-13 12:47  alexpeshkoff 
   M src/remote/os/win32/xnet.cpp
Do not use ancient "Connection lost to pipe server" message in local connections

 2015-07-12 21:16  asfernandes 
   M lang_helpers/gds_codes.ftn
   M lang_helpers/gds_codes.pas
   M src/include/gen/codetext.h
   M src/include/gen/iberror.h
   M src/include/gen/msgs.h
   M src/include/gen/sql_code.h
   M src/include/gen/sql_state.h
   M src/jrd/jrd.cpp
   M src/msgs/facilities2.sql
   M src/msgs/messages2.sql
   M src/msgs/system_errors2.sql
Fixed CORE-4279 - Invalid error message: "CHARACTER SET OCTETS is not defined" on db creation with isc_dpb_lc_ctype = OCTETS.

 2015-07-12 20:10  asfernandes 
   M builds/install/misc/firebird.conf.in
   M src/common/config/config.cpp
   M src/jrd/trace/TraceManager.cpp
Misc.

 2015-07-12 17:54  dimitr 
   M src/jrd/RecordSourceNodes.cpp
   M src/jrd/RecordSourceNodes.h
Fixed CORE-4107: wrong resultset (subquery + derived table + union).

 2015-07-10 16:19  asfernandes 
   M src/jrd/IntlManager.cpp
   M src/jrd/IntlManager.h
   M src/jrd/jrd.cpp
Fixed CORE-4277 - Can create database with invalid character set.

 2015-07-10 13:41  alexpeshkoff 
   M builds/install/misc/firebird.conf.in
   M src/common/call_service.cpp
   M src/common/config/config.cpp
   M src/common/config/config.h
   M src/jrd/dpm.epp
   M src/jrd/inf.cpp
   M src/jrd/jrd.cpp
   M src/jrd/os/posix/unix.cpp
   M src/jrd/os/win32/winnt.cpp
   M src/jrd/pag.cpp
   M src/lock/lock.cpp
   M src/remote/server/os/posix/inet_server.cpp
Fixed CORE-4871: Merge SharedDatabase/SharedCache into single parameter ServerMode, affecting the way how server is started

 2015-07-09 17:38  alexpeshkoff 
   M src/common/isc_file.cpp
Solaris port

 2015-07-09 17:32  alexpeshkoff 
   M src/jrd/met.epp
Explanation why this check is needed in both FB3 & 2.5 see in CORE-4869

 2015-07-08 09:56  hvlad 
   M src/jrd/validation.cpp
Fixed bug CORE-4865 :  Online validation could wrongly report double allocated pages

 2015-07-07 15:57  asfernandes 
   M src/intl/ld.cpp
Fixed CORE-4276 - Error on create table with "CHARACTER SET DOS775" field.

 2015-07-07 13:51  alexpeshkoff 
   M src/dsql/parse.y
Fixed CORE-4864: CREATE DATABASE fail with ISQL

 2015-07-07 08:40  paulbeach 
   M configure.ac
I stand corrected, ia64=so, but can be sl

 2015-07-06 15:10  hvlad 
   M builds/win32/make_all.bat
   M builds/win32/set_build_target.bat
A bit more support for VC12 - make_all now copies CRT dll's into output folder

 2015-07-05 22:03  hvlad 
   M src/jrd/validation.cpp
Fixed bug CORE-4855 : Online validation during DML activity in other connection leads to message "Error while trying to read from file" and "page in use during flush (210), file: cch.cpp line: 2672"

 2015-07-05 11:40  alexpeshkoff 
   M src/common/StatusHolder.h
   M src/common/classes/GetPlugins.h
   M src/jrd/exe.cpp
   M src/jrd/status.h
   M src/jrd/svc.cpp
Fixed CORE-4861: Segfault when working with saved exception in request

 2015-07-05 10:36  hvlad 
   M src/jrd/validation.cpp
Fixed bug CORE-4860 : Online validation fails on WINDOWS if `dbname` argument contains forward slash ('/') and concurrent attachment which also uses '/' exists.

 2015-07-05 08:47  hvlad 
   M src/common/isc_sync.cpp
Fixed bug CORE-4859 : FB 3 embedded not working without folder C:\ProgramData\firebird

 2015-07-03 16:18  asfernandes 
   M src/dsql/DdlNodes.epp
Fixed CORE-4846 - Altering a trigger indicating other table than the original does not reflect the change.

 2015-07-03 11:48  dimitr 
   M src/misc/writeBuildNum.sh
Updated version info.

 2015-07-03 08:05  hvlad 
   M src/jrd/vio.cpp
Wrong check, thanks to Claudio

 2015-07-03 06:45  paulbeach 
   M builds/posix/Makefile.in.extern.editline
Typo, adjust AR redefinition in extern.editline

 2015-07-02 15:44  alexpeshkoff 
   M src/remote/client/interface.cpp
   M src/remote/remote.cpp
   M src/remote/remote.h
Fixed CORE-4854: Client library incorrectly handles non-UTF8 representation of international characters in SPB

 2015-07-02 15:35  alexpeshkoff 
   M src/auth/SecureRemotePassword/srp.cpp
Add more debugging info

 2015-07-02 15:34  alexpeshkoff 
   M src/yvalve/why.cpp
Totally misc

 2015-07-02 11:28  paulbeach 
   M builds/posix/Makefile.in.extern.editline
Fix problem where ar flags are duplicated in editline make on HPUX ia64

 2015-07-02 08:47  paulbeach 
   M builds/install/arch-specific/darwin/launchdss.org.firebird.gds.plist
improved plist for SuperServer on Yosemite (10.10), thanks to David Nock

 2015-07-01 19:02  dimitr 
   M src/isql/show.epp
This should fix the SHOW SEQU output on 64-bit Linux.

 2015-07-01 17:10  asfernandes 
   M src/dsql/StmtNodes.cpp
Fixed CORE-4848 - MERGE ... WHEN NOT MATCHED ... RETURNING returns wrong (non-null) values when no insert is performed.

 2015-07-01 01:49  robocop 
   M src/jrd/validation.h
Misc.

 2015-07-01 01:10  robocop 
   M doc/README.online_validation
Misc.

 2015-06-30 16:01  alexpeshkoff 
   M src/include/consts_pub.h
   M src/jrd/Attachment.h
   M src/jrd/Database.h
   M src/jrd/EngineInterface.h
   M src/jrd/Mapping.cpp
   M src/jrd/jrd.cpp
   M src/jrd/svc.h
   M src/jrd/trace/TraceCmdLine.cpp
   M src/jrd/trace/TraceConfigStorage.cpp
   M src/jrd/trace/TraceConfigStorage.h
   M src/jrd/trace/TraceManager.cpp
   M src/jrd/trace/TraceService.cpp
   M src/jrd/trace/TraceService.h
   M src/jrd/trace/TraceSession.h
   M src/remote/server/server.cpp
   M src/utilities/fbtracemgr/traceMgrMain.cpp
Implemented CORE-4851: Apply methods, used for cross security database authentication, to the trace

 2015-06-29 01:38  asfernandes 
   M builds/posix/Makefile.in.examples
   M src/gpre/std/gpre_meta.epp
This should fix the problem of building examples in Windows 64-bit, although it does not answear what exactly is happening there.

 2015-06-29 01:02  asfernandes 
   M src/common/classes/ClumpletReader.cpp
   M src/common/classes/SyncObject.cpp
   M src/jrd/Relation.cpp
   M src/jrd/Relation.h
   M src/jrd/lck.cpp
   M src/jrd/lck_proto.h
   M src/jrd/validation.cpp
   M src/jrd/vio.cpp
   M src/utilities/fbsvcmgr/fbsvcmgr.cpp
Misc.

 2015-06-26 15:52  paul_reeves 
   M examples/empbuild/empbuild.e
Disconnect from empbuild database on error.

 2015-06-26 15:52  paul_reeves 
   M builds/win32/make_examples.bat
Set ERRLEV on error so as to break the build process correctly.

 2015-06-26 13:39  alexpeshkoff 
   M src/common/os/guid.h
   M src/common/os/posix/guid.cpp
   M src/jrd/SysFunction.cpp
Front-ported HPUX changes

 2015-06-26 13:23  paul_reeves 
   M examples/empbuild/empbuild.e
Improve error handling and document addlang correctly as a function that updates an array, not a blob.

 2015-06-26 12:55  alexpeshkoff 
   M src/common/classes/semaphore.h
Front-port AIX changes

 2015-06-26 08:15  paulbeach 
   M configure.ac
shared lib extension on ia64 hpux is sl

 2015-06-25 16:02  alexpeshkoff 
   M src/common/classes/auto.h
   M src/dsql/DdlNodes.epp
Fixed CORE-4836: Grant update(c) on t to U01 with grant option: user U01 will not be able to "revoke update(c) on t from <user | role>" if this U01 do some DML before revoke

 2015-06-25 15:23  alexpeshkoff 
   M src/include/gen/msgs.h
Generated file

 2015-06-23 22:00  dimitr 
   M doc/sql.extensions/README.keywords
Updated the docs for Beta 2.

 2015-06-23 18:38  dimitr 
   M doc/WhatsNew
Updated the docs for Beta 2.

 2015-06-22 14:07  alexpeshkoff 
   M src/msgs/messages2.sql
Change text - looks like we will not have QSG soon enough

 2015-06-21 15:53  asfernandes 
   M src/jrd/SimilarToMatcher.h
Postfix for CORE-4740 - SIMILAR TO with quantifier {n,} in the pattern: 1) fails on 2.5 ("Invalid pattern"), 2) strange result in 3.0.

 2015-06-19 13:55  alexpeshkoff 
   M src/jrd/validation.cpp
Fixed gcc build

 2015-06-19 12:07  hvlad 
   A doc/README.online_validation
   M src/common/IntlParametersBlock.cpp
   M src/common/classes/ClumpletReader.cpp
   M src/common/classes/SyncObject.cpp
   M src/include/consts_pub.h
   M src/jrd/Attachment.cpp
   M src/jrd/Relation.cpp
   M src/jrd/Relation.h
   M src/jrd/lck.cpp
   M src/jrd/lck.h
   M src/jrd/lck_proto.h
   M src/jrd/rlck.cpp
   M src/jrd/svc.cpp
   M src/jrd/svc_tab.cpp
   M src/jrd/val_proto.h
   M src/jrd/validation.cpp
   M src/jrd/validation.h
   M src/jrd/vio.cpp
   M src/utilities/fbsvcmgr/fbsvcmgr.cpp
Feature CORE-4707 : Implement ability to validate tables and indices online

 2015-06-19 10:10  alexpeshkoff 
   M src/jrd/UserManagement.cpp
Always display SYSDBA as sec$admin (yes, he is really always admin)

 2015-06-19 09:30  alexpeshkoff 
   M src/utilities/gsec/gsec.cpp
Mark gsec as deprecated

 2015-06-18 22:30  robocop 
   M src/isql/isql.epp
CORE-4817.

 2015-06-18 17:31  alexpeshkoff 
   M src/yvalve/why.cpp
Fixed races in events delivery caused by my recent related commit

 2015-06-16 11:27  paulbeach 
   M builds/posix/darwin.defaults
Fix for gcc 4.1 problem is no longer needed. gcc 4.2 from MacOSX 10.8 

 2015-06-15 15:22  mapopa 
   M builds/posix/postfix.darwin
gds_relay was removed by Alex

 2015-06-15 15:20  mapopa 
   M builds/posix/darwin.defaults
Apply libreoffice patch in trunk 

 2015-06-14 11:35  dimitr 
   M src/isql/show.epp
Yet another fix for CORE-4839.

 2015-06-14 08:32  dimitr 
   M src/isql/extract.epp
This should fix CORE-4839: SHOW GRANTS does not display info about exceptions which were granted to user.

 2015-06-13 19:00  asfernandes 
   M src/common/Tokens.cpp
   M src/common/utils.cpp
   M src/dsql/DdlNodes.epp
   M src/dsql/ExprNodes.cpp
   M src/dsql/NodePrinter.h
   M src/isql/isql.epp
   M src/remote/client/interface.cpp
   M src/remote/remote.cpp
   M src/remote/remote.h
Misc.

 2015-06-13 09:39  egorpugin 
   M .travis.yml
[ci] Build only master branch.

 2015-06-12 14:32  egorpugin 
   M .travis.yml
   M README.md
   A travis.sh
[ci] Initial travis-ci config.

 2015-06-12 09:06  paulbeach 
   M src/common/ThreadStart.cpp
Stack size too small on HPPA and Itanium

 2015-06-11 06:42  robocop 
   M src/common/Tokens.cpp
   M src/common/utils.cpp
   M src/dsql/DdlNodes.h
   M src/dsql/ExprNodes.cpp
   M src/dsql/NodePrinter.h
Misc.

 2015-06-10 13:42  alexpeshkoff 
   M src/dsql/DdlNodes.epp
Fixed CORE-4831: Revoke all on all from role <R> -- failed with "SQL role <R> does not exist in security database"

 2015-06-10 13:10  alexpeshkoff 
   M src/isql/isql.epp
Enhance metadata display - show charset only for fields where it makes sense

 2015-06-10 12:27  alexpeshkoff 
   M src/common/Tokens.cpp
   M src/common/Tokens.h
   M src/isql/isql.epp
   M src/yvalve/preparse.cpp
Fixed regression, caused by fix for CORE-4811 - error parsing pagesize=N without spaces

 2015-06-09 13:18  alexpeshkoff 
   M src/jrd/scl.epp
   M src/jrd/scl.h
Fixed CORE-4802: GRANT UPDATE(<some_column>) on <T> acts like grant update on ALL columns of <T>

 2015-06-08 12:13  dimitr 
   M src/dsql/NodePrinter.h
Fixed Windows build.

 2015-06-08 11:43  hvlad 
   M src/common/classes/ClumpletReader.h
Disable debug code in release builds

 2015-06-08 11:05  alexpeshkoff 
   M src/utilities/gsec/gsec.cpp
Fixed regression in gsec, reported privately by Adriano - error parameters are reported as garbage

 2015-06-08 10:55  dimitr 
   M builds/win32/msvc10/common.vcxproj
   M builds/win32/msvc10/common.vcxproj.filters
   M builds/win32/msvc12/common.vcxproj
   M builds/win32/msvc12/common.vcxproj.filters
Fixed Windows build.

 2015-06-07 23:41  asfernandes 
   M src/jrd/RecordSourceNodes.cpp
Fixed CORE-4807 - Regression: List of aggregation is not checked properly.

 2015-06-07 19:24  mapopa 
   M src/common/isc_sync.cpp
Create semaphores with 0660 permissions
Yes, a bit later the access mode is set to the one of the
security database, but in the mean time someone evil could
find some use of an open (0666) semaphore array
Author: Damyan Ivanov <dmn@debian.org>
https://anonscm.debian.org/cgit/pkg-firebird/3.0.git/plain/debian/patches/tighten-sem-perms.patch

 2015-06-07 19:06  mapopa 
   M src/gpre/gpreswi.h
   M src/include/gen/msgs.h
   M src/msgs/history2.sql
   M src/msgs/messages2.sql
   M src/msgs/transmsgs.de_DE2.sql
   M src/msgs/transmsgs.fr_FR2.sql
a couple of spelling corrections from debian 3.0 
supress → suppress
priviledge → privilege 

 2015-06-07 18:34  mapopa 
   M src/jrd/recsrc/HashJoin.cpp
 USE_QSORT_CTX on Debian/kFreeBSD If qsort_r is available, use it on all platforms. Use the platform-specific
 code otherwise. Patch https://anonscm.debian.org/cgit/pkg-firebird/3.0.git/commit/?id=feac4328eb7a300c59fbb57c05618d710c9981d2

 2015-06-07 18:11  egorpugin 
   M .travis.yml
[ci] Use default build system until cmake is fixed.

 2015-06-07 17:17  asfernandes 
   M README.md
Correction.

 2015-06-07 17:13  asfernandes 
   A .travis.yml
   A README.md
Add travis files on request of Egor.

 2015-06-05 18:26  asfernandes 
   M src/dsql/AggNodes.cpp
   M src/dsql/AggNodes.h
   M src/dsql/BoolNodes.cpp
   M src/dsql/BoolNodes.h
   M src/dsql/DdlNodes.epp
   M src/dsql/DdlNodes.h
   M src/dsql/ExprNodes.cpp
   M src/dsql/ExprNodes.h
   A src/dsql/NodePrinter.h
   M src/dsql/Nodes.h
   M src/dsql/PackageNodes.epp
   M src/dsql/PackageNodes.h
   M src/dsql/StmtNodes.cpp
   M src/dsql/StmtNodes.h
   M src/dsql/WinNodes.cpp
   M src/dsql/WinNodes.h
   M src/dsql/dsql.h
   M src/jrd/ExtEngineManager.cpp
   M src/jrd/RecordSourceNodes.cpp
   M src/jrd/RecordSourceNodes.h
   M src/jrd/evl_proto.h
   M src/jrd/exe.h
   M src/jrd/par_proto.h
Add code to print the parser/executable tree to XML for debugging purposes.

 2015-06-04 14:10  alexpeshkoff 
   M src/dsql/DdlNodes.epp
Postfix for CORE-4821: fixed segfault in REVOKE ALL ON ALL

 2015-06-04 13:43  alexpeshkoff 
   M src/dsql/DdlNodes.epp
   M src/jrd/drq.h
Fixed CORE-4821: ensure CREATE DATABASE right is granted only to roles that do exist in security database

 2015-06-04 12:07  alexpeshkoff 
   M src/jrd/jrd.cpp
Fixed extremely rare segfault when shutting down server - no use in keeping security database(s) opened during shutdown

 2015-06-03 18:01  alexpeshkoff 
   M src/isql/isql.epp
Make ISQL display character set when sqlda_display is on

 2015-06-03 13:57  alexpeshkoff 
   M src/alice/main/aliceMain.cpp
   M src/auth/SecurityDatabase/LegacyServer.cpp
   M src/burp/main/burpMain.cpp
   M src/burp/split/spit.cpp
   M src/common/Auth.cpp
   M src/common/IntlUtil.h
   A src/common/Tokens.cpp
   A src/common/Tokens.h
   M src/common/isc_f_proto.h
   M src/common/isc_file.cpp
   D src/common/unicodeUpper.cpp
   D src/common/unicodeUpper.h
   M src/common/utils.cpp
   M src/common/utils_proto.h
   M src/dsql/DdlNodes.epp
   M src/gpre/gpre.cpp
   M src/isql/isql.epp
   M src/jrd/ini.epp
   M src/jrd/ini_proto.h
   M src/jrd/jrd.cpp
   M src/jrd/scl.epp
   M src/jrd/svc.cpp
   M src/jrd/trig.h
   M src/lock/print.cpp
   M src/qli/dtr.cpp
   M src/remote/client/interface.cpp
   M src/remote/remote.cpp
   M src/remote/remote.h
   M src/remote/server/server.cpp
   M src/utilities/fbsvcmgr/fbsvcmgr.cpp
   M src/utilities/fbtracemgr/traceMgrMain.cpp
   M src/utilities/gsec/main/gsecMain.cpp
   M src/utilities/gstat/main/gstatMain.cpp
   M src/utilities/nbackup/main/nbkMain.cpp
   M src/yvalve/preparse.cpp
Fixed CORE-4811: Make user names behave according to SQL identifiers rules

 2015-06-02 11:07  dimitr 
   M doc/WhatsNew
Updated the docs for Beta 2.

 2015-06-02 10:44  dimitr 
   M src/remote/remote.h
Restore the pre-v3 prefetch performance.

 2015-06-02 10:43  dimitr 
   M src/dsql/StmtNodes.cpp
   M src/jrd/JrdStatement.cpp
   M src/jrd/exe.h
   M src/jrd/recsrc/BufferedStream.cpp
   M src/jrd/recsrc/SortedStream.cpp
   M src/jrd/req.h
   M src/jrd/vio.cpp
1) Reverted a more complex refetch logic introduced recently to its original state.
2) Protected against an undo record being used in VIO modify/erase/writelock routines.
3) Avoided false deadlocks in read-committed transactions.
This should cure CORE-4369, CORE-4561 and CORE-4618 at once.

 2015-05-31 23:38  asfernandes 
   M src/jrd/extds/ExtDS.cpp
   M src/jrd/extds/InternalDS.cpp
   M src/remote/inet.cpp
   M src/yvalve/why.cpp
Misc.

 2015-05-31 19:23  dimitr 
   M src/jrd/RecordSourceNodes.cpp
Fixed CORE-4798: Regression: MIN/MAX with a join ignores possible index navigation.

 2015-05-31 18:46  dimitr 
   M src/jrd/ini.epp
Fixed CORE-4806: Regression: generators can be seen/modified by unprivileged users.

 2015-05-31 16:14  dimitr 
   M src/dsql/AggNodes.cpp
   M src/jrd/exe.h
   M src/jrd/opt.cpp
Fixed CORE-214: Count ( DISTINCT ... ) is too slow.

 2015-05-31 13:15  dimitr 
   M src/jrd/btr.cpp
Postfix for CORE-4786: Problematic key value (when attempt to insert duplicate in PK/UK) is not shown where length of key >= 127 characters.

 2015-05-31 13:06  dimitr 
   M src/common/dsc.h
Fixed CORE-4809: HASH/MERGE JOIN is not used for more than two streams if they are joined via USING/NATURAL clauses and join is based on DBKEY concatenations.

 2015-05-30 19:01  asfernandes 
   M src/dsql/StmtNodes.cpp
   M src/dsql/StmtNodes.h
Fixed CORE-4819 - EXECUTE PROCEDURE's RETURNING_VALUES and EXECUTE STATEMENT's INTO does not check validity of assignments targets leading to bugcheck.

 2015-05-28 13:27  egorpugin 
   M CMakeLists.txt
   M builds/cmake/BuildFunctions.cmake
   M src/CMakeLists.txt
[build][cmake] Fix mingw build: removed unix prefixes from output libraries.

 2015-05-20 15:27  asfernandes 
   M src/jrd/SimilarToMatcher.h
Fixed CORE-4740 - SIMILAR TO with quantifier {n,} in the pattern: 1) fails on 2.5 ("Invalid pattern"), 2) strange result in 3.0.

 2015-05-20 13:07  alexpeshkoff 
   M src/jrd/jrd.cpp
Fixed code disabling access to network filenames in embedded mode

 2015-05-18 16:46  alexpeshkoff 
   M src/yvalve/why.cpp
Fixed CORE-4795: fbclient executes callback function twice

 2015-05-18 16:01  alexpeshkoff 
   M src/yvalve/why.cpp
Fixed CORE-4794: isc_cancel_events returns error invalid events id (handle) (code: 335545021) if event is (no longer) queued

 2015-05-17 02:22  asfernandes 
   M src/common/classes/NoThrowTimeStamp.h
   M src/jrd/SysFunction.cpp
Postfix for CORE-4789 - Prohibit ability to cast timestamps that out of valid range to varchar.

 2015-05-15 16:11  alexpeshkoff 
   M src/remote/client/interface.cpp
   M src/yvalve/why.cpp
Fixed CORE-4756: Firebird 3 events broken

 2015-05-15 16:10  asfernandes 
   M doc/sql.extensions/README.data_types
   M doc/sql.extensions/README.keywords
   M src/dsql/BoolNodes.cpp
   M src/dsql/BoolNodes.h
   M src/dsql/Parser.h
   M src/dsql/parse.y
1) Improvement CORE-4791 - Make INSERTING/UPDATING/DELETING reserved words to fix ambiguity with boolean expresions.
2) Fixed CORE-4735 -  Expression 'where bool_field IS true | false' should also use index as 'where bool_field = true | false' (if such index exists).

 2015-05-15 16:08  alexpeshkoff 
   M src/common/classes/RefCounted.h
Make ref.counted pointer recursive-call safe

 2015-05-14 10:04  alexpeshkoff 
   M src/dsql/dsql.cpp
Postfix for CORE-4785

 2015-05-13 15:19  asfernandes 
   M src/jrd/SysFunction.cpp
Fixed CORE-4789 - Prohibit ability to cast timestamps that out of valid range to varchar.

 2015-05-13 13:24  alexpeshkoff 
   M src/dsql/dsql.cpp
Fixed CORE-4785: Bad packet of op_execute kills the server

 2015-05-12 12:17  alexpeshkoff 
   M src/remote/inet.cpp
Fixed CORE-4788: Superclassic server hangs when receiving network packet

 2015-05-11 15:48  asfernandes 
   M src/gpre/gpre_meta.h
   M src/gpre/jrdmet.cpp
   M src/gpre/std/gpre_meta.epp
Fixed CORE-4782 - Command `SHOW TABLE` fails when the table contains field with unicode collationin its DDL.
This should fix the problem with QA tests failing with Windows build.
It also changes Linux build, which was incorrect in a different manner.

 2015-05-10 20:46  hvlad 
   M src/jrd/Attachment.cpp
   M src/jrd/extds/ExtDS.cpp
   M src/jrd/extds/ExtDS.h
   M src/jrd/extds/InternalDS.cpp
Fixed few stability issues with EDS related with cases when external connection is broken unexpectedly.

 2015-05-10 03:03  robocop 
   M src/common/isc_file.cpp
Misc.

 2015-05-10 01:12  asfernandes 
   M src/common/isc_file.cpp
   M src/msgs/facilities2.sql
Misc.

 2015-05-08 16:46  dimitr 
   M src/jrd/btr.cpp
Fixed CORE-4786: Problematic key value (when attempt to insert duplicate in PK/UK) is not shown where length of key >= 127 characters.

 2015-05-06 16:25  alexpeshkoff 
   M src/auth/SecureRemotePassword/server/SrpServer.cpp
   M src/dsql/DdlNodes.epp
Some more postfixes for CORE-4760

 2015-05-06 13:47  alexpeshkoff 
   M src/remote/client/interface.cpp
Postfix for CORE-4760: it was bad idea to call upper() method for UTF string

 2015-05-05 12:40  dimitr 
   M src/isql/isql.epp
Fixed bad handling of zero-length segments coming from internally filtered blobs. In particular, this fixes ISQL crash in bugs.core_4380.

 2015-05-04 16:24  asfernandes 
   M lang_helpers/gds_codes.ftn
   M lang_helpers/gds_codes.pas
   M src/dsql/Parser.cpp
   M src/include/gen/codetext.h
   M src/include/gen/iberror.h
   M src/include/gen/msgs.h
   M src/include/gen/sql_code.h
   M src/include/gen/sql_state.h
   M src/msgs/facilities2.sql
   M src/msgs/messages2.sql
   M src/msgs/system_errors2.sql
Fixed CORE-4781 - Maximum string length (32765 bytes) is not validated.

 2015-05-04 11:45  hvlad 
   M builds/win32/msvc10/common.vcxproj
   M builds/win32/msvc10/common.vcxproj.filters
   M builds/win32/msvc12/common.vcxproj
   M builds/win32/msvc12/common.vcxproj.filters
   M src/common/isc_file.cpp
Windows implementation of ISC_utf8Upper. Refactoring. Update VC10 and VC12 builds.

 2015-05-03 18:36  asfernandes 
   M builds/posix/Makefile.in
Copy new API include files to the Linux target directory.

 2015-05-03 06:20  robocop 
   M src/jrd/pcmet.epp
Var shadowing.

 2015-05-03 06:18  robocop 
   M src/dsql/DdlNodes.h
Misc.

 2015-05-02 03:54  asfernandes 
   M src/common/isc_file.cpp
   M src/common/isc_sync.cpp
   M src/common/os/win32/isc_ipc.cpp
   M src/common/unicodeUpper.cpp
   M src/common/unicodeUpper.h
   M src/dsql/DdlNodes.h
   M src/jrd/extds/InternalDS.cpp
   M src/jrd/jrd.cpp
   M src/jrd/pcmet.epp
   M src/jrd/scl.epp
   M src/jrd/vio.cpp
Misc.

 2015-04-30 15:56  asfernandes 
   M doc/WhatsNew
   M src/dsql/ExprNodes.cpp
Fixed CORE-3234 - Support for text BLOBs >= 32K as first argument for TRIM().

 2015-04-30 15:24  asfernandes 
   M doc/sql.extensions/README.exception_handling
Correction - thanks to Simonov Denis.

 2015-04-30 14:42  alexpeshkoff 
   M src/common/classes/Aligner.h
   M src/common/isc_file.cpp
postfix for CORE-4760: take care about RISC CPUs

 2015-04-30 13:44  alexpeshkoff 
   M src/auth/SecurityDatabase/LegacyServer.cpp
   M src/common/isc_f_proto.h
   M src/common/isc_file.cpp
   A src/common/unicodeUpper.cpp
   A src/common/unicodeUpper.h
   M src/dsql/DdlNodes.epp
   M src/dsql/DdlNodes.h
   M src/remote/client/interface.cpp
Fixed CORE-4760: Can not create user with non-ascii (multi-byte) characters in the name

 2015-04-29 15:59  asfernandes 
   M doc/sql.extensions/README.exception_handling
   M lang_helpers/gds_codes.ftn
   M lang_helpers/gds_codes.pas
   M src/common/classes/SafeArg.h
   M src/dsql/StmtNodes.cpp
   M src/include/gen/codetext.h
   M src/include/gen/iberror.h
   M src/include/gen/msgs.h
   M src/include/gen/sql_code.h
   M src/include/gen/sql_state.h
   M src/msgs/facilities2.sql
   M src/msgs/messages2.sql
   M src/msgs/system_errors2.sql
Fixed CORE-4755 - Parameterized exception: wrong output when number of arguments greater than 7.

 2015-04-27 18:58  asfernandes 
   M src/dsql/ExprNodes.cpp
Fixed CORE-4774 - Table aliasing is unnecessary required when doing UPDATE ... RETURNING RDB$ pseudo-columns.

 2015-04-27 13:15  alexpeshkoff 
   M src/jrd/vio.cpp
Check for source nullifying a bit more accurate

 2015-04-27 04:44  robocop 
   M src/auth/SecureRemotePassword/manage/SrpManagement.cpp
   M src/jrd/jrd.cpp
Misc.

 2015-04-24 17:48  alexpeshkoff 
   M src/jrd/UserManagement.cpp
rolled back accidentially committed debug code

 2015-04-24 17:47  alexpeshkoff 
   M src/jrd/UserManagement.cpp
   M src/jrd/vio.cpp
Make it possible for DBA only to NULLify sources

 2015-04-24 13:07  alexpeshkoff 
   M src/auth/SecureRemotePassword/manage/SrpManagement.cpp
   M src/jrd/jrd.cpp
Fixed CORE-4768: CREATE USER ... TAGS ( argument_1 = 'value1', ..., argument_N = 'valueN' ) - wrong results of statement when there are many arguments

 2015-04-22 17:02  alexpeshkoff 
   M src/common/config/config_file.cpp
   M src/common/config/config_file.h
   M src/jrd/UserManagement.cpp
Fixed CORE-4767: CREATE USER ... TAGS ( attr = "prefix #suffix" ): "suffix" will be removed from storage because of character # in the value of attribute

 2015-04-22 11:03  hvlad 
   M src/jrd/extds/InternalDS.cpp
Fixed bug CORE-4766 :  AV when trying to manage users list using EXECUTE STATEMENT on behalf of non-sysdba user which has RDB$ADMIN role

 2015-04-21 19:26  asfernandes 
   M src/jrd/extds/InternalDS.cpp
Misc.

 2015-04-21 19:26  asfernandes 
   M src/jrd/blb.cpp
Fixed CORE-4752 - EXECUTE STATEMENT using BLOB parameters results in "Invalid BLOB ID" error.

 2015-04-21 10:39  hvlad 
   M src/jrd/btr.cpp
Fixed bug CORE-4759 : request synchronization error when build expression index.

 2015-04-21 09:36  hvlad 
   M src/common/isc_sync.cpp
   M src/common/os/win32/isc_ipc.cpp
Fixed bug CORE-4753 : Firebird hangs in embed mode.
Removed annoying wrong assertion.

 2015-04-20 17:04  alexpeshkoff 
   M src/jrd/scl.epp
Disabled use of system tables in foreign key constraints

 2015-04-20 15:07  alexpeshkoff 
   M src/jrd/scl.epp
Do not let SYSDBA modify structure of system tables

 2015-04-20 11:42  alexpeshkoff 
   M src/jrd/vio.cpp
Write-protect one more system relation

 2015-04-20 09:36  hvlad 
   M src/jrd/pcmet.epp
   M src/jrd/pcmet_proto.h
Fixed bug CORE-4754 : Manipulations with GTT from several attachments (using ES/EDS and different roles) leads to: "internal Firebird consistency check (invalid SEND request (167), file: JrdStatement.cpp line: 325)"

 2015-04-18 19:19  asfernandes 
   M src/dsql/ExprNodes.cpp
Fixed reintroduction of CORE-1379 per Pavel Zotov comment - Invalid parameter type when using it in CHAR_LENGTH function.

 2015-04-17 18:35  alexpeshkoff 
   M src/common/IntlUtil.cpp
   M src/common/IntlUtil.h
   M src/common/classes/MetaName.cpp
   M src/common/classes/MetaName.h
   M src/dsql/DdlNodes.epp
   M src/jrd/ini.epp
   M src/jrd/jrd.cpp
   M src/jrd/scl.epp
Fixed CORE-4743: Granted role does not work with non-ascii username

 2015-04-17 13:27  hvlad 
   M src/jrd/jrd.cpp
Exceptions in getTransactionInterface() should be catched and traced too

 2015-04-16 14:50  asfernandes 
   M src/remote/client/interface.cpp
Warning.

 2015-04-16 11:58  alexpeshkoff 
   M src/jrd/vio.cpp
Postfix for CORE-4731

 2015-04-15 17:38  robocop 
   M src/jrd/extds/InternalDS.cpp
Misc.

 2015-04-15 16:59  hvlad 
   M src/jrd/extds/InternalDS.cpp
Fixed bug CORE-4747 : Error "invalid BLOB ID" can occur when retrieving MON$STATEMENTS.MON$SQL_TEXT using ES/EDS and db_connect argument is not specified

 2015-04-15 16:10  asfernandes 
   M src/jrd/RecordSourceNodes.cpp
More fixes for CORE-1605 - Bugcheck 232 (invalid operation) for an aggregated query.

 2015-04-15 14:01  alexpeshkoff 
   M src/jrd/vio.cpp
Fixed CORE-4715: Restore of shadowed database fails using -k ("restore without shadow") switch

 2015-04-15 13:19  alexpeshkoff 
   M src/jrd/irq.h
   M src/jrd/scl.epp
   M src/jrd/vio.cpp
Fixed CORE-4731: Prohibit an ability to issue DML or DDL statements on RDB$ tables

 2015-04-14 17:00  alexpeshkoff 
   M src/common/fb_exception.cpp
   M src/include/fb_exception.h
Fixed segfault caused when compiler used default copy ctor of status_exception

 2015-04-13 18:35  asfernandes 
   M lang_helpers/gds_codes.ftn
   M lang_helpers/gds_codes.pas
   M src/dsql/DdlNodes.epp
   M src/include/gen/codetext.h
   M src/include/gen/iberror.h
   M src/include/gen/msgs.h
   M src/include/gen/sql_code.h
   M src/include/gen/sql_state.h
   M src/jrd/trig.h
   M src/msgs/facilities2.sql
   M src/msgs/messages2.sql
   M src/msgs/system_errors2.sql
Fixed CORE-4725 - Inconsistencies with ALTER DOMAIN and ALTER TABLE with DROP NOT NULL and PRIMARY KEYs; Fixed some others problems with trailing spaces in object names in error messages.

 2015-04-12 21:05  asfernandes 
   M src/lock/print.cpp
Revert "Remove duplicate lck enums." - broke Windows build as per Dmitry.

 2015-04-11 00:59  asfernandes 
   M src/dsql/DdlNodes.epp
Fixed CORE-4744 - ALTER DATABASE SET DEFAULT CHARACTER SET: 1) take effect only for once for current attachment; 2) does not check that new char set exists untill it will be used.

 2015-04-08 15:12  asfernandes 
   M src/lock/print.cpp
Remove duplicate lck enums.

 2015-04-08 15:08  asfernandes 
   M src/remote/inet.cpp
Misc.

 2015-04-08 03:21  asfernandes 
   M doc/WhatsNew
   M src/dsql/DdlNodes.epp
Fixed (again) CORE-2932 - Wrong field position after ALTER POSITION.

 2015-04-07 13:56  alexpeshkoff 
   A extern/cloop/Makefile
Fixed posix build

 2015-04-07 10:29  egorpugin 
   M src/gpre/CMakeLists.txt
   M src/remote/CMakeLists.txt
[build] [cmake] Add more cloop dependencies.

 2015-04-07 10:08  egorpugin 
   M CMakeLists.txt
   M builds/cmake/BuildFunctions.cmake
   M builds/cmake/Configure.cmake
   M examples/CMakeLists.txt
   M src/CMakeLists.txt
Add cloop to CMake build.

 2015-04-07 03:19  asfernandes 
   M builds/posix/Makefile.in
   M builds/posix/make.defaults
Integrate cloop in the posix build.

 2015-04-07 03:19  asfernandes 
   A extern/cloop
   A extern/cloop/.gitignore
   A extern/cloop/cloop.sln
   A extern/cloop/src
   A extern/cloop/src/cloop
   A extern/cloop/src/cloop/Expr.cpp
   A extern/cloop/src/cloop/Expr.h
   A extern/cloop/src/cloop/Generator.cpp
   A extern/cloop/src/cloop/Generator.h
   A extern/cloop/src/cloop/Lexer.cpp
   A extern/cloop/src/cloop/Lexer.h
   A extern/cloop/src/cloop/Main.cpp
   A extern/cloop/src/cloop/Parser.cpp
   A extern/cloop/src/cloop/Parser.h
   A extern/cloop/src/cloop/cloop.vcxproj
   A extern/cloop/src/cloop/cloop.vcxproj.filters
   A extern/cloop/src/tests
   A extern/cloop/src/tests/test1
   A extern/cloop/src/tests/test1/CTest.c
   A extern/cloop/src/tests/test1/CalcCApi.c
   A extern/cloop/src/tests/test1/CalcCApi.h
   A extern/cloop/src/tests/test1/CalcCppApi.h
   A extern/cloop/src/tests/test1/CalcPascalApi.implementation.pas
   A extern/cloop/src/tests/test1/CalcPascalApi.interface.pas
   A extern/cloop/src/tests/test1/CalcPascalApi.pas
   A extern/cloop/src/tests/test1/CppTest.cpp
   A extern/cloop/src/tests/test1/Interface.idl
   A extern/cloop/src/tests/test1/PascalClasses.pas
   A extern/cloop/src/tests/test1/PascalLibrary.dpr
   A extern/cloop/src/tests/test1/PascalTest.dpr
   A extern/cloop/src/tests/test1/test1-c-dll.vcxproj
   A extern/cloop/src/tests/test1/test1-c-dll.vcxproj.filters
   A extern/cloop/src/tests/test1/test1-c-exe.vcxproj
   A extern/cloop/src/tests/test1/test1-c-exe.vcxproj.filters
   A extern/cloop/src/tests/test1/test1-cpp-dll.vcxproj
   A extern/cloop/src/tests/test1/test1-cpp-dll.vcxproj.filters
   A extern/cloop/src/tests/test1/test1-cpp-exe.vcxproj
   A extern/cloop/src/tests/test1/test1-cpp-exe.vcxproj.filters
Import cloop (hash 912a16ee1424c9b8548dfdef78ad18cba901f6c8) utility.

 2015-04-06 23:21  asfernandes 
   M src/jrd/dfw.epp
Fixed CORE-4738 - Command "Alter table <T> alter <C> type <domain_>" does not work: "BLR syntax error: expected valid BLR code at offset 15, encountered 255" - regression introduced with CORE-4733.

 2015-04-06 11:12  alexpeshkoff 
   M src/dsql/DdlNodes.epp
Fixed a bug noticed by Simonov Denis

 2015-04-05 02:24  asfernandes 
   M doc/WhatsNew
   M src/dsql/DdlNodes.epp
   M src/jrd/dfw.epp
   M src/jrd/vio.cpp
Fixed CORE-4733 - Command "Alter table <T> alter TYPE <C> <DOMAIN_WITH_NOT_NULL" does not verifies data in column <C> and makes incorrect assignments in <C> to ZERO / JULIAN_DATE / ASCII(0) for types INT, TIMESTAMP and VARCHAR.

 2015-04-05 02:24  asfernandes 
   M src/jrd/dfw.epp
   M src/jrd/vio.cpp
Optimize check of column NULLs when changing field or domain to NOT NULL.

 2015-04-03 10:25  mapopa 
   D extern/btyacc/makefile.dos
Dos file not needed

 2015-04-03 03:07  asfernandes 
   M doc/WhatsNew
Misc.

 2015-04-03 01:31  asfernandes 
   M doc/WhatsNew
   M src/jrd/intl.cpp
Fixed (again) CORE-3373 - It is possible to store string with lenght 31 chars into column varchar(25).

 2015-04-02 02:26  asfernandes 
   M doc/sql.extensions/README.ddl.txt
   M src/dsql/DdlNodes.epp
   M src/dsql/parse.y
Changes related to CORE-1180: change syntax and semantics to the standard SQL, and also manage RDB$RELATION_CONSTRAINTS records correctly.

 2015-04-01 15:10  alexpeshkoff 
   M src/jrd/vio.cpp
Fixes assertion in DFW, caused by uninitialized descriptor

 2015-03-31 17:22  alexpeshkoff 
   M src/include/gen/ids.h
   M src/jrd/Monitoring.cpp
   M src/jrd/fields.h
   M src/jrd/names.h
   M src/jrd/relations.h
Fixed CORE-4729: Add a flag to mon$database helping to decide what type of security database is used - default, self or other

 2015-03-31 09:57  mapopa 
   M src/common/common.h
Comments cleanup

 2015-03-31 02:10  robocop 
   M doc/sql.extensions/README.regr_functions.txt
   M src/common/StatusHolder.h
   M src/common/unicode_util.cpp
   M src/isql/isql.epp
Misc.

 2015-03-30 17:39  alexpeshkoff 
   M src/common/unicode_util.cpp
Fixed CORE-4583: FB 3 embedded tries to load ICU DLLs from PATH folders

 2015-03-30 14:35  egorpugin 
   M src/jrd/jrd.cpp
[build] Fix duplicate symbol error on AppleClang while building for iOS.

 2015-03-30 14:34  egorpugin 
   M builds/cmake/Configure.cmake
   M src/include/gen/autoconfig.h.in
[build] [cmake] Search for accept4 and SOCK_CLOEXEC symbols during configuration step.

 2015-03-30 13:49  alexpeshkoff 
   M src/auth/SecurityDatabase/LegacyServer.cpp
Fixed CORE-4712: Messages "Error in isc_release_request() ... when working with legacy security database" appear in firebird.log for CLASSIC server when connecting with legacy auth

 2015-03-30 12:03  alexpeshkoff 
   M src/common/isc_s_proto.h
   M src/common/isc_sync.cpp
Fixed compilation on Mac

 2015-03-30 11:12  alexpeshkoff 
   M configure.ac
   M src/remote/inet.cpp
Added check for SOCK_CLOEXEC

 2015-03-30 09:34  alexpeshkoff 
   M src/remote/inet.cpp
Use better flag name for sockets

 2015-03-29 19:25  mapopa 
   M builds/install/posix-common/posixLibrary.sh.in
Cleanup editors battle comment

 2015-03-29 19:11  mapopa 
   M builds/install/posix-common/preinstall.sh.in
Cleanup preinstall script

 2015-03-29 18:19  mapopa 
   M builds/posix/Makefile.in
Cleanup comments gds*f and gds*ada header files are in the old cvs tree

 2015-03-29 18:08  mapopa 
   M builds/posix/Makefile.in
Cleanup old comments, GDSLIB_OBJECTS are no more

 2015-03-29 16:44  mapopa 
   M extern/editline/ChangeLog
   M extern/editline/src/chared.c
   M extern/editline/src/chared.h
   M extern/editline/src/chartype.c
   M extern/editline/src/chartype.h
   M extern/editline/src/el.c
   M extern/editline/src/eln.c
   M extern/editline/src/filecomplete.c
   M extern/editline/src/hist.h
   M extern/editline/src/histedit.h
   M extern/editline/src/history.c
   M extern/editline/src/map.c
   M extern/editline/src/map.h
   M extern/editline/src/parse.c
   M extern/editline/src/read.c
   M extern/editline/src/readline.c
   M extern/editline/src/tty.c
   M extern/editline/src/tty.h
   M extern/editline/src/unvis.c
   M extern/editline/src/vi.c
   M extern/editline/src/vis.c
   M extern/editline/src/vis.h
Update libedit

 2015-03-29 15:07  alexpeshkoff 
   M src/isql/isql.epp
Fixed CORE-4719:  Message "Statement failed, SQLSTATE = 00000 + unknown ISC error 0" appears when issuing REVOKE ALL ON ALL FROM <existing_user>

 2015-03-29 12:01  mapopa 
   M src/include/fb_types.h
cleanup comments : old bad SCHAR definition

 2015-03-28 15:02  mapopa 
   M builds/posix/Makefile.in
Cleanup comments

 2015-03-28 13:55  mapopa 
   M builds/posix/Makefile.in.examples
Sync code with firebird 2.5.x tree and libreoffice patch , even if is commented 

 2015-03-28 00:40  asfernandes 
   M doc/sql.extensions/README.regr_functions.txt
Corrections, thanks to Simonov Denis.

 2015-03-28 00:36  asfernandes 
   M src/auth/SecureRemotePassword/Message.h
   M src/auth/SecureRemotePassword/server/SrpServer.cpp
   M src/auth/SecurityDatabase/LegacyManagement.epp
   M src/common/DynamicStrings.cpp
   M src/common/SimpleStatusVector.h
   M src/common/StatusHolder.h
   M src/common/fb_exception.cpp
   M src/common/utils.cpp
   M src/dsql/dsql.cpp
   M src/include/fb_exception.h
   M src/jrd/CryptoManager.cpp
   M src/jrd/err.cpp
   M src/jrd/exe.cpp
   M src/jrd/extds/ExtDS.cpp
   M src/jrd/extds/IscDS.cpp
   M src/jrd/extds/IscDS.h
   M src/jrd/idx.cpp
   M src/jrd/jrd.cpp
   M src/jrd/nbak.cpp
   M src/jrd/status.h
   M src/jrd/svc.cpp
   M src/jrd/trace/TraceConfigStorage.cpp
   M src/jrd/val.h
   M src/jrd/vio.cpp
   M src/remote/client/interface.cpp
   M src/remote/inet.cpp
   M src/remote/os/win32/wnet.cpp
   M src/remote/os/win32/xnet.cpp
   M src/remote/server/server.cpp
   M src/utilities/nbackup/nbackup.cpp
   M src/utilities/ntrace/TracePluginImpl.cpp
   M src/yvalve/PluginManager.cpp
   M src/yvalve/utl.cpp
   M src/yvalve/utl_proto.h
Misc.

 2015-03-27 17:51  alexpeshkoff 
   M src/alice/alice.cpp
   M src/alice/main/aliceMain.cpp
   M src/auth/SecurityDatabase/LegacyServer.cpp
   M src/burp/burp.cpp
   M src/burp/main/burpMain.cpp
   M src/common/IntlParametersBlock.cpp
   M src/common/SimpleStatusVector.h
   M src/common/StatusArg.h
   M src/common/StatusHolder.cpp
   M src/common/classes/init.cpp
   M src/common/fb_exception.cpp
   M src/common/isc.cpp
   M src/common/unicode_util.cpp
   M src/common/utils.cpp
   M src/common/utils_proto.h
   M src/dsql/ExprNodes.cpp
   M src/dsql/StmtNodes.cpp
   M src/include/fb_exception.h
   M src/jrd/CryptoManager.cpp
   M src/jrd/Function.epp
   M src/jrd/JrdStatement.cpp
   M src/jrd/TempSpace.cpp
   M src/jrd/btr.cpp
   M src/jrd/cch.cpp
   M src/jrd/cmp.cpp
   M src/jrd/dfw.epp
   M src/jrd/err.cpp
   M src/jrd/exe.cpp
   M src/jrd/extds/ExtDS.cpp
   M src/jrd/fun.epp
   M src/jrd/jrd.cpp
   M src/jrd/met.epp
   M src/jrd/nbak.cpp
   M src/jrd/sdw.cpp
   M src/jrd/svc.cpp
   M src/jrd/tra.cpp
   M src/jrd/trace/TraceService.cpp
   M src/jrd/validation.cpp
   M src/jrd/vio.cpp
   M src/lock/print.cpp
   M src/remote/client/interface.cpp
   M src/remote/protocol.cpp
   M src/remote/remote.cpp
   M src/remote/server/os/posix/inet_server.cpp
   M src/remote/server/server.cpp
   M src/utilities/fbsvcmgr/fbsvcmgr.cpp
   M src/utilities/fbtracemgr/traceMgrMain.cpp
   M src/utilities/gsec/gsec.cpp
   M src/utilities/gsec/main/gsecMain.cpp
   M src/utilities/gstat/dba.epp
   M src/utilities/gstat/main/gstatMain.cpp
   M src/utilities/nbackup/nbackup.cpp
   M src/utilities/ntrace/TracePluginImpl.cpp
   M src/yvalve/user_dsql.cpp
   M src/yvalve/utl.cpp
   M src/yvalve/why.cpp
Be more consistent putting IStatus into fast inline wrapper. Also some syntax sugar as suggested by Dmitry

 2015-03-27 15:41  hvlad 
   M src/jrd/os/win32/ibinitdll.cpp
   M src/remote/server/os/win32/srvr_w32.cpp
Fixed Windows build

 2015-03-27 14:36  alexpeshkoff 
   M src/alice/alice.cpp
   M src/alice/exe.cpp
   M src/alice/main/aliceMain.cpp
   M src/auth/SecurityDatabase/LegacyServer.cpp
   M src/burp/burp.cpp
   M src/burp/canonical.cpp
   M src/burp/main/burpMain.cpp
   M src/common/SimpleStatusVector.h
   M src/common/StatusArg.cpp
   M src/common/StatusArg.h
   M src/common/StatusHolder.cpp
   M src/common/StatusHolder.h
   M src/common/classes/init.cpp
   M src/common/fb_exception.cpp
   M src/common/isc.cpp
   M src/common/isc_proto.h
   M src/common/isc_s_proto.h
   M src/common/isc_sync.cpp
   M src/common/sdl.cpp
   M src/common/sdl_proto.h
   M src/common/utils.cpp
   M src/dsql/ExprNodes.cpp
   M src/dsql/Nodes.h
   M src/dsql/StmtNodes.cpp
   M src/gpre/boot/gpre_meta_boot.cpp
   M src/include/fb_exception.h
   M src/include/firebird/FirebirdInterface.idl
   M src/include/firebird/IdlFbInterfaces.h
   M src/include/firebird/Interface.h
   M src/jrd/Function.epp
   M src/jrd/Monitoring.cpp
   M src/jrd/TempSpace.cpp
   M src/jrd/event.cpp
   M src/jrd/jrd.cpp
   M src/jrd/lck.cpp
   M src/jrd/met.epp
   M src/jrd/status.h
   M src/jrd/svc.cpp
   M src/jrd/trace/TraceService.cpp
   M src/lock/lock.cpp
   M src/lock/lock_proto.h
   M src/lock/print.cpp
   M src/remote/protocol.cpp
   M src/remote/server/os/posix/inet_server.cpp
   M src/utilities/fbsvcmgr/fbsvcmgr.cpp
   M src/utilities/fbtracemgr/traceMgrMain.cpp
   M src/utilities/gsec/gsec.cpp
   M src/utilities/gsec/main/gsecMain.cpp
   M src/utilities/gstat/dba.epp
   M src/utilities/gstat/main/gstatMain.cpp
   M src/utilities/nbackup/nbackup.cpp
   M src/utilities/ntrace/TracePluginImpl.cpp
   M src/yvalve/MasterImplementation.cpp
   M src/yvalve/MasterImplementation.h
   M src/yvalve/alt.cpp
   M src/yvalve/preparse.cpp
   M src/yvalve/user_dsql.cpp
   M src/yvalve/utl.cpp
   M src/yvalve/utl_proto.h
   M src/yvalve/why.cpp
Use status interface instead plain status vector when working with exceptions.
Avoid use of circullar allocation for strings in status vector (except when unavoidable for ISC API backward compatibility).
Use TLS for circullar allocation buffer instead manually working with threads' list.

 2015-03-25 17:52  asfernandes 
   M src/dsql/AggNodes.cpp
   M src/dsql/AggNodes.h
   M src/dsql/Nodes.h
   M src/dsql/WinNodes.cpp
   M src/jrd/blp.h
   M src/jrd/blr.h
Rework new aggregate functions so that they use the single blr_agg_function BLR verb.

 2015-03-25 17:51  asfernandes 
   M doc/WhatsNew
   A doc/sql.extensions/README.regr_functions.txt
   M src/dsql/AggNodes.cpp
   M src/dsql/AggNodes.h
   M src/dsql/parse.y
   M src/jrd/blp.h
   M src/jrd/blr.h
   M src/yvalve/keywords.cpp
Feature CORE-4722 - Aggregate linear regression functions.

 2015-03-24 01:30  robocop 
   M src/jrd/vio.cpp
Misc.

 2015-03-23 15:52  alexpeshkoff 
   M src/remote/remot_proto.h
   M src/remote/remote.cpp
Cleanup

 2015-03-23 11:06  alexpeshkoff 
   M src/dsql/dsql.cpp
   M src/jrd/CryptoManager.cpp
   M src/jrd/DbCreators.cpp
   M src/jrd/Mapping.cpp
   M src/jrd/cch.cpp
   M src/jrd/dfw.epp
   M src/jrd/exe.cpp
   M src/jrd/extds/ExtDS.cpp
   M src/jrd/extds/InternalDS.cpp
   M src/jrd/extds/IscDS.cpp
   M src/jrd/jrd.cpp
   M src/jrd/jrd.h
   M src/jrd/nbak.cpp
   M src/jrd/pag.cpp
   M src/jrd/status.h
   M src/jrd/svc.cpp
   M src/jrd/svc.h
   M src/jrd/vio.cpp
Cleanup - avoid automatic type conversion in FbLocalStatus as suggested by Claudio

 2015-03-23 09:06  alexpeshkoff 
   M src/common/DynamicStrings.cpp
   M src/common/DynamicStrings.h
   M src/common/StatusHolder.h
   M src/common/fb_exception.cpp
Misc

 2015-03-23 08:17  alexpeshkoff 
   M src/common/StatusArg.cpp
Fixed potential BOF - thanks to Claudio

 2015-03-23 04:29  robocop 
   M src/remote/SockAddr.h
Misc.

 2015-03-23 02:55  asfernandes 
   M doc/WhatsNew
   M doc/sql.extensions/README.statistical_functions.txt
   M src/dsql/AggNodes.cpp
   M src/dsql/AggNodes.h
   M src/dsql/parse.y
   M src/jrd/blp.h
   M src/jrd/blr.h
   M src/yvalve/keywords.cpp
Feature CORE-4717 - Aggregate statistical functions COVAR_SAMP, COVAR_POP and CORR - contributed by Hajime Nakagami.

 2015-03-22 22:43  hvlad 
   M src/jrd/os/win32/winnt.cpp
   M src/remote/SockAddr.h
   M src/remote/os/win32/wnet.cpp
Fixed Windows build

 2015-03-22 22:42  hvlad 
   M builds/win32/msvc10/qli.vcxproj
   M builds/win32/msvc10/qli.vcxproj.filters
Update MSVC10 build after recent changes

 2015-03-22 22:40  hvlad 
   M builds/win32/msvc12/common.vcxproj
   M builds/win32/msvc12/common.vcxproj.filters
   M builds/win32/msvc12/engine.vcxproj
   M builds/win32/msvc12/engine.vcxproj.filters
   M builds/win32/msvc12/qli.vcxproj
   M builds/win32/msvc12/qli.vcxproj.filters
Update MSVC12 build after recent changes

 2015-03-22 14:27  mkubecek 
   M src/common/config/config.cpp
fix default security database location

 2015-03-22 14:26  mkubecek 
   M src/remote/SockAddr.h
class SockAddr code cleanup

 2015-03-22 00:23  robocop 
   M src/include/firebird/Interface.h
   M src/jrd/Routine.cpp
   M src/jrd/extds/IscDS.cpp
   M src/jrd/svc.cpp
Misc.

 2015-03-21 18:39  asfernandes 
   M src/common/DynamicStrings.h
Fix clang build.

 2015-03-21 18:38  asfernandes 
   M src/jrd/extds/ExtDS.cpp
   M src/jrd/extds/IscDS.cpp
   M src/jrd/status.h
   M src/jrd/trace/TraceObjects.h
Corrections.

 2015-03-21 05:15  dimitr 
   M doc/sql.extensions/README.scrollable_cursors.txt
Fixed a mistake.

 2015-03-21 03:01  robocop 
   M builds/win32/msvc10/common.vcxproj
   M builds/win32/msvc10/common.vcxproj.filters
   M builds/win32/msvc10/engine.vcxproj
   M builds/win32/msvc10/engine.vcxproj.filters
Modified the MSVC10 build according to Alex's changes but still can't compile.

 2015-03-20 18:03  alexpeshkoff 
   A src/common/SimpleStatusVector.h
Oops - added forgotten file

 2015-03-20 18:02  alexpeshkoff 
   M src/auth/AuthDbg.cpp
   M src/auth/SecureRemotePassword/Message.h
   M src/auth/SecureRemotePassword/manage/SrpManagement.cpp
   M src/auth/SecureRemotePassword/server/SrpServer.cpp
   M src/auth/SecurityDatabase/LegacyServer.cpp
   A src/common/DynamicStrings.cpp
   A src/common/DynamicStrings.h
   M src/common/MsgMetadata.cpp
   M src/common/StatementMetadata.cpp
   M src/common/StatusArg.cpp
   M src/common/StatusArg.h
   M src/common/StatusHolder.cpp
   M src/common/StatusHolder.h
   M src/common/UtilSvc.cpp
   M src/common/UtilSvc.h
   M src/common/classes/GetPlugins.h
   M src/common/fb_exception.cpp
   M src/common/isc.cpp
   M src/common/isc_proto.h
   M src/common/sdl.cpp
   M src/common/sdl_proto.h
   M src/common/utils.cpp
   M src/common/utils_proto.h
   M src/dsql/DdlNodes.h
   M src/dsql/StmtNodes.cpp
   M src/dsql/dsql.cpp
   M src/dsql/errd.cpp
   M src/dsql/errd_proto.h
   M src/dsql/utld.cpp
   M src/dsql/utld_proto.h
   M src/include/fb_exception.h
   M src/include/fb_types.h
   M src/include/firebird/FirebirdInterface.idl
   M src/include/firebird/IdlFbInterfaces.h
   M src/include/firebird/Interface.h
   M src/isql/isql.epp
   M src/jrd/CryptoManager.cpp
   M src/jrd/CryptoManager.h
   M src/jrd/Database.cpp
   M src/jrd/DbCreators.cpp
   M src/jrd/ExtEngineManager.cpp
   M src/jrd/GlobalRWLock.cpp
   M src/jrd/Mapping.cpp
   M src/jrd/Routine.cpp
   M src/jrd/blob_filter.cpp
   M src/jrd/cch.cpp
   M src/jrd/cch_proto.h
   M src/jrd/dfw.epp
   M src/jrd/err.cpp
   M src/jrd/err_proto.h
   M src/jrd/exe.cpp
   M src/jrd/exe.h
   M src/jrd/extds/ExtDS.cpp
   M src/jrd/extds/ExtDS.h
   M src/jrd/extds/InternalDS.cpp
   M src/jrd/extds/InternalDS.h
   M src/jrd/extds/IscDS.cpp
   M src/jrd/extds/IscDS.h
   M src/jrd/fun.epp
   M src/jrd/idx.cpp
   M src/jrd/jrd.cpp
   M src/jrd/jrd.h
   M src/jrd/nbak.cpp
   M src/jrd/nbak.h
   M src/jrd/os/pio_proto.h
   M src/jrd/os/posix/unix.cpp
   M src/jrd/os/win32/winnt.cpp
   M src/jrd/pag.cpp
   M src/jrd/par.cpp
   D src/jrd/status.cpp
   M src/jrd/status.h
   M src/jrd/svc.cpp
   M src/jrd/svc.h
   M src/jrd/tra.cpp
   M src/jrd/trace/TraceConfigStorage.cpp
   M src/jrd/trace/TraceManager.cpp
   M src/jrd/trace/TraceObjects.cpp
   M src/jrd/trace/TraceObjects.h
   M src/jrd/validation.cpp
   M src/jrd/vio.cpp
   M src/plugins/udr_engine/UdrEngine.cpp
   M src/remote/client/BlrFromMessage.cpp
   M src/remote/client/interface.cpp
   M src/remote/inet.cpp
   M src/remote/server/server.cpp
   M src/yvalve/PluginManager.cpp
   M src/yvalve/utl.cpp
Avoid limits on size of status vector in engine. Ensure that status is always clean on entry to interface methods.

 2015-03-19 11:34  egorpugin 
   M CMakeLists.txt
   M builds/cmake/Configure.cmake
   M src/isql/InputDevices.cpp
   M src/yvalve/config/os/darwin/config_root.cpp
[build] [cmake] Add some iOS ifdefs. Hide wrong include dir during crosscompiling.

 2015-03-19 07:09  dimitr 
   M doc/WhatsNew
   A doc/sql.extensions/README.scrollable_cursors.txt
Updated the docs.

 2015-03-18 21:38  asfernandes 
   A doc/sql.extensions/README.statistical_functions.txt
   M src/dsql/AggNodes.cpp
   M src/dsql/AggNodes.h
   M src/dsql/parse.y
   M src/jrd/blp.h
   M src/jrd/blr.h
   M src/jrd/val.h
   M src/yvalve/keywords.cpp
Feature CORE-4714 - Aggregate statistical functions stddev_pop, stddev_samp, var_pop and var_samp - contributed by Hajime Nakagami.

 2015-03-18 17:28  dimitr 
   M src/burp/restore.epp
Complement my recent changes in this module.

 2015-03-18 17:26  hvlad 
   M src/jrd/vio.cpp
Fixed bug CORE-4713 : "BLOB not found" error at rollback after insert into table with expression index

 2015-03-18 17:22  dimitr 
   M doc/WhatsNew
Updated the docs for Beta 2.

 2015-03-18 02:03  asfernandes 
   M src/include/firebird/FirebirdInterface.idl
   M src/include/firebird/IdlFbInterfaces.h
   M src/yvalve/YObjects.h
   M src/yvalve/utl.cpp
Added IUtil::formatStatus.

 2015-03-17 21:44  asfernandes 
   M src/auth/SecurityDatabase/LegacyManagement.epp
   M src/auth/SecurityDatabase/LegacyServer.cpp
   M src/jrd/Record.h
   M src/jrd/pcmet.epp
   M src/jrd/vio.cpp
   M src/msgs/facilities2.sql
   M src/remote/server/server.cpp
   M src/yvalve/MasterImplementation.cpp
   M src/yvalve/why.cpp
Misc.

 2015-03-17 09:15  paulbeach 
   M builds/install/arch-specific/darwin/launchdss.org.firebird.gds.plist
Use RunAtLoad rather than KeepAlive

 2015-03-13 15:31  robocop 
   M src/dsql/metd.epp
   M src/jrd/scl.epp
rdb$system_flag is not nullable in FB3.

 2015-03-13 15:30  robocop 
   M src/jrd/idx.cpp
   M src/jrd/vio.cpp
Misc.

 2015-03-13 15:26  robocop 
   M examples/interfaces/01.create.cpp
   M src/common/StatusArg.cpp
   M src/common/StatusHolder.h
   M src/common/isc_file.cpp
   M src/common/os/posix/os_utils.cpp
   M src/common/utils.cpp
   M src/dsql/DdlNodes.epp
   M src/dsql/ExprNodes.cpp
   M src/gpre/cmp.cpp
   M src/gpre/sql.cpp
   M src/isql/isql.epp
   M src/jrd/Record.h
   M src/jrd/cch.cpp
   M src/jrd/dpm.epp
   M src/jrd/jrd.cpp
   M src/jrd/opt.cpp
   M src/jrd/pag.cpp
   M src/jrd/trace/TraceObjects.cpp
   M src/remote/SockAddr.h
   M src/remote/client/interface.cpp
   M src/remote/inet.cpp
   M src/remote/remote.cpp
   M src/remote/remote.h
   M src/remote/server/server.cpp
   M src/yvalve/PluginManager.cpp
Misc.

 2015-03-13 12:07  dimitr 
   M src/jrd/opt.cpp
Cleanup.

 2015-03-12 21:52  dimitr 
   M src/yvalve/gds.cpp
Improved BLR printer for scrollable cursors. It also fixes ISQL crash for core-0883.fbt.

 2015-03-11 13:39  alexpeshkoff 
   M src/jrd/DbCreators.cpp
   M src/jrd/jrd.cpp
   M src/jrd/jrd_proto.h
Fixed role's case handling when checking grant for create database - thanks to Claudio

 2015-03-11 13:37  alexpeshkoff 
   M src/isql/show.epp
Fixed BOF, cleanup misc

 2015-03-10 16:05  asfernandes 
   M src/isql/isql.epp
Fixed CORE-4706 - ISQL pads blob columns wrongly when the column alias has more than 17 characters.

 2015-03-10 13:48  alexpeshkoff 
   M src/jrd/dfw.epp
Postfix for CORE-4571: avoid processing same index more than once when it has segments with different charsets

 2015-03-08 13:20  egorpugin 
   M CMakeLists.txt
   M src/CMakeLists.txt
[build] [cmake] Fix OS X build.

 2015-03-06 20:43  dimitr 
   M src/jrd/jrd.cpp
Fixed a possible reason for CORE-4705. Alex, please review.

 2015-03-06 14:04  dimitr 
   M src/jrd/Optimizer.cpp
Fixed inconsistency between unique vs non-unique retrievals (see CORE-4702).

 2015-03-06 10:24  dimitr 
   M src/jrd/Optimizer.cpp
Minor adjustments to the join order selection.

 2015-03-06 09:02  paulbeach 
   M builds/install/arch-specific/darwin/install-script
   A builds/install/arch-specific/darwin/launchdss.org.firebird.gds.plist
StartupItems is now deprecated on Yosemite (10.10), use launchctl for SuperServer as well as Classic

 2015-03-05 16:18  alexpeshkoff 
   M src/jrd/DataTypeUtil.cpp
   M src/jrd/Database.cpp
   M src/jrd/ExtEngineManager.cpp
   M src/jrd/Function.epp
   M src/jrd/UserManagement.h
   M src/jrd/blb.cpp
   M src/jrd/blob_filter.cpp
   M src/jrd/cmp.cpp
   M src/jrd/cvt2.cpp
   M src/jrd/dfw.epp
   M src/jrd/dpm.epp
   M src/jrd/dyn_util.epp
   M src/jrd/evl.cpp
   M src/jrd/extds/ExtDS.cpp
   M src/jrd/extds/IscDS.h
   M src/jrd/filters.cpp
   M src/jrd/fun.epp
   M src/jrd/grant.epp
   M src/jrd/inf.cpp
   M src/jrd/ini.epp
   M src/jrd/intl.h
   M src/jrd/jrd.cpp
   M src/jrd/met.epp
   M src/jrd/opt.cpp
   M src/jrd/os/posix/unix.cpp
   M src/jrd/pag.cpp
   M src/jrd/par.cpp
   M src/jrd/pcmet.epp
   M src/jrd/scl.epp
   M src/jrd/shut.cpp
   M src/jrd/svc.cpp
   M src/jrd/tra.cpp
   M src/jrd/trace/TraceService.cpp
   M src/jrd/vio.cpp
cleanup

 2015-03-04 19:29  egorpugin 
   M CMakeLists.txt
[build][cmake] Add compiler switch '/MT(d)' for MSVC. Use '-DMSVC_STATIC_RUNTIME=1' parameter during cmake call to turn on static runtime linking.

 2015-03-04 17:58  dimitr 
   M src/burp/restore.epp
Fixed CORE-4704: Generator/exception permissions get corrupted after backup/restore.

 2015-03-04 16:18  alexpeshkoff 
   M src/dsql/dsql.cpp
   M src/dsql/dsql.h
   M src/jrd/EngineInterface.h
   M src/jrd/JrdStatement.cpp
   M src/jrd/JrdStatement.h
   M src/jrd/jrd.cpp
   M src/jrd/jrd_proto.h
   M src/jrd/svc.cpp
   M src/jrd/svc.h
Full fix for CORE-4698, also fixed some more or less related leaks, segfaults and assertions

 2015-03-04 16:01  alexpeshkoff 
   M src/common/classes/RefMutex.h
Perform non-atomic counter operations under locked mutex

 2015-03-04 15:21  asfernandes 
   M src/include/firebird/UdrCppEngine.h
Correction.

 2015-03-04 10:49  hvlad 
   M src/yvalve/MasterImplementation.cpp
Fixed rare deadlock (take cleanupMutex before StringsBuffer::mutex)

 2015-03-04 10:37  hvlad 
   M src/jrd/btr.cpp
   M src/jrd/pcmet.epp
Additional patch for CORE-4671 : Release internal temporary blobs early to free some memory\disk space
The patch fixed AV when expression indices with blob-based expression is built (see CORE-952, for example)

 2015-02-27 16:01  alexpeshkoff 
   M src/common/classes/vector.h
Most of methods of vector never throw

 2015-02-27 15:59  alexpeshkoff 
   M examples/interfaces/04.print_table.cpp
Fixed error handlig in test

 2015-02-27 15:42  alexpeshkoff 
   M examples/interfaces/03.select.cpp
   M examples/interfaces/04.print_table.cpp
misc

 2015-02-25 20:35  dimitr 
   M src/jrd/tra.cpp
Let's be on the paranoid side when committing.

 2015-02-25 17:03  alexpeshkoff 
   M src/common/StatusHolder.cpp
   M src/common/StatusHolder.h
   M src/common/utils.cpp
   M src/common/utils_proto.h
   M src/jrd/jrd.cpp
   M src/remote/protocol.cpp
   M src/remote/remote.cpp
   M src/remote/server/server.cpp
Dynamic buffer for status vector and dynamic strings in IStatus

 2015-02-25 14:24  alexpeshkoff 
   M src/remote/client/interface.cpp
   M src/yvalve/YObjects.h
   M src/yvalve/why.cpp
Fixed memory leaks in events API

 2015-02-24 12:58  alexpeshkoff 
   M src/remote/remote.cpp
Lost exception when initializing port with compression - thanks to Claudio

 2015-02-24 09:15  hvlad 
   M src/jrd/jrd.cpp
Simplest fix for bug CORE-4698 : typing "add -user SYSDBA -pw masterkey -admin yes" into gsec crashes firebird.exe

 2015-02-23 01:44  asfernandes 
   M src/include/firebird/FirebirdInterface.idl
Change to make the generated C API work with latest cloop.

 2015-02-22 16:04  hvlad 
   M src/jrd/extds/InternalDS.cpp
Bit more safety

 2015-02-22 15:47  asfernandes 
   M src/jrd/extds/InternalDS.cpp
Use RefPtr::assignRefNoIncr so we can clearly see the code is not going to crash.

 2015-02-22 11:17  hvlad 
   M src/jrd/btr.cpp
Improvement CORE-4696 :  No need to flush dirty pages to disk after creation of temporary table index

 2015-02-22 11:02  hvlad 
   M src/jrd/dfw.epp
   M src/jrd/dpm.epp
   M src/jrd/idx.cpp
   M src/jrd/intl.cpp
   M src/jrd/met.epp
   M src/jrd/pag.cpp
   M src/jrd/vio.cpp
Use attachment's or relation's pool instead of dbb_permanent where it is more suitable. 
It fixed memory leak from dbb_permanent (CORE-4683)

 2015-02-22 10:58  hvlad 
   M src/jrd/EngineInterface.h
   M src/jrd/extds/InternalDS.cpp
   M src/jrd/extds/InternalDS.h
   M src/jrd/jrd.cpp
Fixed leak of various J-objects in EXECUTE STATEMENT (CORE-4683)

 2015-02-22 10:49  hvlad 
   M src/jrd/tra.cpp
   M src/utilities/ntrace/TracePluginImpl.cpp
Fixed regression in 32-bit builds: transaction numbers in sweep info (both trace event and firebird.log message) printed incorrectly

 2015-02-20 16:56  dimitr 
   M src/dsql/DsqlCompilerScratch.cpp
Fixed CORE-4694: "Column unknown" error while preparing a recursive query if the recursive part contains ALIASED datasource in the join with anchor table.

 2015-02-20 15:31  hvlad 
   M src/jrd/Record.h
Fix warning

 2015-02-20 14:27  asfernandes 
   M src/remote/client/interface.cpp
Fixed segfault with events and the remote protocol.

 2015-02-20 10:40  alexpeshkoff 
   M src/common/os/posix/os_utils.cpp
Do not raise errors when cannot generate unique ID for file, just keep ID empty

 2015-02-20 09:38  hvlad 
   M src/plugins/crypt/arc4/Arc4.cpp
   M src/remote/remote.h
More memory leaks (CORE-4683)

 2015-02-19 19:52  dimitr 
   M src/dsql/ExprNodes.cpp
   M src/dsql/StmtNodes.cpp
   M src/jrd/exe.cpp
   M src/jrd/jrd.cpp
   M src/jrd/tra.h
Misc code simplification.

 2015-02-19 19:50  dimitr 
   M src/jrd/Record.h
Small changes intended to fix SEGV in the release build.

 2015-02-19 15:58  dimitr 
   M src/jrd/tra.cpp
Protection against exceptions thrown from VIO_verb_cleanup() during commit/rollback.

 2015-02-19 15:53  dimitr 
   M src/jrd/Record.h
   M src/jrd/tra.h
   M src/jrd/vio.cpp
Misc.

 2015-02-19 14:56  dimitr 
   M src/jrd/idx.cpp
Postfix for my big commit.

 2015-02-19 14:43  dimitr 
   M src/jrd/tra.cpp
1) Fixed CORE-4382: User savepoints are not released on commit.
2) Respect the "no-auto-undo" option when retaining a transaction context.
Thanks to Dimitry Sibiryakov.

 2015-02-19 14:19  dimitr 
   M src/jrd/recsrc/ProcedureScan.cpp
Misc.

 2015-02-19 14:15  dimitr 
   M src/dsql/ExprNodes.cpp
   M src/dsql/StmtNodes.cpp
   M src/jrd/Monitoring.cpp
   A src/jrd/Record.h
   M src/jrd/RecordBuffer.cpp
   M src/jrd/Relation.h
   M src/jrd/blb.cpp
   M src/jrd/dpm.epp
   M src/jrd/evl.cpp
   M src/jrd/exe.cpp
   M src/jrd/ext.cpp
   M src/jrd/idx.cpp
   M src/jrd/recsrc/BufferedStream.cpp
   M src/jrd/recsrc/ProcedureScan.cpp
   M src/jrd/recsrc/RecordSource.cpp
   M src/jrd/recsrc/RecursiveStream.cpp
   M src/jrd/recsrc/SingularStream.cpp
   M src/jrd/recsrc/SortedStream.cpp
   M src/jrd/req.h
   M src/jrd/tra.cpp
   M src/jrd/tra.h
   M src/jrd/vio.cpp
1) Fixed CORE-4383: Index and BLOBs garbage collection doesn't work for update_in_place().
2) Applied the same approach to temporary GC records.
3) Refactored the Record class to avoid reallocations, to improve encapsulation and to simplify the code.
4) Slightly refactored UndoItem to isolate its logic from the Record class.
5) Reduced the in-memory size of the undo log.
6) Slightly better alternative to the legacy NULL reporting for outer joins.
7) Minor fixes and adjustments in BufferedStream.

 2015-02-19 14:06  dimitr 
   M src/jrd/nbak.h
Misc.

 2015-02-18 15:01  asfernandes 
   M examples/dbcrypt/CryptApplication.cpp
   M examples/dbcrypt/CryptKeyHolder.cpp
   M examples/dbcrypt/DbCrypt.cpp
   M src/auth/AuthDbg.cpp
   M src/auth/SecureRemotePassword/Message.h
   M src/auth/SecureRemotePassword/client/SrpClient.cpp
   M src/auth/SecureRemotePassword/manage/SrpManagement.cpp
   M src/auth/SecureRemotePassword/server/SrpServer.cpp
   M src/auth/SecurityDatabase/LegacyClient.cpp
   M src/auth/SecurityDatabase/LegacyManagement.epp
   M src/auth/SecurityDatabase/LegacyServer.cpp
   M src/auth/trusted/AuthSspi.cpp
   M src/common/IntlParametersBlock.cpp
   M src/common/StatusArg.cpp
   M src/common/StatusHolder.h
   M src/common/call_service.cpp
   M src/common/classes/ImplementHelper.h
   M src/common/classes/MsgPrint.cpp
   M src/common/config/config.cpp
   M src/common/config/config_file.cpp
   M src/common/db_alias.cpp
   M src/common/os/win32/mod_loader.cpp
   M src/common/security.cpp
   M src/common/unicode_util.cpp
   M src/common/utils.cpp
   M src/dsql/DdlNodes.epp
   M src/dsql/DsqlCursor.cpp
   M src/dsql/ExprNodes.cpp
   M src/dsql/StmtNodes.cpp
   M src/dsql/dsql.cpp
   M src/gpre/languages/ftn.cpp
   M src/gpre/obj_cxx.cpp
   M src/include/firebird/FirebirdInterface.idl
   M src/include/firebird/IdlFbInterfaces.h
   M src/include/firebird/Interface.h
   M src/include/firebird/UdrCppEngine.h
   M src/isql/isql.epp
   M src/isql/show.epp
   M src/jrd/CryptoManager.cpp
   M src/jrd/Database.cpp
   M src/jrd/DbCreators.cpp
   M src/jrd/ExtEngineManager.cpp
   M src/jrd/IntlManager.cpp
   M src/jrd/Mapping.cpp
   M src/jrd/UserManagement.cpp
   M src/jrd/exe.cpp
   M src/jrd/extds/InternalDS.cpp
   M src/jrd/fun.epp
   M src/jrd/jrd.cpp
   M src/jrd/jrd.h
   M src/jrd/recsrc/ProcedureScan.cpp
   M src/jrd/svc.cpp
   M src/jrd/tra.cpp
   M src/jrd/trace/TraceDSQLHelpers.h
   M src/jrd/trace/TraceJrdHelpers.h
   M src/jrd/trace/TraceManager.cpp
   M src/jrd/trace/TraceObjects.cpp
   M src/plugins/crypt/arc4/Arc4.cpp
   M src/plugins/udr_engine/UdrEngine.cpp
   M src/qli/help.epp
   M src/remote/client/interface.cpp
   M src/remote/inet.cpp
   M src/remote/os/win32/wnet.cpp
   M src/remote/remote.cpp
   M src/remote/server/os/posix/inet_server.cpp
   M src/remote/server/os/win32/srvr_w32.cpp
   M src/remote/server/server.cpp
   M src/utilities/gsec/gsec.cpp
   M src/utilities/guard/util.cpp
   M src/utilities/ibmgr/srvrmgr.cpp
   M src/utilities/ntrace/TracePluginImpl.cpp
   M src/utilities/ntrace/traceplugin.cpp
   M src/yvalve/DistributedTransaction.cpp
   M src/yvalve/PluginManager.cpp
   M src/yvalve/gds.cpp
   M src/yvalve/perf.cpp
   M src/yvalve/utl.cpp
   M src/yvalve/why.cpp
Better constant names: avoid FB, enclosing class (double prefix) or wrong prefixes.
Left some TODOs in FirebirdInterface.idl and utilities/ntrace/TracePluginImpl.cpp related to trace.
(redo with fix for Windows build, and left another TODO comment in FirebirdInterface.idl)

 2015-02-18 14:22  alexpeshkoff 
   M src/yvalve/MasterImplementation.cpp
Restore useful assert

 2015-02-18 13:39  alexpeshkoff 
   M src/yvalve/MasterImplementation.cpp
Quick fix for posix build after Vlad's changes

 2015-02-18 12:55  dimitr 
   M src/jrd/evl.cpp
Misc.

 2015-02-18 12:54  dimitr 
   M src/common/cvt.cpp
   M src/common/dsc.h
Misc.

 2015-02-18 12:44  hvlad 
   M src/common/dllinst.cpp
   M src/common/dllinst.h
   M src/jrd/os/win32/ibinitdll.cpp
   M src/yvalve/MasterImplementation.cpp
   M src/yvalve/MasterImplementation.h
Attempt to implement thread cleanup for Windows (using DLL entry point).
It is used in dispatcher (fbclient.dll) only for now.
Fixed potential memory leak in StringsBuffer (it was possible to allocate few ThreadBuffer's for the same thread), see CORE-4683.

 2015-02-17 23:21  asfernandes 
   M examples/dbcrypt/CryptApplication.cpp
   M examples/dbcrypt/CryptKeyHolder.cpp
   M examples/dbcrypt/DbCrypt.cpp
   M src/auth/AuthDbg.cpp
   M src/auth/SecureRemotePassword/Message.h
   M src/auth/SecureRemotePassword/client/SrpClient.cpp
   M src/auth/SecureRemotePassword/manage/SrpManagement.cpp
   M src/auth/SecureRemotePassword/server/SrpServer.cpp
   M src/auth/SecurityDatabase/LegacyClient.cpp
   M src/auth/SecurityDatabase/LegacyManagement.epp
   M src/auth/SecurityDatabase/LegacyServer.cpp
   M src/auth/trusted/AuthSspi.cpp
   M src/common/IntlParametersBlock.cpp
   M src/common/StatusArg.cpp
   M src/common/StatusHolder.h
   M src/common/call_service.cpp
   M src/common/classes/ImplementHelper.h
   M src/common/classes/MsgPrint.cpp
   M src/common/config/config.cpp
   M src/common/config/config_file.cpp
   M src/common/db_alias.cpp
   M src/common/os/win32/mod_loader.cpp
   M src/common/security.cpp
   M src/common/unicode_util.cpp
   M src/common/utils.cpp
   M src/dsql/DdlNodes.epp
   M src/dsql/DsqlCursor.cpp
   M src/dsql/ExprNodes.cpp
   M src/dsql/StmtNodes.cpp
   M src/dsql/dsql.cpp
   M src/gpre/languages/ftn.cpp
   M src/gpre/obj_cxx.cpp
   M src/include/firebird/FirebirdInterface.idl
   M src/include/firebird/IdlFbInterfaces.h
   M src/include/firebird/Interface.h
   M src/include/firebird/UdrCppEngine.h
   M src/isql/isql.epp
   M src/isql/show.epp
   M src/jrd/CryptoManager.cpp
   M src/jrd/Database.cpp
   M src/jrd/DbCreators.cpp
   M src/jrd/ExtEngineManager.cpp
   M src/jrd/IntlManager.cpp
   M src/jrd/Mapping.cpp
   M src/jrd/SysFunction.cpp
   M src/jrd/UserManagement.cpp
   M src/jrd/exe.cpp
   M src/jrd/extds/InternalDS.cpp
   M src/jrd/fun.epp
   M src/jrd/jrd.cpp
   M src/jrd/jrd.h
   M src/jrd/recsrc/ProcedureScan.cpp
   M src/jrd/svc.cpp
   M src/jrd/tra.cpp
   M src/jrd/trace/TraceDSQLHelpers.h
   M src/jrd/trace/TraceJrdHelpers.h
   M src/jrd/trace/TraceManager.cpp
   M src/jrd/trace/TraceObjects.cpp
   M src/plugins/crypt/arc4/Arc4.cpp
   M src/plugins/udr_engine/UdrEngine.cpp
   M src/qli/help.epp
   M src/remote/client/interface.cpp
   M src/remote/inet.cpp
   M src/remote/os/win32/wnet.cpp
   M src/remote/remote.cpp
   M src/remote/server/os/posix/inet_server.cpp
   M src/remote/server/os/win32/srvr_w32.cpp
   M src/remote/server/server.cpp
   M src/utilities/gsec/gsec.cpp
   M src/utilities/guard/util.cpp
   M src/utilities/ibmgr/srvrmgr.cpp
   M src/utilities/ntrace/TracePluginImpl.cpp
   M src/utilities/ntrace/traceplugin.cpp
   M src/yvalve/DistributedTransaction.cpp
   M src/yvalve/PluginManager.cpp
   M src/yvalve/gds.cpp
   M src/yvalve/perf.cpp
   M src/yvalve/utl.cpp
   M src/yvalve/why.cpp
Revert my last change after it broke the Windows build.

 2015-02-17 14:56  asfernandes 
   M examples/dbcrypt/CryptApplication.cpp
   M examples/dbcrypt/CryptKeyHolder.cpp
   M examples/dbcrypt/DbCrypt.cpp
   M src/auth/AuthDbg.cpp
   M src/auth/SecureRemotePassword/Message.h
   M src/auth/SecureRemotePassword/client/SrpClient.cpp
   M src/auth/SecureRemotePassword/manage/SrpManagement.cpp
   M src/auth/SecureRemotePassword/server/SrpServer.cpp
   M src/auth/SecurityDatabase/LegacyClient.cpp
   M src/auth/SecurityDatabase/LegacyManagement.epp
   M src/auth/SecurityDatabase/LegacyServer.cpp
   M src/auth/trusted/AuthSspi.cpp
   M src/common/IntlParametersBlock.cpp
   M src/common/StatusArg.cpp
   M src/common/StatusHolder.h
   M src/common/call_service.cpp
   M src/common/classes/ImplementHelper.h
   M src/common/classes/MsgPrint.cpp
   M src/common/config/config.cpp
   M src/common/config/config_file.cpp
   M src/common/db_alias.cpp
   M src/common/os/win32/mod_loader.cpp
   M src/common/security.cpp
   M src/common/unicode_util.cpp
   M src/common/utils.cpp
   M src/dsql/DdlNodes.epp
   M src/dsql/DsqlCursor.cpp
   M src/dsql/ExprNodes.cpp
   M src/dsql/StmtNodes.cpp
   M src/dsql/dsql.cpp
   M src/gpre/languages/ftn.cpp
   M src/gpre/obj_cxx.cpp
   M src/include/firebird/FirebirdInterface.idl
   M src/include/firebird/IdlFbInterfaces.h
   M src/include/firebird/Interface.h
   M src/include/firebird/UdrCppEngine.h
   M src/isql/isql.epp
   M src/isql/show.epp
   M src/jrd/CryptoManager.cpp
   M src/jrd/Database.cpp
   M src/jrd/DbCreators.cpp
   M src/jrd/ExtEngineManager.cpp
   M src/jrd/IntlManager.cpp
   M src/jrd/Mapping.cpp
   M src/jrd/SysFunction.cpp
   M src/jrd/UserManagement.cpp
   M src/jrd/exe.cpp
   M src/jrd/extds/InternalDS.cpp
   M src/jrd/fun.epp
   M src/jrd/jrd.cpp
   M src/jrd/jrd.h
   M src/jrd/recsrc/ProcedureScan.cpp
   M src/jrd/svc.cpp
   M src/jrd/tra.cpp
   M src/jrd/trace/TraceDSQLHelpers.h
   M src/jrd/trace/TraceJrdHelpers.h
   M src/jrd/trace/TraceManager.cpp
   M src/jrd/trace/TraceObjects.cpp
   M src/plugins/crypt/arc4/Arc4.cpp
   M src/plugins/udr_engine/UdrEngine.cpp
   M src/qli/help.epp
   M src/remote/client/interface.cpp
   M src/remote/inet.cpp
   M src/remote/os/win32/wnet.cpp
   M src/remote/remote.cpp
   M src/remote/server/os/posix/inet_server.cpp
   M src/remote/server/os/win32/srvr_w32.cpp
   M src/remote/server/server.cpp
   M src/utilities/gsec/gsec.cpp
   M src/utilities/guard/util.cpp
   M src/utilities/ibmgr/srvrmgr.cpp
   M src/utilities/ntrace/TracePluginImpl.cpp
   M src/utilities/ntrace/traceplugin.cpp
   M src/yvalve/DistributedTransaction.cpp
   M src/yvalve/PluginManager.cpp
   M src/yvalve/gds.cpp
   M src/yvalve/perf.cpp
   M src/yvalve/utl.cpp
   M src/yvalve/why.cpp
Better constant names: avoid FB, enclosing class (double prefix) or wrong prefixes.
Left some TODOs in FirebirdInterface.idl and utilities/ntrace/TracePluginImpl.cpp related to trace.

 2015-02-17 14:13  alexpeshkoff 
   M src/msgs/facilities2.sql
   M src/msgs/messages2.sql
   M src/qli/dtr.cpp
   M src/qli/dtr.h
   M src/qli/lex.cpp
   M src/qli/qliswi.h
Minor enhancement - added switch to avoid hangs when running TCS

 2015-02-17 11:42  alexpeshkoff 
   M src/dsql/DsqlCursor.cpp
   M src/dsql/DsqlCursor.h
   M src/jrd/EngineInterface.h
   M src/jrd/jrd.cpp
Unlink JResultSet from DsqlCursor when cursor is closed due to end of transaction - this fixes AV in tcs/BLOB.0.DSQL

 2015-02-16 13:57  hvlad 
   M src/jrd/Attachment.cpp
   M src/jrd/Attachment.h
   M src/jrd/cch.cpp
   M src/jrd/jrd.cpp
   M src/jrd/vio.cpp
Memory leak (CORE-4683)

 2015-02-16 13:56  hvlad 
   M src/jrd/Database.cpp
   M src/jrd/tpc.cpp
Memory leak (CORE-4683)

 2015-02-16 13:54  hvlad 
   M src/auth/SecureRemotePassword/client/SrpClient.cpp
   M src/auth/SecureRemotePassword/server/SrpServer.cpp
Two small memory leaks (CORE-4683)

 2015-02-16 13:53  hvlad 
   M src/common/classes/alloc.cpp
   M src/common/classes/alloc.h
Correct accounting of mapped memory 

 2015-02-15 13:25  dimitr 
   M src/jrd/blb.h
Misc.

 2015-02-15 10:38  dimitr 
   M src/dsql/StmtNodes.cpp
Misc.

 2015-02-15 08:31  dimitr 
   M builds/win32/msvc10/srp.vcxproj
   M builds/win32/msvc12/srp.vcxproj
Postfixes for Windows builds.

 2015-02-14 18:55  asfernandes 
   M builds/posix/udr_plugin.vers
   M examples/interfaces/01.create.cpp
   M examples/interfaces/02.update.cpp
   M src/alice/main/aliceMain.cpp
   M src/burp/main/burpMain.cpp
   M src/common/isc.cpp
   M src/dsql/DsqlCursor.cpp
   M src/dsql/DsqlCursor.h
   M src/jrd/cch.cpp
   M src/jrd/jrd.cpp
   M src/lock/lock.cpp
   M src/lock/print.cpp
   M src/plugins/crypt/arc4/Arc4.cpp
   M src/plugins/udr_engine/UdrEngine.cpp
   M src/remote/remote.cpp
   M src/remote/remote.h
   M src/utilities/gsec/main/gsecMain.cpp
   M src/utilities/gstat/main/gstatMain.cpp
   M src/yvalve/DistributedTransaction.cpp
   M src/yvalve/DistributedTransaction.h
Misc.

 2015-02-13 13:46  hvlad 
   M builds/win32/msvc10/legacy_auth.vcxproj
   M builds/win32/msvc10/legacy_usermanager.vcxproj
   M builds/win32/msvc12/legacy_auth.vcxproj
   M builds/win32/msvc12/legacy_usermanager.vcxproj
This should fix msvc10 and msvc12 builds

 2015-02-12 15:50  egorpugin 
   M builds/cmake/BuildFunctions.cmake
   M src/CMakeLists.txt
[build] [cmake] Fix issue with PATH on linux.

 2015-02-11 17:00  egorpugin 
   M src/CMakeLists.txt
[build] [cmake] Fix Windows build.

 2015-02-11 16:31  alexpeshkoff 
   M src/common/os/os_utils.h
   M src/common/os/win32/os_utils.cpp
One more attempt to fix windows build

 2015-02-11 15:30  alexpeshkoff 
   M src/common/os/win32/os_utils.cpp
This should fix windows build

 2015-02-11 15:12  asfernandes 
   M examples/udr/Functions.cpp
   M examples/udr/Triggers.cpp
   M src/include/firebird/Interface.h
   M src/include/firebird/UdrCppEngine.h
   M src/jrd/ExtEngineManager.cpp
Move Helper class from UDR to the main interface header. Use proper (argh) ref. counting in the ExternalContext::get* methods.

 2015-02-11 15:11  asfernandes 
   M src/jrd/ibase.h
Increase FB_API_VER to 30.

 2015-02-11 10:19  alexpeshkoff 
   M src/jrd/ibsetjmp.h
Fixed posix build

 2015-02-11 09:20  dimitr 
   M src/jrd/cch.cpp
   M src/jrd/jrd.h
Change the status handling a little.

 2015-02-10 14:17  hvlad 
   M src/common/isc_s_proto.h
   M src/common/isc_sync.cpp
   M src/jrd/blob_filter.cpp
   M src/jrd/ibsetjmp.h
   M src/jrd/jrd.h
Fixed bug CORE-4688 : Recovery after stack overflow exception is not complete

 2015-02-10 13:32  alexpeshkoff 
   M examples/interfaces/01.create.cpp
   M examples/interfaces/02.update.cpp
   M examples/interfaces/03.select.cpp
   M examples/interfaces/04.print_table.cpp
   M examples/interfaces/ifaceExamples.h
Bring examples up-to-date, use ThrowStatusWrapper in them

 2015-02-09 14:39  asfernandes 
   M src/yvalve/why.cpp
Misc.

 2015-02-09 14:24  asfernandes 
   M src/yvalve/why.cpp
Fixed fb_get_database_handle and fb_get_transaction_handle.

 2015-02-09 14:08  alexpeshkoff 
   M src/common/classes/array.h
   M src/common/config/config.cpp
   M src/common/config/config.h
   M src/common/db_alias.cpp
   M src/common/db_alias.h
   M src/common/os/os_utils.h
   M src/common/os/posix/os_utils.cpp
   M src/common/os/win32/os_utils.cpp
   M src/jrd/Database.cpp
   M src/jrd/Database.h
   M src/jrd/jrd.cpp
   M src/jrd/os/pio_proto.h
   M src/jrd/os/posix/unix.cpp
   M src/jrd/os/win32/winnt.cpp
   M src/yvalve/why.cpp
Fixed CORE-4685: Accessing DB in invalid manner when links (hard or symbolic) are used for it

 2015-02-07 16:07  egorpugin 
   M CMakeLists.txt
   M src/common/classes/alloc.h
[build] [cmake] Add ICU setup section. Add clang ifdef.

 2015-02-07 14:57  alexpeshkoff 
   M src/gpre/obj_cxx.cpp
warnings

 2015-02-07 14:52  alexpeshkoff 
   M configure.ac
misc

 2015-02-07 12:57  alexpeshkoff 
   M src/alice/main/aliceMain.cpp
   M src/burp/main/burpMain.cpp
   M src/utilities/gsec/main/gsecMain.cpp
   M src/utilities/gstat/main/gstatMain.cpp
Use last chance to catch exceptions in utilities - sometimes it may be useful

 2015-02-07 10:57  dimitr 
   M src/dsql/DsqlCompilerScratch.cpp
Fixed CORE-4684: Error while preparing a complex query ("Too many Contexts of Relation/Procedure/Views. Maximum allowed is 256").

 2015-02-06 14:39  asfernandes 
   M lang_helpers/gds_codes.ftn
   M lang_helpers/gds_codes.pas
   M src/jrd/par.cpp
Warning.

 2015-02-06 14:28  egorpugin 
   M src/CMakeLists.txt
[build] [cmake] Add missed dependencies.

 2015-02-06 12:58  egorpugin 
   M CMakeLists.txt
   M builds/cmake/BuildFunctions.cmake
   M examples/CMakeLists.txt
   M src/CMakeLists.txt
[build] [cmake] Call custom commands via scripts.

 2015-02-05 23:04  hvlad 
   M src/jrd/recsrc/RecordSource.h
   M src/jrd/recsrc/SingularStream.cpp
It should fix regression CORE-4653 : Crash on infinite mutual SP calls (instead of "Too many concurrent executions of the same request.")

 2015-02-05 17:10  egorpugin 
   M CMakeLists.txt
   M examples/CMakeLists.txt
[build] [cmake] Bump minimal cmake version. Add missed dependency.

 2015-02-05 06:36  egorpugin 
   M CMakeLists.txt
   M builds/cmake/BuildFunctions.cmake
   M examples/CMakeLists.txt
   M src/CMakeLists.txt
   M src/utilities/CMakeLists.txt
[build] [cmake] Do not place boot targets into output directory.

 2015-02-04 14:03  hvlad 
   M builds/win32/msvc12/Firebird3.sln
   M builds/win32/msvc12/alice.vcxproj
   M builds/win32/msvc12/btyacc.vcxproj
   M builds/win32/msvc12/build_msg.vcxproj
   M builds/win32/msvc12/burp.vcxproj
   M builds/win32/msvc12/codes.vcxproj
   M builds/win32/msvc12/common.vcxproj
   M builds/win32/msvc12/empbuild.vcxproj
   M builds/win32/msvc12/engine.vcxproj
   M builds/win32/msvc12/engine.vcxproj.filters
   M builds/win32/msvc12/fb2control.vcxproj
   M builds/win32/msvc12/fb_lock_print.vcxproj
   M builds/win32/msvc12/fbguard.vcxproj
   M builds/win32/msvc12/fbrmclib.vcxproj
   M builds/win32/msvc12/fbserver.vcxproj
   M builds/win32/msvc12/fbsvcmgr.vcxproj
   M builds/win32/msvc12/fbtrace.vcxproj
   M builds/win32/msvc12/fbtracemgr.vcxproj
   M builds/win32/msvc12/fbudf.vcxproj
   M builds/win32/msvc12/gbak.vcxproj
   M builds/win32/msvc12/gfix.vcxproj
   M builds/win32/msvc12/gpre.vcxproj
   M builds/win32/msvc12/gpre_boot.vcxproj
   M builds/win32/msvc12/gpre_common.vcxproj
   M builds/win32/msvc12/gsec.vcxproj
   M builds/win32/msvc12/gsplit.vcxproj
   M builds/win32/msvc12/gstat.vcxproj
   M builds/win32/msvc12/ib_udf.vcxproj
   M builds/win32/msvc12/ib_util.vcxproj
   M builds/win32/msvc12/instclient.vcxproj
   M builds/win32/msvc12/instreg.vcxproj
   M builds/win32/msvc12/instsvc.vcxproj
   M builds/win32/msvc12/intl.vcxproj
   M builds/win32/msvc12/intlbuild.vcxproj
   M builds/win32/msvc12/isql.vcxproj
   M builds/win32/msvc12/legacy_auth.vcxproj
   M builds/win32/msvc12/legacy_usermanager.vcxproj
   M builds/win32/msvc12/nbackup.vcxproj
   M builds/win32/msvc12/qli.vcxproj
   M builds/win32/msvc12/remote.vcxproj
   M builds/win32/msvc12/srp.vcxproj
   M builds/win32/msvc12/udr_engine.vcxproj
   M builds/win32/msvc12/udr_engine.vcxproj.filters
   M builds/win32/msvc12/udrcpp_example.vcxproj
   M builds/win32/msvc12/udrcpp_example.vcxproj.filters
   M builds/win32/msvc12/yvalve.vcxproj
MSVC12 build system:
- use XP-compatible toolset for 32-bit builds
- set linker option "Subsystem" where it was missing
- misc

 2015-02-04 13:37  smirnoffjr 
   M src/common/isc_file.cpp
Small fix for generic UNIX Mnt::get() implementation

 2015-02-04 12:53  dimitr 
   M src/common/StatusArg.cpp
   M src/common/StatusArg.h
Misc improvements.

 2015-02-04 12:43  dimitr 
   M src/jrd/jrd.cpp
Cleanup and simplification.

 2015-02-04 11:51  hvlad 
   M builds/win32/msvc10/udr_engine.vcxproj
This should fix MSVC10 build

 2015-02-03 16:31  dimitr 
   M src/dsql/StmtNodes.cpp
   M src/jrd/exe.cpp
   M src/jrd/exe_proto.h
   M src/jrd/vio.cpp
Replace a verb-cleanup bugcheck with regular error + transaction invalidation.

 2015-02-03 16:16  dimitr 
   M src/include/gen/codetext.h
   M src/include/gen/iberror.h
   M src/include/gen/msgs.h
   M src/include/gen/sql_code.h
   M src/include/gen/sql_state.h
   M src/msgs/facilities2.sql
   M src/msgs/messages2.sql
   M src/msgs/system_errors2.sql
Added new error message.

 2015-02-03 16:12  dimitr 
   M src/common/StatusArg.cpp
   M src/common/StatusArg.h
Minor improvements to Arg::StatusVector.

 2015-02-03 14:56  asfernandes 
   M builds/posix/make.defaults
   D builds/posix/udr_engine.vers
   A builds/posix/udr_plugin.vers (from /firebird/trunk/builds/posix/udr_engine.vers:60611)
   D builds/win32/defs/udr_engine.def
   A builds/win32/defs/udr_plugin.def (from /firebird/trunk/builds/win32/defs/udr_engine.def:60611)
   M examples/CMakeLists.txt
   M examples/udr/Functions.cpp
   M src/include/firebird/UdrCppEngine.h
Fix Windows (cmake only) build. Linux build currently is not using udr_plugin.vers when linking examples/udr.

 2015-02-03 14:24  alexpeshkoff 
   M src/common/os/posix/os_utils.cpp
   M src/remote/inet.cpp
WIP on CORE-3885: Firebird for Android, AI_V4MAPPED flag not supported, now server startup succeeds

 2015-02-03 11:03  dimitr 
   M src/common/StatusArg.h
Fixed a mistake.

 2015-02-03 10:33  dimitr 
   M src/jrd/par.cpp
Small refactoring.

 2015-02-03 07:10  egorpugin 
   M CMakeLists.txt
   M builds/cmake/BuildFunctions.cmake
   M src/CMakeLists.txt
[build] [cmake] Add 'gfix -write async' command on databases during build. Fix clang+linux build.

 2015-02-03 06:48  dimitr 
   M src/jrd/par.cpp
Fixed one of my last commits, thanks to Adriano.

 2015-02-03 00:43  asfernandes 
   M src/jrd/SysFunction.cpp
   M src/jrd/pag.h
Warnings.

 2015-02-02 17:14  alexpeshkoff 
   M src/common/classes/TempFile.cpp
   M src/common/file_params.h
   M src/common/isc.cpp
   M src/include/cross/android.arme
WIP on CORE-3885: Firebird for Android, databases may be created, trivial requests run in embedded mode

 2015-02-02 15:25  alexpeshkoff 
   M src/common/classes/semaphore.cpp
WIP on CORE-3885: Firebird for Android, ignore pseudo-error caused by Google bug

 2015-02-02 09:27  dimitr 
   M src/jrd/idx.cpp
Fixed CORE-4075: Server bugchecks or crashes on exception in calculated index. First part of the fix.

 2015-02-02 08:53  dimitr 
   M src/jrd/par.cpp
Additional fix for CORE-4673: Computed index based on a computed column stores NULL for all its keys.

 2015-02-01 16:43  egorpugin 
   M examples/CMakeLists.txt
   M src/CMakeLists.txt
[build] [cmake] Move some projects to Boot folder. Improve generating of build_msg and codes. Fix Windows issue with databases.

 2015-01-31 15:04  egorpugin 
   M src/common/isc_file.cpp
[build] Fix OS X build: removed extra qualification on member Mnt().

 2015-01-30 20:23  egorpugin 
   M examples/CMakeLists.txt
   M src/CMakeLists.txt
   M src/remote/CMakeLists.txt
[build] [cmake] Make 'remote' and 'common' targets private for 'yvalve' target.

 2015-01-30 17:25  alexpeshkoff 
   M src/common/unicode_util.cpp
WIP on CORE-3885: Firebird for Android, fix ICU load

 2015-01-29 15:16  dimitr 
   M src/jrd/btr.cpp
Simplest possible fix for regression CORE-4673: Computed index based on a computed column stores NULL for all its keys.

 2015-01-29 10:47  dimitr 
   M src/dsql/StmtNodes.cpp
Removed the redundant code (accidental copy-paste remaining), thanks to Adriano.

 2015-01-29 10:26  dimitr 
   M src/dsql/StmtNodes.cpp
Fixed CORE-4675: Conditions like WHERE <field> = <cursor>.<field> don't use existing index.

 2015-01-29 07:10  egorpugin 
   M CMakeLists.txt
   M src/CMakeLists.txt
[build] [cmake] Extract ICU and zlib only once.

 2015-01-28 17:12  hvlad 
   M src/utilities/fbsvcmgr/fbsvcmgr.cpp
Correct use of CRT.

 2015-01-28 17:00  alexpeshkoff 
   M src/utilities/fbtracemgr/traceMgrMain.cpp
Fixed a bug introduced by me when working on CORE-3658 3 years ago

 2015-01-28 14:52  egorpugin 
   M src/CMakeLists.txt
[build] [cmake] Set engine12_common target's type to OBJECT (library).

 2015-01-28 09:01  dimitr 
   M src/jrd/jrd.cpp
Fixed my yesterday's commit (forgotten part).

 2015-01-28 08:15  dimitr 
   M src/jrd/EngineInterface.h
   M src/jrd/jrd.cpp
Fixed my yesterday's commit.

 2015-01-27 14:37  egorpugin 
   M CMakeLists.txt
   M builds/cmake/BuildFunctions.cmake
   M builds/cmake/Configure.cmake
   M src/CMakeLists.txt
   M src/include/gen/autoconfig.h.in
Improve Qt+MSVC build. Fix some messages. Crosscompiling improvements (add some defines).

 2015-01-27 10:46  alexpeshkoff 
   M builds/posix/Makefile.in
   M builds/posix/Makefile.in.plugins_examples
   M builds/posix/make.android.arme
   M builds/posix/make.defaults
   M builds/posix/make.rules
   M configure.ac
   M src/common/ThreadStart.cpp
   M src/common/ThreadStart.h
   M src/common/classes/init.cpp
   M src/include/cross/android.arme
   M src/remote/server/os/posix/inet_server.cpp
Work in progress on CORE-3885: Firebird for Android, build is complete

 2015-01-27 10:33  dimitr 
   M src/isql/isql.epp
Removed debugging option.

 2015-01-27 10:31  dimitr 
   M builds/win32/msvc10/engine.vcxproj
   M builds/win32/msvc12/engine.vcxproj
Fixed Windows builds.

 2015-01-27 10:29  dimitr 
   M src/auth/SecureRemotePassword/manage/SrpManagement.cpp
   A src/dsql/DsqlCursor.cpp
   A src/dsql/DsqlCursor.h
   M src/dsql/dsql.cpp
   M src/dsql/dsql.h
   M src/dsql/dsql_proto.h
   M src/gpre/obj_cxx.cpp
   M src/include/firebird/FirebirdInterface.idl
   M src/include/firebird/IdlFbInterfaces.h
   M src/isql/isql.epp
   M src/isql/show.epp
   M src/jrd/DbCreators.cpp
   M src/jrd/EngineInterface.h
   M src/jrd/Mapping.cpp
   M src/jrd/PreparedStatement.cpp
   M src/jrd/extds/InternalDS.cpp
   M src/jrd/jrd.cpp
   M src/jrd/tra.cpp
   M src/jrd/tra.h
   M src/jrd/tra_proto.h
   M src/remote/client/interface.cpp
   M src/remote/server/server.cpp
   M src/yvalve/YObjects.h
   M src/yvalve/utl.cpp
   M src/yvalve/why.cpp
Core (engine-level) support for scrollable DSQL cursors. Fixed the IResultSet API to match the JDBC spec. Renamed FB_EOF to FB_NO_DATA. Refactored some DSQL internals.

 2015-01-27 10:21  alexpeshkoff 
   M src/lock/lock_proto.h
cleanup

 2015-01-27 08:48  alexpeshkoff 
   M configure.ac
Fixed running thread specific tests

 2015-01-26 21:33  dimitr 
   M src/remote/client/interface.cpp
Attempted to fix the incorrect events wrapping, causing hangs/crashes and memory leaks.

 2015-01-26 19:20  egorpugin 
   M CMakeLists.txt
   M examples/CMakeLists.txt
   M src/CMakeLists.txt
   M src/utilities/CMakeLists.txt
[build] [cmake] Fix crosscompiling for android on linux.

 2015-01-26 15:23  egorpugin 
   M CMakeLists.txt
   M builds/cmake/BuildFunctions.cmake
   M examples/CMakeLists.txt
   M src/CMakeLists.txt
[build] [cmake] Update build according to the last changes.

 2015-01-26 15:00  hvlad 
   M builds/win32/defs/udr_engine.def
Fix Windows build

 2015-01-26 14:52  asfernandes 
   M builds/posix/Makefile.in.plugins_examples
   M builds/win32/msvc10/udrcpp_example.vcxproj
   M builds/win32/msvc10/udrcpp_example.vcxproj.filters
   M builds/win32/msvc12/udrcpp_example.vcxproj
   M builds/win32/msvc12/udrcpp_example.vcxproj.filters
   M builds/win32/msvc8/udrcpp_example.vcproj
   M builds/win32/msvc9/udrcpp_example.vcproj
   A examples/udr/Functions.cpp
   A examples/udr/Procedures.cpp
   A examples/udr/Triggers.cpp (from /firebird/trunk/examples/udr/UdrCppExample.cpp:60555)
   D examples/udr/UdrCppExample.cpp
   A examples/udr/UdrCppExample.h
Split the UDR examples in multiple files to demonstrate how it should be done.

 2015-01-26 14:39  dimitr 
   M src/jrd/fun.epp
This should fix the Windows build.

 2015-01-26 14:15  hvlad 
   M src/jrd/blb.cpp
   M src/jrd/blb.h
   M src/jrd/jrd.cpp
Improvement CORE-4671 : Release internal temporary blobs early to free some memory\disk space

 2015-01-26 10:51  dimitr 
   M src/jrd/fun.epp
Fixed CORE-4670: Constraint violation error may be swallowed in some cases.

 2015-01-26 07:56  egorpugin 
   M builds/cmake/Configure.cmake
   M examples/CMakeLists.txt
   M src/CMakeLists.txt
[build] [cmake] Fix build, typos. Move some projects to 'Boot' dir.

 2015-01-25 22:24  asfernandes 
   M src/include/firebird/IdlFbInterfaces.h
Fix.

 2015-01-25 20:27  asfernandes 
   M builds/posix/Makefile.in.plugins_examples
   M builds/win32/msvc10/udrcpp_example.vcxproj
   M builds/win32/msvc12/udrcpp_example.vcxproj
   M builds/win32/msvc9/Firebird3_Examples.sln
   M examples/udr/UdrCppExample.cpp
   M src/include/firebird/FirebirdInterface.idl
   M src/include/firebird/IdlFbInterfaces.h
   M src/include/firebird/Interface.h
   M src/include/firebird/UdrCppEngine.h
   D src/include/firebird/UdrEngine.h
   M src/plugins/udr_engine/UdrEngine.cpp
Improvements to the UDR plugin.

 2015-01-25 20:27  asfernandes 
   M src/common/classes/GenericMap.h
Make methods const.

 2015-01-24 11:49  hvlad 
   M src/jrd/cch.cpp
Frontportred fix for bug CORE-2848 : "lock conversion denied" or "lock denied" error

 2015-01-22 12:50  alexpeshkoff 
   M src/common/isc_file.cpp
Fixed static area corruption in ISC_expand_nfs, should fix CORE-4644: Get both "335545060 : Missing security context " and "335544344 : I/O error during "open" operation" for existing database under heavy concurrent DML

 2015-01-22 10:35  hvlad 
   M src/common/isc_s_proto.h
   M src/jrd/Mapping.cpp
   M src/jrd/Monitoring.cpp
   M src/jrd/Monitoring.h
   M src/jrd/event.cpp
   M src/jrd/event.h
   M src/jrd/trace/TraceConfigStorage.cpp
   M src/jrd/trace/TraceConfigStorage.h
   M src/jrd/trace/TraceLog.cpp
   M src/jrd/trace/TraceLog.h
   M src/lock/lock.cpp
   M src/lock/lock_proto.h
   M src/lock/print.cpp
Make shared memory header same size independent on OS. 
Introduce shared memory header version.

 2015-01-22 10:32  alexpeshkoff 
   M src/common/isc_file.cpp
Fixed CORE-4624: Firebird won't start under Docker

 2015-01-22 10:23  alexpeshkoff 
   M src/include/firebird/Interface.h
   M src/include/gen/msgs.h
   M src/msgs/messages2.sql
Enhance diags

 2015-01-21 11:21  egorpugin 
   A CMakeLists.txt
   A builds/cmake
   A builds/cmake/BuildFunctions.cmake
   A builds/cmake/Configure.cmake
   A builds/cmake/SourceGroups.cmake
   A examples/CMakeLists.txt
   A src/CMakeLists.txt
   A src/gpre/CMakeLists.txt
   A src/include/gen/autoconfig.h.in
   A src/remote/CMakeLists.txt
   A src/utilities/CMakeLists.txt
[build] [cmake] Initial CMake build system commit.

 2015-01-21 11:11  egorpugin 
   M configure.ac
   M src/common/common.h
   M src/common/isc_sync.cpp
   M src/jrd/license.h
   M src/jrd/recsrc/HashJoin.cpp
   M src/remote/inet.cpp
   M src/remote/protocol.h
   M src/remote/remote_def.h
   M src/utilities/ntrace/PluginLogWriter.cpp
[build] [cmake] Prepare sources for CMake building. Add clang preprocessor defs, ARM architecture defs, some Android-related defs. Add 'qsort_r' function search to configure.ac.

 2015-01-21 09:18  hvlad 
   M src/jrd/cch.cpp
Fixed my error at patch for CORE-4565. It was the reason of false "lock denied" errors.

 2015-01-20 18:59  dimitr 
   M src/common/isc_f_proto.h
   M src/common/isc_file.cpp
   M src/remote/client/interface.cpp
1) Make xnet://db connection strings useful with forward slashes
2) Unified port numbers / protocol names syntax (thus allowing custom ports in inet://host/db connection strings)

 2015-01-19 12:58  alexpeshkoff 
   M src/common/common.h
   M src/include/firebird/Interface.h
Public header cleanup

 2015-01-18 14:53  asfernandes 
   M examples/udr/UdrCppExample.cpp
   M src/include/firebird/Message.h
   M src/include/firebird/UdrCppEngine.h
Fixed problem of local templates being not allowed in pre-C++-11 code.

 2015-01-18 14:52  asfernandes 
   A src/include/iberror.h
Add iberror.h in the place so that external code may point to the development tree include files.

 2015-01-18 09:05  dimitr 
   M src/jrd/btr.cpp
   M src/jrd/err_proto.h
Better diagnostics.

 2015-01-17 18:05  dimitr 
   M src/jrd/jrd.h
Fixed CORE-4668: Select from mon$table_stats doesn`t work on SC and CS.

 2015-01-16 17:53  alexpeshkoff 
   M src/auth/SecureRemotePassword/client/SrpClient.cpp
   M src/auth/SecureRemotePassword/server/SrpServer.cpp
   M src/include/firebird/FirebirdInterface.idl
   M src/include/firebird/IdlFbInterfaces.h
   M src/include/firebird/Interface.h
   M src/plugins/crypt/arc4/Arc4.cpp
   M src/remote/client/interface.cpp
   M src/remote/remote.cpp
   M src/remote/remote.h
   M src/remote/server/server.cpp
   M src/yvalve/DistributedTransaction.cpp
   A src/yvalve/DistributedTransaction.h
   M src/yvalve/MasterImplementation.cpp
   M src/yvalve/MasterImplementation.h
   M src/yvalve/why.cpp
Avoid use of plain structures, missing in previous FB versions, in public API

 2015-01-16 15:12  asfernandes 
   M src/include/firebird/Interface.h
   M src/include/firebird/Message.h
Adjustments after fix and test of fbstuff repository.

 2015-01-15 14:55  asfernandes 
   M src/include/firebird/FirebirdInterface.idl
   M src/include/firebird/IdlFbInterfaces.h
   M src/include/firebird/Message.h
   M src/yvalve/YObjects.h
   M src/yvalve/utl.cpp
Added encode/decode date/time methods to IUtil interface.

 2015-01-15 01:17  asfernandes 
   M src/auth/AuthDbg.h
   M src/auth/SecurityDatabase/LegacyClient.h
   M src/auth/SecurityDatabase/LegacyManagement.epp
   M src/auth/SecurityDatabase/LegacyManagement.h
   M src/auth/SecurityDatabase/LegacyServer.cpp
   M src/auth/trusted/AuthSspi.h
   M src/common/Auth.h
   M src/common/MsgMetadata.h
   M src/common/classes/ImplementHelper.h
   M src/common/classes/TempFile.h
   M src/common/config/config.h
   M src/common/isc_sync.cpp
   M src/common/security.h
   M src/dsql/DdlNodes.epp
   M src/include/firebird/UdrEngine.h
   M src/isql/show.epp
   M src/jrd/Database.h
   M src/jrd/EngineInterface.h
   M src/jrd/ExtEngineManager.h
   M src/jrd/extds/InternalDS.cpp
   M src/jrd/jrd.cpp
   M src/jrd/trace/TraceConfigStorage.h
   M src/jrd/trace/TraceObjects.cpp
   M src/jrd/trace/TraceObjects.h
   M src/plugins/udr_engine/UdrEngine.cpp
   M src/remote/remote.h
   M src/utilities/gsec/gsec.cpp
   M src/utilities/ntrace/PluginLogWriter.h
   M src/utilities/ntrace/TracePluginImpl.h
   M src/utilities/ntrace/traceplugin.cpp
   M src/yvalve/MasterImplementation.cpp
   M src/yvalve/MasterImplementation.h
   M src/yvalve/PluginManager.cpp
   M src/yvalve/YObjects.h
   M src/yvalve/perf.cpp
   M src/yvalve/why.cpp
Misc.

 2015-01-15 01:16  asfernandes 
   M src/remote/inet.cpp
Warning.

 2015-01-15 01:16  asfernandes 
   M src/include/firebird/Interface.h
Implement FbException copying.

 2015-01-15 01:16  asfernandes 
   M examples/dbcrypt/CryptKeyHolder.cpp
   M examples/dbcrypt/DbCrypt.cpp
Remove old hacks.

 2015-01-14 14:43  asfernandes 
   M src/include/firebird/FirebirdInterface.idl
Correction.

 2015-01-14 14:38  asfernandes 
   M src/yvalve/MasterImplementation.cpp
   M src/yvalve/utl.cpp
   M src/yvalve/why.cpp
Misc.

 2015-01-14 14:21  asfernandes 
   M src/common/classes/ImplementHelper.h
   M src/gpre/boot/gpre_meta_boot.cpp
   M src/include/firebird/FirebirdInterface.idl
   M src/include/firebird/IdlFbInterfaces.h
   M src/isql/isql.epp
   M src/isql/show.epp
   M src/yvalve/MasterImplementation.cpp
   M src/yvalve/MasterImplementation.h
   M src/yvalve/YObjects.h
   M src/yvalve/perf.cpp
   M src/yvalve/utl.cpp
   M src/yvalve/why.cpp
Renamed "Utl" API to "Util".

 2015-01-13 14:43  asfernandes 
   M examples/udr/UdrCppExample.cpp
   M src/include/firebird/UdrCppEngine.h
   M src/plugins/udr_engine/UdrEngine.cpp
Make UDR StatusType customizable.

 2015-01-13 11:24  hvlad 
   M src/common/security.cpp
   M src/common/security.h
   M src/jrd/UserManagement.cpp
By Alex - fix for bug CORE-4659 : Error "Missing security context for .....\SECURITY3.FDB"

 2015-01-12 14:56  asfernandes 
   M src/include/firebird/FirebirdInterface.idl
   M src/include/firebird/IdlFbInterfaces.h
   M src/jrd/CryptoManager.cpp
   M src/yvalve/MasterImplementation.cpp
   M src/yvalve/MasterImplementation.h
Remove IMaster::same from the API.

 2015-01-12 11:28  dimitr 
   M src/jrd/Optimizer.cpp
Fixed CORE-4665: Wrong result when use "where <field_C> STARTING WITH <:value> ORDER BY <field_N>' and field_C is leading part of compound index key: { field_C, field_N }.

 2015-01-12 08:16  hvlad 
   M src/jrd/extds/InternalDS.cpp
Fixed build error

 2015-01-12 00:21  asfernandes 
   M examples/dbcrypt/CryptKeyHolder.cpp
   M examples/dbcrypt/DbCrypt.cpp
   M examples/udr/UdrCppExample.cpp
   M src/auth/AuthDbg.cpp
   M src/auth/AuthDbg.h
   M src/auth/SecureRemotePassword/Message.h
   M src/auth/SecureRemotePassword/client/SrpClient.cpp
   M src/auth/SecureRemotePassword/manage/SrpManagement.cpp
   M src/auth/SecureRemotePassword/server/SrpServer.cpp
   M src/auth/SecurityDatabase/LegacyClient.cpp
   M src/auth/SecurityDatabase/LegacyClient.h
   M src/auth/SecurityDatabase/LegacyManagement.epp
   M src/auth/SecurityDatabase/LegacyManagement.h
   M src/auth/SecurityDatabase/LegacyServer.cpp
   M src/auth/trusted/AuthSspi.cpp
   M src/auth/trusted/AuthSspi.h
   M src/common/Auth.cpp
   M src/common/Auth.h
   M src/common/MsgMetadata.cpp
   M src/common/MsgMetadata.h
   M src/common/StatusHolder.h
   M src/common/call_service.cpp
   M src/common/classes/GetPlugins.h
   M src/common/classes/ImplementHelper.cpp
   M src/common/classes/ImplementHelper.h
   M src/common/classes/TempFile.cpp
   M src/common/classes/TempFile.h
   M src/common/config/config.cpp
   M src/common/config/config.h
   M src/common/isc_sync.cpp
   M src/common/security.cpp
   M src/common/security.h
   M src/common/utils_proto.h
   M src/dsql/DdlNodes.epp
   M src/gpre/boot/gpre_meta_boot.cpp
   M src/gpre/obj_cxx.cpp
   M src/include/firebird/FirebirdInterface.idl
   M src/include/firebird/IdlFbInterfaces.h
   M src/include/firebird/Interface.h
   M src/include/firebird/Message.h
   M src/include/firebird/UdrCppEngine.h
   M src/include/firebird/UdrEngine.h
   M src/isql/isql.epp
   M src/isql/show.epp
   M src/jrd/Attachment.h
   M src/jrd/Database.h
   M src/jrd/EngineInterface.h
   M src/jrd/ExtEngineManager.cpp
   M src/jrd/ExtEngineManager.h
   M src/jrd/UserManagement.cpp
   M src/jrd/extds/InternalDS.cpp
   M src/jrd/jrd.cpp
   M src/jrd/jrd.h
   M src/jrd/trace/TraceConfigStorage.h
   M src/jrd/trace/TraceObjects.cpp
   M src/jrd/trace/TraceObjects.h
   M src/plugins/crypt/arc4/Arc4.cpp
   M src/plugins/udr_engine/UdrEngine.cpp
   M src/remote/client/interface.cpp
   M src/remote/inet.cpp
   M src/remote/remote.cpp
   M src/remote/remote.h
   M src/remote/server/server.cpp
   M src/utilities/gsec/gsec.cpp
   M src/utilities/ntrace/PluginLogWriter.h
   M src/utilities/ntrace/TracePluginImpl.h
   M src/utilities/ntrace/traceplugin.cpp
   M src/yvalve/DistributedTransaction.cpp
   M src/yvalve/MasterImplementation.cpp
   M src/yvalve/MasterImplementation.h
   M src/yvalve/PluginManager.cpp
   M src/yvalve/PluginManager.h
   M src/yvalve/YObjects.h
   M src/yvalve/alt.cpp
   M src/yvalve/perf.cpp
   M src/yvalve/prepa_proto.h
   M src/yvalve/preparse.cpp
   M src/yvalve/utl.cpp
   M src/yvalve/why.cpp
Make the API usable with different type of IStatus classes, throwing (what class?) or not throwing. Builtin are CheckStatusWrapper (no throw) and ThrowStatusWrapper (throws FbException).

 2015-01-12 00:21  asfernandes 
   M src/jrd/vio.cpp
Correction.

 2015-01-12 00:04  asfernandes 
   M src/gpre/cmp.cpp
   M src/gpre/languages/cob.cpp
   M src/jrd/UserManagement.cpp
   M src/jrd/vio.cpp
   M src/remote/parser.cpp
Misc.

 2015-01-12 00:03  asfernandes 
   M src/common/IntlParametersBlock.cpp
Correction.

 2015-01-08 14:14  alexpeshkoff 
   M doc/README.services_extension
Doc for CORE-4662: Make services API pass SQL role to server.

 2015-01-08 14:03  alexpeshkoff 
   M src/alice/alice.cpp
   M src/alice/alice.h
   M src/alice/aliceswi.h
   M src/alice/exe.cpp
   M src/alice/tdr.cpp
   M src/burp/restore.epp
   M src/jrd/svc.cpp
   M src/jrd/svc.h
   M src/msgs/facilities2.sql
   M src/msgs/messages2.sql
   M src/utilities/fbsvcmgr/fbsvcmgr.cpp
   M src/utilities/gstat/dba.epp
   M src/utilities/gstat/dbaswi.h
   M src/utilities/nbackup/nbackup.cpp
   M src/utilities/nbackup/nbkswi.h
Fixed CORE-4662: Make services API pass SQL role to server. Also added switch -role to some utilities that missed it.

 2015-01-06 22:40  asfernandes 
   M src/dsql/StmtNodes.cpp
Fixed problem with subfunction parameters related to CORE-4572.

 2015-01-06 22:40  asfernandes 
   M src/dsql/DdlNodes.epp
Fixed problem introduced by fix of CORE-4280.

 2015-01-05 16:08  dimitr 
   M src/remote/client/interface.cpp
   M src/remote/parse_proto.h
   M src/remote/parser.cpp
   M src/remote/protocol.cpp
Slightly refactored the BLR parser routines to avoid crazy error reporting and protect against NULL pointer dereference. The error handling still sucks, but it was the case before me ;-)

 2014-12-30 15:18  alexpeshkoff 
   M src/common/IntlParametersBlock.cpp
   M src/common/IntlParametersBlock.h
Fixed CORE-4610: Add a tag name to diagnostics when trasliteration errors in Parameter Block values occur

 2014-12-30 08:17  starodubov 
   M src/jrd/vio.cpp
Fixed CORE-4656: Server could hang during chasing dead record version

 2014-12-29 21:15  dimitr 
   M src/jrd/RecordNumber.h
   M src/jrd/dpm.epp
   M src/utilities/gstat/dba.epp
Type correctness (mostly signed->unsigned adjustments).

 2014-12-29 18:04  alexpeshkoff 
   M src/yvalve/why.cpp
Fixed my severe bug in one of previous commits

 2014-12-29 17:40  dimitr 
   M src/jrd/RecordNumber.h
   M src/jrd/Relation.h
   M src/jrd/dpm.epp
   M src/utilities/gstat/dba.epp
This commit is expected to fix CORE-4384: Problems when a table grows beyond 65535 pointer pages. Testing would be appreciated.

 2014-12-29 16:39  alexpeshkoff 
   M builds/install/misc/firebird.conf.in
Completed fix for CORE-4605: Rename CryptPlugin parameter in config file

 2014-12-29 16:15  alexpeshkoff 
   M src/remote/SockAddr.h
   M src/remote/inet.cpp
Cleanup - remove debris of pre-firebird authentication

 2014-12-29 15:48  dimitr 
   M src/remote/server/server.cpp
Cleanup.

 2014-12-29 15:45  dimitr 
   M src/dsql/dsql.cpp
   M src/remote/server/server.cpp
Cleaned up the API from the legacy crap (fortunately, not needed these days).

 2014-12-29 12:00  starodubov 
   M src/jrd/trace/TraceObjects.h
   M src/yvalve/YObjects.h
   M src/yvalve/why.cpp
Revert fix for CORE-4654, because it depends on unsupported compiler

 2014-12-29 11:08  starodubov 
   M builds/win32/msvc8/common.vcproj
   M builds/win32/msvc8/firebird2.vsprops
   M builds/win32/msvc8/gpre_common.vcproj
   M builds/win32/msvc9/common.vcproj
   M builds/win32/msvc9/engine.vcproj
   M builds/win32/msvc9/firebird2.vsprops
   M builds/win32/msvc9/gpre_common.vcproj
Fixed builds for msvc8 and msvc9 (CORE-4655)

 2014-12-29 10:56  starodubov 
   M src/jrd/trace/TraceObjects.h
   M src/yvalve/YObjects.h
   M src/yvalve/why.cpp
Fixed POSIX build (CORE-4654)

 2014-12-26 15:32  alexpeshkoff 
   M src/auth/SecurityDatabase/LegacyManagement.epp
Fixed CORE-4652: Legacy user manager ignores explicitly set SQL role

 2014-12-26 15:04  alexpeshkoff 
   M src/isql/show.epp
Skip system attachmnets in SHOW USERS

 2014-12-26 14:10  alexpeshkoff 
   M doc/sql.extensions/README.ddl.txt
   M src/dsql/parse.y
   M src/isql/isql.epp
   M src/jrd/DbCreators.cpp
   M src/jrd/DbCreators.h
   M src/jrd/jrd.cpp
   M src/yvalve/preparse.cpp
Fixed CORE-4651: CREATE DATABASE fails for the user having RDB$ADMIN rights in security database

 2014-12-24 15:23  alexpeshkoff 
   M doc/sql.extensions/README.user_management
Documentation changes for CORE-4607: Add support for having >1 UserManager in firebird.conf and use them from SQL

 2014-12-24 14:50  alexpeshkoff 
   M src/common/classes/fb_string.h
   M src/common/security.cpp
   M src/common/security.h
   M src/dsql/DdlNodes.epp
   M src/dsql/DdlNodes.h
   M src/dsql/parse.y
   M src/include/gen/ids.h
   M src/jrd/UserManagement.cpp
   M src/jrd/UserManagement.h
   M src/jrd/fields.h
   M src/jrd/names.h
   M src/jrd/relations.h
   M src/yvalve/PluginManager.cpp
Implemented CORE-4607: Add support for having >1 UserManager in firebird.conf and use them from SQL

 2014-12-22 16:19  alexpeshkoff 
   M src/auth/SecurityDatabase/LegacyServer.cpp
Fixed CORE-4646: Attach failure when using LegacyAuth on server and default configuration on client

 2014-12-22 14:41  hvlad 
   M src/include/firebird/IdlFbInterfaces.h
Fixed compilation errors

 2014-12-22 09:47  hvlad 
   M src/common/classes/init.cpp
Fixed Windows build

 2014-12-22 09:45  hvlad 
   M src/gpre/languages/ada.cpp
   M src/gpre/languages/cob.cpp
   M src/gpre/languages/ftn.cpp
   M src/gpre/languages/rmc.cpp
Fix compilation errors

 2014-12-22 09:17  alexpeshkoff 
   M src/jrd/jrd.cpp
Added forgotten security check - thanks to Adriano

 2014-12-22 08:51  dimitr 
   M src/remote/inet.cpp
   M src/remote/server/os/win32/srvr_w32.cpp
Patches by Alexey Pavlov.

 2014-12-21 19:30  dimitr 
   M src/jrd/RecordSourceNodes.cpp
   M src/jrd/opt.cpp
   M src/jrd/opt_proto.h
Correction for the prior commit.

 2014-12-21 19:16  dimitr 
   M src/jrd/Optimizer.cpp
   M src/jrd/Optimizer.h
   M src/jrd/RecordSourceNodes.cpp
   M src/jrd/opt.cpp
   M src/jrd/opt_proto.h
Small refactoring.

 2014-12-21 13:45  dimitr 
   M src/gpre/c_cxx.cpp
   M src/gpre/cme.cpp
   M src/gpre/cmp.cpp
   M src/gpre/gpre.h
   M src/gpre/hsh.h
   M src/gpre/languages/ada.cpp
   M src/gpre/languages/cob.cpp
   M src/gpre/languages/ftn.cpp
   M src/gpre/languages/pas.cpp
   M src/gpre/languages/rmc.cpp
   M src/gpre/msc.cpp
   M src/gpre/msc_proto.h
   M src/gpre/par.cpp
   M src/gpre/sqe.cpp
   M src/gpre/sqe_proto.h
   M src/gpre/sql.cpp
   M src/gpre/words.h
Front-ported CORE-4437 and CORE-4438.

 2014-12-21 01:54  asfernandes 
   M src/common/os/os_utils.h
   M src/common/os/posix/os_utils.cpp
   M src/common/os/win32/os_utils.cpp
   M src/jrd/dfw.epp
   M src/remote/remote.h
Misc.

 2014-12-19 15:43  alexpeshkoff 
   M src/common/classes/init.cpp
Fixed CORE-3632: Crash after calling fork in a process, using embedded firebird library

 2014-12-19 15:28  asfernandes 
   M src/yvalve/gds.cpp
Warnings.

 2014-12-19 15:24  asfernandes 
   M examples/dbcrypt/CryptApplication.cpp
   M examples/dbcrypt/CryptKeyHolder.cpp
   M examples/dbcrypt/DbCrypt.cpp
   M examples/interfaces/ifaceExamples.h
   M src/auth/AuthDbg.h
   M src/auth/SecureRemotePassword/client/SrpClient.cpp
   M src/auth/SecureRemotePassword/manage/SrpManagement.cpp
   M src/auth/SecureRemotePassword/server/SrpServer.cpp
   M src/auth/SecurityDatabase/LegacyClient.h
   M src/auth/SecurityDatabase/LegacyManagement.h
   M src/auth/SecurityDatabase/LegacyServer.cpp
   M src/auth/trusted/AuthSspi.h
   M src/common/Auth.h
   M src/common/MsgMetadata.h
   M src/common/StatusHolder.h
   M src/common/classes/ImplementHelper.h
   M src/common/config/config.h
   M src/common/isc_sync.cpp
   M src/common/security.h
   M src/gpre/boot/gpre_meta_boot.cpp
   M src/include/firebird/IdlFbInterfaces.h
   M src/include/firebird/Interface.h
   M src/include/firebird/Message.h
   M src/include/firebird/UdrCppEngine.h
   M src/include/firebird/UdrEngine.h
   M src/include/gen/ids.h
   M src/isql/show.epp
   M src/jrd/Database.h
   M src/jrd/EngineInterface.h
   M src/jrd/ExtEngineManager.h
   M src/jrd/UserManagement.cpp
   M src/jrd/jrd.cpp
   M src/jrd/trace/TraceConfigStorage.h
   M src/jrd/trace/TraceObjects.cpp
   M src/jrd/trace/TraceObjects.h
   M src/plugins/crypt/arc4/Arc4.cpp
   M src/plugins/udr_engine/UdrEngine.cpp
   M src/remote/client/interface.cpp
   M src/remote/remote.h
   M src/remote/server/server.cpp
   M src/utilities/gsec/gsec.cpp
   M src/utilities/ntrace/PluginLogWriter.h
   M src/utilities/ntrace/TracePluginImpl.h
   M src/utilities/ntrace/traceplugin.cpp
   M src/yvalve/DistributedTransaction.cpp
   M src/yvalve/MasterImplementation.cpp
   M src/yvalve/MasterImplementation.h
   M src/yvalve/PluginManager.cpp
   M src/yvalve/PluginManager.h
   M src/yvalve/YObjects.h
   M src/yvalve/utl.cpp
   M src/yvalve/why.cpp
Generate interfaces with I-prefix.

 2014-12-19 08:52  dimitr 
   M src/gpre/languages/fbrmclib.cpp
Applied patch by Alexey Pavlov.

 2014-12-18 17:54  dimitr 
   M src/isql/isql.epp
Simplified code and attempted a second-time solution for CORE-4259.

 2014-12-18 16:54  alexpeshkoff 
   M examples/interfaces/01.create.cpp
   M examples/interfaces/02.update.cpp
   M examples/interfaces/03.select.cpp
   M examples/interfaces/04.print_table.cpp
   A examples/interfaces/ifaceExamples.h
   M src/include/firebird/FirebirdInterface.idl
   M src/include/firebird/IdlFbInterfaces.h
   M src/include/firebird/Interface.h
   M src/include/firebird/Message.h
   M src/include/firebird/UdrEngine.h
   M src/yvalve/DistributedTransaction.cpp
   M src/yvalve/MasterImplementation.h
   M src/yvalve/PluginManager.cpp
   M src/yvalve/why.cpp
Changed struct DtcStart to interface. Make external programs build again with minimum changes.

 2014-12-18 16:23  alexpeshkoff 
   M src/common/classes/SafeArg.h
   M src/common/classes/array.h
   M src/common/classes/fb_string.h
   M src/common/classes/objects_array.h
   M src/common/classes/stack.h
   M src/common/classes/vector.h
getCount() in FB classes never throws exceptions

 2014-12-18 16:20  alexpeshkoff 
   M builds/posix/prefix.linux_amd64
Avoid annoying warning in remote.h

 2014-12-18 10:58  hvlad 
   M src/auth/trusted/AuthSspi.cpp
Patch for mingw by Alexey Pavlov : Don't use hack for mingw-w64

 2014-12-18 10:56  hvlad 
   M src/common/common.h
Patch for mingw by Alexey Pavlov : Mingw also have posix threads library so to resolve conflict we need guard using posix threads for Windows.

 2014-12-18 10:48  hvlad 
   M src/common/classes/locks.cpp
   M src/common/os/win32/guid.cpp
Patch for mingw by Alexey Pavlov : Mingw compilers don't support Win98

 2014-12-18 10:38  hvlad 
   M src/common/classes/locks.cpp
   M src/common/classes/locks.h
Patch for mingw by Alexey Pavlov : Fix using function pointer.
See also CORE-4619

 2014-12-18 10:20  alexpeshkoff 
   M src/yvalve/gds.cpp
   M src/yvalve/gds_proto.h
Patch from Alexey - marked unused function as NOT_USED_OR_REPLACED

 2014-12-18 07:24  hvlad 
   M src/common/os/os_utils.h
   M src/common/os/win32/os_utils.cpp
   M src/remote/inet.cpp
   M src/remote/remote.h
Fix Windows build

 2014-12-17 14:31  alexpeshkoff 
   M configure.ac
   M src/burp/burp.cpp
   M src/burp/mvol.cpp
   M src/burp/split/spit.cpp
   M src/common/classes/TempFile.cpp
   M src/common/classes/alloc.cpp
   M src/common/config/config_file.cpp
   M src/common/isc_file.cpp
   M src/common/os/os_utils.h
   M src/common/os/posix/divorce.cpp
   M src/common/os/posix/guid.cpp
   M src/common/os/posix/os_utils.cpp
   M src/common/os/win32/os_utils.cpp
   M src/common/utils.cpp
   M src/jrd/Optimizer.cpp
   M src/jrd/ext.cpp
   M src/jrd/jrd.cpp
   M src/jrd/opt.cpp
   M src/jrd/os/posix/unix.cpp
   M src/jrd/svc.cpp
   M src/jrd/trace/TraceConfigStorage.cpp
   M src/lock/lock.cpp
   M src/remote/SockAddr.h
   M src/remote/inet.cpp
   M src/remote/remote.h
   M src/remote/server/os/posix/inet_server.cpp
   M src/remote/server/os/win32/srvr_w32.cpp
   M src/remote/server/server.cpp
   M src/utilities/analyse.cpp
   M src/utilities/gstat/dba.epp
   M src/utilities/nbackup/nbackup.cpp
   M src/yvalve/gds.cpp
   M src/yvalve/utl.cpp
Work in progress on CORE-3632: make all file descriptors, opened by firebird, close on exec()

 2014-12-17 11:56  dimitr 
   M src/dsql/DdlNodes.epp
Fixed CORE-4622: Regression: Trigger with UPDATE OR INSERT statement and IIF() not working as expected.

 2014-12-17 10:38  dimitr 
   M src/dsql/ExprNodes.cpp
   M src/dsql/ExprNodes.h
   M src/dsql/StmtNodes.cpp
   M src/dsql/parse.y
Fixed CORE-4161: User can not insert records into table with column "generated by default as identity" in its DDL.

 2014-12-17 10:01  dimitr 
   M src/dsql/DdlNodes.epp
Fixed CORE-4280: FB3: Stored function accepts duplicate input arguments.

 2014-12-17 07:41  dimitr 
   M src/jrd/met.epp
Fixed CORE-4472: Message "Modifying function <F> which is currently in use" when running script with AUTODDL=OFF and <F> is called from INTERNAL function declared in other unit.

 2014-12-16 19:12  dimitr 
   M lang_helpers/gds_codes.ftn
   M lang_helpers/gds_codes.pas
   M src/dsql/ExprNodes.cpp
   M src/dsql/StmtNodes.cpp
   M src/dsql/dsql.h
   M src/dsql/metd.epp
   M src/include/gen/codetext.h
   M src/include/gen/iberror.h
   M src/include/gen/msgs.h
   M src/include/gen/sql_code.h
   M src/include/gen/sql_state.h
   M src/msgs/facilities2.sql
   M src/msgs/messages2.sql
   M src/msgs/system_errors2.sql
Fixed CORE-4572: Incorrect error for PSQL function when the number of actual arguments does not match the number of formal arguments.

 2014-12-16 17:33  dimitr 
   M src/dsql/parse.y
Fixed one more regression with explicit plans -- parser error for multiple entries inside the INDEX clause, e.g. SELECT * FROM T WHERE F1 = 0 AND F2 = 0 PLAN (T INDEX (IDX_F1, IDX_F2)).

 2014-12-16 17:29  dimitr 
   M src/dsql/gen.cpp
Simplification.

 2014-12-16 17:28  dimitr 
   M src/dsql/parse.y
Fixed CORE-4539: Server does not accept the right plan.

 2014-12-16 14:39  alexpeshkoff 
   M src/alice/aliceswi.h
   M src/alice/exe.cpp
   M src/include/consts_pub.h
   M src/jrd/dfw.epp
   M src/jrd/dfw_proto.h
   M src/jrd/jrd.cpp
   M src/utilities/fbsvcmgr/fbsvcmgr.cpp
Fixed CORE-4571: Can't select from table with ICU column when database (.FDB) is created on LINUX with icu 4.2.1 and then copied to WINDOWS

 2014-12-16 11:40  dimitr 
   M src/jrd/Optimizer.cpp
Postfix for CORE-1550: Unnecessary index scan happens when the same index is mapped to both WHERE and ORDER BY clauses.

 2014-12-16 10:30  dimitr 
   M src/remote/server/os/posix/inet_server.cpp
This should fix CORE-4639: Linux server may reject connections with a transliteration error.

 2014-12-16 05:02  mapopa 
   M src/common/sha.cpp
Page url changed , use archive.org url 

 2014-12-16 04:41  mapopa 
   M src/include/types_pub.h
16-bit platforms not supported

 2014-12-13 08:55  hvlad 
   M src/jrd/GarbageCollector.cpp
Fixed bug, noted by Claudio in fb-devel

 2014-12-12 18:28  alexpeshkoff 
   M src/msgs/facilities2.sql
   M src/msgs/messages2.sql
Message for new gfix version

 2014-12-09 11:13  firebirds 
   M mkChangeLog.sh
Make it work faster

 2014-12-08 16:58  mapopa 
   M builds/posix/prefix.mingw
Remove hardcoded march to allow 64-bit builds

 2014-12-08 16:35  mapopa 
   M builds/posix/prefix.mingw
   M configure.ac
   M extern/libtommath/makefile.cygwin_dll
Remove deprecated GCC flag -mno-cygwin .

 2014-12-08 13:12  dimitr 
   M src/jrd/opt.cpp
Fixed CORE-4634: ORDER BY via an index + WHERE clause: error "no current record for fetch operation".

 2014-12-04 18:24  dimitr 
   M src/remote/client/interface.cpp
Fixed missing initialization of the output variable in the case of FB_EOF.

 2014-12-03 14:27  alexpeshkoff 
   M src/remote/client/interface.cpp
   M src/remote/remot_proto.h
   M src/remote/remote.cpp
Fixed CORE-4471: Legacy_Auth plugin does not connect from FB3 to FB2.5 server when tried after Win_Sspi

 2014-12-03 14:19  alexpeshkoff 
   M src/include/firebird/Interface.h
Misc

 2014-12-02 20:37  dimitr 
   M src/common/StatusArg.cpp
   M src/common/StatusArg.h
Forgotten commit.

 2014-12-02 20:14  dimitr 
   M src/lock/lock.cpp
Fixed CORE-4631: Lock manager "out of room" error hides the real cause of this problem.

 2014-12-01 21:53  dimitr 
   M src/dsql/StmtNodes.cpp
   M src/jrd/JrdStatement.cpp
   M src/jrd/exe.h
   M src/jrd/recsrc/BufferedStream.cpp
   M src/jrd/recsrc/RecordSource.cpp
   M src/jrd/recsrc/SortedStream.cpp
   M src/jrd/req.h
   M src/jrd/rpb_chain.cpp
   M src/jrd/vio.cpp
Refactored the RPB flags. The new logic also provides a second-level protection against CORE-4618.

 2014-12-01 13:38  dimitr 
   M src/misc/writeBuildNum.sh
Updated the version info.

 2014-12-01 09:45  alexpeshkoff 
   M src/isql/show.epp
Fixed CORE-4503: ISQL command SHOW USERS display only me

 2014-12-01 09:04  hvlad 
   M builds/win32/make_boot.bat
   M builds/win32/msvc10/firebird2.props
   M builds/win32/msvc12/firebird2.props
   M src/include/gen/autoconfig_msvc.h
   M src/remote/remote.cpp
Support for zlib on Windows

 2014-12-01 09:03  hvlad 
   A extern/zlib
   A extern/zlib/Readme.txt
   A extern/zlib/zlib.exe
Add pre-built zlib library

 2014-11-30 21:09  asfernandes 
   M src/common/os/win32/os_utils.cpp
   M src/dsql/parse.y
   M src/jrd/dpm.epp
   M src/jrd/flu.cpp
   M src/remote/inet.cpp
   M src/remote/remote.cpp
Misc.

 2014-11-30 16:00  dimitr 
   M src/jrd/vio.cpp
Simplest possible fix for CORE-4618: Rollback doesn`t undo changes when MERGE statement updates the same target rows multiple times and PLAN MERGE is used. An alternative solution is being considered.

 2014-11-29 15:39  mrotteveel 
   A doc/sql.extensions/README.offset_fetch.txt
   M doc/sql.extensions/README.rows
   M src/dsql/parse.y
   M src/include/gen/msgs.h
   M src/msgs/messages2.sql
   M src/yvalve/keywords.cpp
CORE-4526 Support for SQL:2008 OFFSET and FETCH clauses

 2014-11-28 13:46  alexpeshkoff 
   M src/remote/inet.cpp
   M src/remote/remote.cpp
   M src/remote/remote.h
Establish uncompressed connection in case of missing zlib

 2014-11-28 11:58  alexpeshkoff 
   M src/remote/remote.cpp
   M src/remote/remote.h
   M src/remote/server/server.cpp
Misc encryption enhancements

 2014-11-27 13:51  alexpeshkoff 
   A doc/README.wire.compression.html
   M src/remote/client/interface.cpp
   M src/remote/remote.cpp
   M src/remote/remote.h
   M src/remote/server/server.cpp
Make zlib allocate memory from our pool
Add Z flag in protocol version for compressed connections
Documentation

 2014-11-27 08:15  hvlad 
   M src/remote/remote.cpp
Fix build errors when WIRE_COMPRESS_SUPPORT not defined

 2014-11-26 17:43  alexpeshkoff 
   M configure.ac
   M src/common/os/posix/mod_loader.cpp
   M src/jrd/flu.cpp
   M src/remote/remote.cpp
   M src/remote/remote.h
Load zlib dynamically to make it possible for the client to run without it
Added configure switch to turn off build with compression
Cleanup zlib streams to avoid memory leak
Use SHRLIB_EXT instead explicit "so"

 2014-11-26 10:20  alexpeshkoff 
   M src/remote/client/interface.cpp
   M src/remote/server/server.cpp
Remove unneeded any more assert, causing problems for a build w/o compression

 2014-11-26 10:01  alexpeshkoff 
   M builds/posix/make.shared.variables
Fixed posix build

 2014-11-26 09:45  hvlad 
   M builds/win32/msvc10/common.vcxproj
   M builds/win32/msvc10/common.vcxproj.filters
   M builds/win32/msvc10/yvalve.vcxproj
   M builds/win32/msvc10/yvalve.vcxproj.filters
   M builds/win32/msvc12/common.vcxproj
   M builds/win32/msvc12/common.vcxproj.filters
   M builds/win32/msvc12/yvalve.vcxproj
   M builds/win32/msvc12/yvalve.vcxproj.filters
   M src/common/config/config.cpp
   D src/common/config/os
   M src/include/firebird/FirebirdInterface.idl
   M src/include/firebird/IdlFbInterfaces.h
   M src/jrd/trace/TraceConfigStorage.cpp
   M src/jrd/trace/TraceObjects.cpp
   M src/yvalve/PluginManager.cpp
   A src/yvalve/config
   A src/yvalve/config/os (from /firebird/trunk/src/common/config/os:60291)
   M src/yvalve/config/os/darwin/config_root.cpp
   M src/yvalve/config/os/posix/config_root.cpp
   M src/yvalve/config/os/win32/config_root.cpp
Move ConfigRoot from common to the yvalve. Add its methods to the public interface ConfigManager.
Now all plug-ins have the same root\install folders.
It should fix CORE-4581 and related issues.
MSVC10 and MSVC12 builds are updated, Posix and Darwin builds will follow.

 2014-11-25 15:02  asfernandes 
   M src/dsql/ddl.cpp
Fixed CORE-4623 - SP "Domain" and "Type Of" based variables referring BLOB with sub_type < 0 no longer work.

 2014-11-25 13:24  alexpeshkoff 
   M builds/install/misc/firebird.conf.in
   M configure.ac
   M src/common/config/config.cpp
   M src/common/config/config.h
   M src/remote/client/interface.cpp
   M src/remote/inet.cpp
   M src/remote/protocol.h
   M src/remote/remot_proto.h
   M src/remote/remote.cpp
   M src/remote/remote.h
   M src/remote/server/server.cpp
Implemented CORE-733: Compress Data over the Network

 2014-11-24 16:01  mkubecek 
   M configure.ac
Fix libdir on s390x (S/390-64) Linux

 2014-11-22 10:42  hvlad 
   M src/common/os/os_utils.h
   M src/common/os/posix/os_utils.cpp
   M src/common/os/win32/os_utils.cpp
   M src/remote/inet.cpp
Add check if IPv6 is supported by OS. 
Windows implementation is complete, while POSIX implementation should be reviewed and fixed if necessary.

 2014-11-21 14:22  mapopa 
   M configure.ac
Pthread cflags already set

 2014-11-21 12:23  hvlad 
   M src/jrd/dpm.epp
Small optimization by Dimitry Sibiryakov: 
set ppg_min_space to the next really non-full slot when current ppg_min_space slot is marked as full.

 2014-11-20 21:16  mkubecek 
   M src/remote/inet.cpp
Fix MSVC build (it does not define EAI_ADDRFAMILY)

 2014-11-20 09:41  mkubecek 
   M src/remote/inet.cpp
Fix server address resolution on systems with IPv6 support missing or disabled

 2014-11-17 22:32  hvlad 
   A builds/win32/msvc12
   A builds/win32/msvc12/DllNoEmbedManifest.props
   A builds/win32/msvc12/Firebird3.sln
   A builds/win32/msvc12/Firebird3Boot.sln
   A builds/win32/msvc12/Firebird3_Examples.sln
   A builds/win32/msvc12/alice.vcxproj
   A builds/win32/msvc12/alice.vcxproj.filters
   A builds/win32/msvc12/btyacc.vcxproj
   A builds/win32/msvc12/btyacc.vcxproj.filters
   A builds/win32/msvc12/build_msg.vcxproj
   A builds/win32/msvc12/build_msg.vcxproj.filters
   A builds/win32/msvc12/burp.vcxproj
   A builds/win32/msvc12/burp.vcxproj.filters
   A builds/win32/msvc12/codes.vcxproj
   A builds/win32/msvc12/codes.vcxproj.filters
   A builds/win32/msvc12/common.vcxproj
   A builds/win32/msvc12/common.vcxproj.filters
   A builds/win32/msvc12/empbuild.vcxproj
   A builds/win32/msvc12/empbuild.vcxproj.filters
   A builds/win32/msvc12/engine.vcxproj
   A builds/win32/msvc12/engine.vcxproj.filters
   A builds/win32/msvc12/fb2control.vcxproj
   A builds/win32/msvc12/fb2control.vcxproj.filters
   A builds/win32/msvc12/fb_lock_print.vcxproj
   A builds/win32/msvc12/fb_lock_print.vcxproj.filters
   A builds/win32/msvc12/fbguard.vcxproj
   A builds/win32/msvc12/fbguard.vcxproj.filters
   A builds/win32/msvc12/fbrmclib.vcxproj
   A builds/win32/msvc12/fbrmclib.vcxproj.filters
   A builds/win32/msvc12/fbserver.vcxproj
   A builds/win32/msvc12/fbserver.vcxproj.filters
   A builds/win32/msvc12/fbsvcmgr.vcxproj
   A builds/win32/msvc12/fbsvcmgr.vcxproj.filters
   A builds/win32/msvc12/fbtrace.vcxproj
   A builds/win32/msvc12/fbtrace.vcxproj.filters
   A builds/win32/msvc12/fbtracemgr.vcxproj
   A builds/win32/msvc12/fbtracemgr.vcxproj.filters
   A builds/win32/msvc12/fbudf.vcxproj
   A builds/win32/msvc12/fbudf.vcxproj.filters
   A builds/win32/msvc12/firebird2.props
   A builds/win32/msvc12/firebird2debug.props
   A builds/win32/msvc12/firebird2release.props
   A builds/win32/msvc12/gbak.vcxproj
   A builds/win32/msvc12/gbak.vcxproj.filters
   A builds/win32/msvc12/gfix.vcxproj
   A builds/win32/msvc12/gfix.vcxproj.filters
   A builds/win32/msvc12/gpre.vcxproj
   A builds/win32/msvc12/gpre.vcxproj.filters
   A builds/win32/msvc12/gpre_boot.vcxproj
   A builds/win32/msvc12/gpre_boot.vcxproj.filters
   A builds/win32/msvc12/gpre_common.vcxproj
   A builds/win32/msvc12/gpre_common.vcxproj.filters
   A builds/win32/msvc12/gsec.vcxproj
   A builds/win32/msvc12/gsec.vcxproj.filters
   A builds/win32/msvc12/gsplit.vcxproj
   A builds/win32/msvc12/gsplit.vcxproj.filters
   A builds/win32/msvc12/gstat.vcxproj
   A builds/win32/msvc12/gstat.vcxproj.filters
   A builds/win32/msvc12/ib_udf.vcxproj
   A builds/win32/msvc12/ib_udf.vcxproj.filters
   A builds/win32/msvc12/ib_util.vcxproj
   A builds/win32/msvc12/ib_util.vcxproj.filters
   A builds/win32/msvc12/instclient.vcxproj
   A builds/win32/msvc12/instclient.vcxproj.filters
   A builds/win32/msvc12/instreg.vcxproj
   A builds/win32/msvc12/instreg.vcxproj.filters
   A builds/win32/msvc12/instsvc.vcxproj
   A builds/win32/msvc12/instsvc.vcxproj.filters
   A builds/win32/msvc12/intl.vcxproj
   A builds/win32/msvc12/intl.vcxproj.filters
   A builds/win32/msvc12/intlbuild.vcxproj
   A builds/win32/msvc12/intlbuild.vcxproj.filters
   A builds/win32/msvc12/isql.vcxproj
   A builds/win32/msvc12/isql.vcxproj.filters
   A builds/win32/msvc12/legacy_auth.vcxproj
   A builds/win32/msvc12/legacy_auth.vcxproj.filters
   A builds/win32/msvc12/legacy_usermanager.vcxproj
   A builds/win32/msvc12/legacy_usermanager.vcxproj.filters
   A builds/win32/msvc12/nbackup.vcxproj
   A builds/win32/msvc12/nbackup.vcxproj.filters
   A builds/win32/msvc12/qli.vcxproj
   A builds/win32/msvc12/qli.vcxproj.filters
   A builds/win32/msvc12/remote.vcxproj
   A builds/win32/msvc12/remote.vcxproj.filters
   A builds/win32/msvc12/srp.vcxproj
   A builds/win32/msvc12/srp.vcxproj.filters
   A builds/win32/msvc12/udr_engine.vcxproj
   A builds/win32/msvc12/udr_engine.vcxproj.filters
   A builds/win32/msvc12/udrcpp_example.vcxproj
   A builds/win32/msvc12/udrcpp_example.vcxproj.filters
   A builds/win32/msvc12/yvalve.vcxproj
   A builds/win32/msvc12/yvalve.vcxproj.filters
MSVC12 project files

 2014-11-17 20:26  mapopa 
   M src/common/classes/DbImplementation.cpp
fix idpl license url

 2014-11-17 12:02  mkubecek 
   M builds/install/misc/firebird.conf.in
Fix IPv6V6Only comment in firebird.conf

 2014-11-17 11:55  mkubecek 
   M builds/install/arch-specific/aix/misc/aixLibrary.sh.in
   M builds/install/arch-specific/freebsd/freebsdLibrary.sh.in
Fix bashism/typo in utility scripts.

 2014-11-16 17:33  alexpeshkoff 
   M src/remote/client/interface.cpp
Avoid segfault in a case when port_context is reset for broken port

 2014-11-16 17:00  alexpeshkoff 
   M src/common/classes/init.cpp
Avoid pool from being initialized second time during cleanup

 2014-11-16 02:41  asfernandes 
   M doc/README.IPv6
   M src/common/isc_file.cpp
   M src/remote/SockAddr.h
   M src/remote/inet.cpp
Misc.

 2014-11-14 14:54  hvlad 
   M src/remote/SockAddr.h
   M src/remote/inet.cpp
Fixed compilation errors on Windows after IPv6 patches

 2014-11-14 11:04  hvlad 
   M builds/win32/setenvvar.bat
   A extern/libtommath/libtommath_MSVC12.sln
   A extern/libtommath/libtommath_MSVC12.vcxproj
   M src/common/os/win32/mod_loader.cpp
Support for MSVC12 (VS 2013)

 2014-11-14 08:48  mkubecek 
   M configure.ac
fix libdir on 64-bit linux platforms (powerpc64(le), aarch64)

 2014-11-14 08:24  alexpeshkoff 
   A doc/sql.extensions/README.set_role
Added doc

 2014-11-14 07:58  mkubecek 
   M builds/install/arch-specific/linux/firebird.init.d.suse.in
minor fixes of SUSE init script

 2014-11-14 07:57  mkubecek 
   M configure.ac
look for sem_open also in libpthread

 2014-11-13 14:43  asfernandes 
   M src/dsql/parse.y
Add new keywords to keyword_or_column as seem by Dmitry.

 2014-11-13 10:30  alexpeshkoff 
   M doc/README.interfaces.html
   M doc/README.plugins.html
   M doc/README.providers.html
Reflected API changes in beta1

 2014-11-12 17:49  mapopa 
   M src/jrd/inf_pub.h
add isc_info_db_impl_linux_ppc64 in inf_pub.h

 2014-11-12 17:39  mapopa 
   A builds/posix/prefix.linux_powerpc64
add prefix file linux_powerpc64

 2014-11-12 17:32  mkubecek 
   A doc/README.IPv6
Improvement CORE-3226: IPv6 support (9/9) add README.IPv6 describing IPv6 related changes

 2014-11-12 17:31  mkubecek 
   M builds/install/misc/firebird.conf.in
   M src/common/config/config.cpp
   M src/common/config/config.h
   M src/remote/inet.cpp
Improvement CORE-3226: IPv6 support (8/9) add config directive for IPV6_V6ONLY socket option

 2014-11-12 17:30  mkubecek 
   M src/remote/inet.cpp
Improvement CORE-3226: IPv6 support (7/9) remove unused functions

 2014-11-12 17:29  mkubecek 
   M src/remote/inet.cpp
Improvement CORE-3226: IPv6 support (6/9) implement IPv6 support for aux connection

 2014-11-12 17:28  mkubecek 
   M src/remote/inet.cpp
Improvement CORE-3226: IPv6 support (5/9) implement IPv6 support for main connection

 2014-11-12 17:27  mkubecek 
   M src/remote/inet.cpp
Improvement CORE-3226: IPv6 support (4/9) handle IPv6 addresses in utility functions

 2014-11-12 17:27  mkubecek 
   A src/remote/SockAddr.h
Improvement CORE-3226: IPv6 support (3/9) socket address abstraction class

 2014-11-12 17:24  mkubecek 
   M src/remote/inet.cpp
Improvement CORE-3226: IPv6 support (2/9) do not pass pointer to peer address to accept()

 2014-11-12 17:24  mkubecek 
   M src/common/isc_file.cpp
   M src/remote/inet.cpp
Improvement CORE-3226: IPv6 support (1/9) allow square brackets around host in connection string

 2014-11-12 17:13  mapopa 
   M configure.ac
add powerpc64 big endian configure check

 2014-11-12 17:00  mapopa 
   M src/common/common.h
add PowerPc64 big endian

 2014-11-12 16:55  mapopa 
   M src/common/classes/DbImplementation.cpp
Reserve implementation id for big endian ppc64

 2014-11-12 15:14  asfernandes 
   M src/jrd/extds/IscDS.cpp
Frontport fix for CORE-4604 - EXECUTE STATEMENT rise varchar char_length() size.

 2014-11-12 15:10  mapopa 
   M configure.ac
Fix missing prefix file issue

 2014-11-12 09:13  mapopa 
   M src/jrd/inf_pub.h
add isc_info_db_impl_linux_ppc64el in inf_pub.h

 2014-11-12 07:44  dimitr 
   M doc/sql.extensions/README.keywords
Updated the docs.

 2014-11-11 16:52  mapopa 
   A builds/posix/prefix.linux_powerpc64el
add prefix file linux_powerpc64el 

 2014-11-11 16:44  mapopa 
   M configure.ac
add powerpc64le configure check , aarm64 is now packaged already in debian/ubuntu/fedora

 2014-11-11 16:17  mapopa 
   M src/common/common.h
add PowerPc64el

 2014-11-11 16:05  mapopa 
   M src/common/classes/DbImplementation.cpp
add PowerPC64el implementation 

 2014-11-11 15:08  mapopa 
   M src/common/classes/DbImplementation.cpp
Spell fix in comment

 2014-11-10 14:45  asfernandes 
   M examples/dbcrypt/CryptKeyHolder.cpp
   M examples/dbcrypt/DbCrypt.cpp
   M examples/udr/UdrCppExample.cpp
   M lang_helpers/gds_codes.ftn
   M lang_helpers/gds_codes.pas
   M src/common/classes/GetPlugins.h
   M src/common/classes/ImplementHelper.cpp
   M src/common/fb_exception.cpp
   M src/gpre/boot/gpre_meta_boot.cpp
   M src/include/firebird/FirebirdInterface.idl
   M src/include/firebird/IdlFbInterfaces.h
   M src/include/firebird/Interface.h
   M src/include/firebird/UdrCppEngine.h
   M src/include/gen/codetext.h
   M src/include/gen/iberror.h
   M src/include/gen/msgs.h
   M src/include/gen/sql_code.h
   M src/include/gen/sql_state.h
   M src/include/ibase.h
   M src/jrd/CryptoManager.cpp
   M src/jrd/ExtEngineManager.cpp
   M src/jrd/ExtEngineManager.h
   M src/msgs/facilities2.sql
   M src/msgs/messages2.sql
   M src/msgs/system_errors2.sql
   M src/plugins/udr_engine/UdrEngine.cpp
   M src/yvalve/MasterImplementation.cpp
   M src/yvalve/MasterImplementation.h
   M src/yvalve/PluginManager.cpp
   M src/yvalve/PluginManager.h
Get rid of upgradeInterface API method and some adjustments. To be continued.

 2014-11-10 09:32  paulbeach 
   M src/auth/SecureRemotePassword/manage/SrpManagement.cpp
Fix visibility problem for:
GSEC> add sysdba -pw masterkey
unable to open database
Error loading plugin Srp
Standard plugin entrypoint does not exist in module
/Users/pbeach/firebird30/gen/Release/firebird/plugins/libSrp.dylib
GSEC>

 2014-11-09 16:40  dimitr 
   M src/jrd/vio.cpp
Relaxed system tables protection for cases UPDATE ... SET RDB$*_SOURCE = NULL. So far nullification is allowed for views/packages/procedures/functions/triggers only. I'm not sure somebody really needs hiding sources for defaults and check constraints, but this can be supported later, if required. This is a temporary solution, intended to be replaced with something more clever (e.g. special permissions or new DDL command) in v4.

 2014-11-09 01:58  asfernandes 
   M src/jrd/SysFunction.cpp
Fixed CORE-4599 - REPLACE function works incorrectly with multibyte charsets.

 2014-11-07 15:30  mapopa 
   M src/remote/inet.cpp
Apollo computers are long gone

 2014-11-07 15:22  mapopa 
   M src/remote/inet.cpp
Fix comment non-VMS to non-Windows

 2014-11-05 00:35  asfernandes 
   M src/dsql/ExprNodes.cpp
Improvement CORE-4590 - Change type of returning value of CHAR_LENGTH, BIT_LENGTH and OCTET_LENGTH of BLOBs to bigint.

 2014-11-03 09:17  mapopa 
   M src/utilities/guard/guard.cpp
   M src/utilities/guard/util.cpp
Apply CORE-4595 fbguard lock file permission patch

 2014-10-31 16:16  paul_reeves 
   M builds/install/misc/firebird.conf.in
Clearly mark the beginning of the architecture configuration section.

 2014-10-31 10:14  dimitr 
   D B2_5_Replication
Removed accidentally wrong commit.

 2014-10-31 10:10  dimitr 
   A B2_5_Replication

 2014-10-30 08:03  paulbeach 
   M builds/posix/prefix.darwin_x86_64
Typo

 2014-10-29 17:43  mkubecek 
   M src/remote/inet.cpp
Fixed CORE-4586: connections to FB3 in "standaloneClassic" mode (firebird -s) hang up

 2014-10-29 09:04  paulbeach 
   M builds/posix/darwin.defaults
   M builds/posix/prefix.darwin_x86_64
   M builds/posix/udr_engine.vers
Build modifications for MacOSX/Clang

 2014-10-28 13:41  alexpeshkoff 
   M src/remote/remote.h
   M src/remote/server/server.cpp
Fixed a bug in unofficial release of beta1 reported by Martijn in devel - missing security context error when using separate SecurityDatabase

 2014-10-25 18:39  asfernandes 
   M src/jrd/exe.cpp
   M src/jrd/fun.epp
   M src/jrd/jrd.cpp
   M src/jrd/pag.cpp
   M src/jrd/svc.cpp
   M src/jrd/tra.cpp
   M src/jrd/validation.cpp
   M src/msgs/messages2.sql
   M src/remote/client/interface.cpp
   M src/remote/server/os/posix/inet_server.cpp
   M src/remote/server/os/win32/srvr_w32.cpp
   M src/remote/server/server.cpp
   M src/utilities/gstat/dba.epp
   M src/utilities/ntrace/TracePluginImpl.cpp
   M src/utilities/ntrace/traceplugin.cpp
   M src/yvalve/MasterImplementation.cpp
   M src/yvalve/PluginManager.cpp
   M src/yvalve/utl.cpp
   M src/yvalve/why.cpp
Misc.

 2014-10-21 14:53  hvlad 
   M src/jrd/cch.cpp
Improved page cache performance a bit. 
The case when page buffer is evicted and re-assigned to another page.

 2014-10-16 16:35  dimitr 
   M src/dsql/StmtNodes.cpp
   M src/dsql/StmtNodes.h
   M src/dsql/parse.y
   M src/jrd/blr.h
   M src/yvalve/gds.cpp
Improvement CORE-3526: Support for WHEN SQLSTATE.

 2014-10-16 15:16  alexpeshkoff 
   M src/isql/InputDevices.cpp
   M src/isql/isql.epp
Fixed CORE-4578: INPUT file not properly closed

 2014-10-16 12:42  alexpeshkoff 
   M builds/install/arch-specific/linux/makeInstallImage.sh.in
Resolved packaging issue - added boost files to linux binary package

 2014-10-16 11:31  alexpeshkoff 
   M src/jrd/cch.cpp
   M src/jrd/cch_proto.h
   M src/jrd/jrd.cpp
Fixed CORE-4582: Within linger period one can not change some database properties

 2014-10-16 10:36  alexpeshkoff 
   M examples/dbcrypt/CryptApplication.cpp
   M examples/dbcrypt/CryptKeyHolder.cpp
   M examples/dbcrypt/DbCrypt.cpp
Fixed build errors

 2014-10-16 07:32  dimitr 
   M doc/WhatsNew
Added missing parts of the docs.

 2014-10-15 15:45  asfernandes 
   D src/include/FirebirdApi.h
Really remove the file now :).

 2014-10-15 15:43  asfernandes 
   M src/include/firebird/Interface.h
Misc.

 2014-10-15 15:43  asfernandes 
   M src/include/FirebirdApi.h
   M src/jrd/ExtEngineManager.h
   M src/jrd/jrd.cpp
Remove obsolete header file.

 2014-10-15 11:52  alexpeshkoff 
   M src/yvalve/MasterImplementation.cpp
Use thread destructor function to free string buffer after thread completion

 2014-10-14 13:36  alexpeshkoff 
   M src/common/isc_sync.cpp
Fixed Mac port

 2014-10-14 10:21  alexpeshkoff 
   M src/yvalve/why.cpp
One more segfault in old API emulation

 2014-10-14 07:31  hvlad 
   M src/common/StatusArg.cpp
Fixed wrong item "unknown ISC error 0" in error messages

 2014-10-13 15:29  alexpeshkoff 
   M src/jrd/validation.h
Misc const correctness - fixed warning

 2014-10-13 09:30  alexpeshkoff 
   M src/yvalve/MasterImplementation.cpp
Fixed search for free circullar buffer when using LWP number as thread id

 2014-10-12 19:33  asfernandes 
   M src/jrd/UserManagement.cpp
   M src/jrd/UserManagement.h
   M src/jrd/dpm.epp
Misc.

 2014-10-12 18:47  asfernandes 
   M src/isql/isql.epp
   M src/jrd/Database.cpp
   M src/jrd/trace/TraceDSQLHelpers.h
   M src/jrd/trace/TraceJrdHelpers.h
Misc.

 2014-10-12 18:24  dimitr 
   M src/jrd/build_no.h
   M src/misc/writeBuildNum.sh
Updated the version info.

 2014-10-12 02:25  asfernandes 
   M examples/interfaces/04.print_table.cpp
   M src/alice/alice.h
   M src/alice/exe.cpp
   M src/common/StatusHolder.h
   M src/common/isc_sync.cpp
   M src/common/unicode_util.cpp
   M src/common/utils.cpp
   M src/dsql/DdlNodes.epp
   M src/dsql/DdlNodes.h
   M src/dsql/ExprNodes.cpp
   M src/dsql/StmtNodes.cpp
   M src/dsql/dsql.cpp
   M src/dsql/metd.epp
   M src/jrd/dpm.epp
   M src/jrd/inf.cpp
   M src/jrd/jrd.cpp
   M src/jrd/ods.cpp
   M src/jrd/pag.cpp
   M src/jrd/pag_proto.h
   M src/jrd/validation.cpp
Misc.

 2014-10-12 02:24  asfernandes 
   M src/common/call_service.cpp
Correction.

 2014-10-11 19:17  dimitr 
   M doc/WhatsNew
Updated the docs.

 2014-10-11 09:02  dimitr 
   M src/remote/client/interface.cpp
   M src/remote/inet.cpp
   M src/remote/os/win32/wnet.cpp
   M src/remote/os/win32/xnet.cpp
   M src/remote/remote.cpp
   M src/remote/remote.h
   M src/remote/server/server.cpp
Improved the batching (prefetch) logic. This is the second part of CORE-2530.

 2014-10-10 16:00  asfernandes 
   M src/jrd/RecordSourceNodes.cpp
Fixed CORE-4574 - Incorrect result in subquery with aggregate.

 2014-10-10 12:05  alexpeshkoff 
   M src/yvalve/why.cpp
Fixed AV caused by one of my recent commits - thanks to Vlad

 2014-10-10 10:12  hvlad 
   M src/jrd/Attachment.h
   M src/jrd/cch.cpp
   M src/jrd/jrd.cpp
Fixed bug CORE-4576 :  Cache Writer thread could not start

 2014-10-10 10:11  hvlad 
   M src/jrd/Database.h
   M src/jrd/vio.cpp
Fixed bug CORE-4575 : AV in garbage collector thread at disconnect of last attachment

 2014-10-10 08:43  alexpeshkoff 
   M src/dsql/parse.y
Removed unused rule, in case it's needed later adding it once again is trivial

 2014-10-09 15:25  alexpeshkoff 
   M src/jrd/Mapping.cpp
   M src/jrd/Mapping.h
   M src/jrd/jrd.cpp
   M src/jrd/svc.cpp
Fixed use of encrypted database for users mapping

 2014-10-09 14:32  alexpeshkoff 
   M src/dsql/parse.y
Fixed a warning - thanks to D.Sibiryakov

 2014-10-08 12:19  alexpeshkoff 
   M src/common/call_service.cpp
Fixed CORE-4573: Avoid need in fake -pas switch when using gsec in embedded mode

 2014-10-07 14:46  asfernandes 
   M src/dsql/PackageNodes.epp
Fixed CORE-4570 - Wrong error at ALTER PACKAGE.

 2014-10-05 13:14  alexpeshkoff 
   M src/dsql/ExprNodes.cpp
   M src/dsql/dsql.h
   M src/dsql/make.cpp
   M src/dsql/metd.epp
   M src/jrd/irq.h
Fixed CORE-4566: Incorrect size of the output parameter/argument when execute block, procedure or function use system field in metadata charset

 2014-10-04 20:10  dimitr 
   M src/jrd/cch.cpp
   M src/jrd/cch_proto.h
   M src/jrd/err.cpp
   M src/jrd/jrd.cpp
Refactored cache shutdown. This should also fix CORE-4568: Server may crash while disconnecting from the database under load.

 2014-10-03 16:20  asfernandes 
   M src/isql/isql.epp
Fix padding of UNICODE_FSS - complement to CORE-3431 (UTF-8) fix.
Hope this does not cause a lot of ISQL-based tests to fail.

 2014-10-03 16:15  dimitr 
   M src/remote/protocol.cpp
Restore zero-initialization of message items flagged as NULLs.

 2014-10-02 14:46  alexpeshkoff 
   M src/yvalve/DistributedTransaction.cpp
   M src/yvalve/why.cpp
Fixed segfaults in DTC - thanks to Adriano

 2014-10-01 22:00  hvlad 
   M src/jrd/validation.cpp
   M src/jrd/validation.h
Improvement CORE-4562 : Split all validation messages on critical and minor ones
Additional patch, see details in tracker

 2014-10-01 18:17  hvlad 
   M src/jrd/cch.cpp
Fixed bug CORE-4565 : GDSCODE can have value = 0 in WHEN-section under some concurrent env., only in SC or CS (not in SS)

 2014-10-01 12:47  alexpeshkoff 
   M src/plugins/udr_engine/UdrEngine.cpp
   M src/yvalve/why.cpp
Fixed 2 segfaults when using UDRs

 2014-09-30 19:38  hvlad 
   M src/jrd/recsrc/ProcedureScan.cpp
   M src/jrd/trace/TraceDSQLHelpers.h
   M src/jrd/trace/TraceJrdHelpers.h
   M src/jrd/trace/TraceManager.cpp
   M src/jrd/trace/TraceManager.h
   M src/jrd/trace/TraceObjects.h
Warnings. Misc.

 2014-09-30 17:35  dimitr 
   M src/include/gen/ids.h
   M src/jrd/Monitoring.cpp
   M src/jrd/Monitoring.h
   M src/jrd/names.h
   M src/jrd/relations.h
CORE-4564: Add per-table performance counters to the monitoring tables.

 2014-09-30 15:04  alexpeshkoff 
   M src/dsql/ExprNodes.cpp
   M src/dsql/StmtNodes.cpp
   M src/dsql/dsql.cpp
   M src/include/firebird/FirebirdInterface.idl
   M src/include/firebird/IdlFbInterfaces.h
   M src/jrd/SysFunction.cpp
   M src/jrd/exe.cpp
   M src/jrd/jrd.cpp
   M src/jrd/recsrc/ProcedureScan.cpp
   M src/jrd/svc.cpp
   M src/jrd/tra.cpp
   M src/jrd/trace/TraceDSQLHelpers.h
   M src/jrd/trace/TraceJrdHelpers.h
   M src/jrd/trace/TraceManager.cpp
   M src/utilities/ntrace/TracePluginImpl.cpp
   M src/utilities/ntrace/traceplugin.cpp
Better place for trace-related constants, thanks to Vlad

 2014-09-30 14:21  alexpeshkoff 
   M src/alice/alice.cpp
   M src/auth/SecurityDatabase/LegacyServer.cpp
   M src/auth/SecurityDatabase/LegacyServer.h
   M src/iscguard/cntl_guard.cpp
   M src/jrd/CryptoManager.cpp
   M src/jrd/Monitoring.cpp
   M src/jrd/cch.cpp
   M src/jrd/dfw.epp
   M src/jrd/jrd.cpp
   M src/jrd/nbak.cpp
   M src/jrd/nbak.h
   M src/jrd/ods.h
   M src/jrd/pag.cpp
   M src/jrd/shut.cpp
   M src/lock/print.cpp
